webpackJsonp([1],{

/***/ 513:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ServiceDetailsPageModule", function() { return ServiceDetailsPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__service_details__ = __webpack_require__(560);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ServiceDetailsPageModule = /** @class */ (function () {
    function ServiceDetailsPageModule() {
    }
    ServiceDetailsPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__service_details__["a" /* ServiceDetailsPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__service_details__["a" /* ServiceDetailsPage */]),
            ],
        })
    ], ServiceDetailsPageModule);
    return ServiceDetailsPageModule;
}());

//# sourceMappingURL=service-details.module.js.map

/***/ }),

/***/ 528:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return DpAlgorithm; });
var DpAlgorithm = /** @class */ (function () {
    function DpAlgorithm(points, tolerance) {
        this.points = points;
        this.tolerance = tolerance;
    }
    DpAlgorithm.prototype.vacuate = function () {
        var _this = this;
        if (!this.points.length) {
            throw new Error('没有传入待抽稀数组');
        }
        if (this.points.length < 3)
            return this.points;
        var spIndex = 0;
        var epIndex = this.points.length - 1;
        var indexArr = [];
        indexArr.push(spIndex);
        indexArr.push(epIndex);
        while (this.points[spIndex][0] == this.points[epIndex][0] && this.points[spIndex][1] == this.points[epIndex][1]) {
            epIndex--;
        }
        this.reduce(spIndex, epIndex, indexArr);
        indexArr.sort(function (a, b) { return a - b; });
        return indexArr.map(function (index) { return _this.points[index]; });
    };
    DpAlgorithm.prototype.reduce = function (spIndex, epIndex, indexArr) {
        var maxDist = 0, idxFarthest = 0;
        for (var i = spIndex, dist = void 0; i < epIndex; i++) {
            dist = this.verticalDimension(this.points[spIndex], this.points[epIndex], this.points[i]); //获取当前点到起点与
            if (dist > maxDist) {
                maxDist = dist;
                idxFarthest = i;
            }
        }
        if (maxDist > this.tolerance && idxFarthest != 0) {
            indexArr.push(idxFarthest);
            this.reduce(spIndex, idxFarthest, indexArr);
            this.reduce(idxFarthest, epIndex, indexArr);
        }
    };
    DpAlgorithm.prototype.verticalDimension = function (startPoint, endPoint, comparePoint) {
        var x1 = endPoint[0] - startPoint[0];
        var y1 = endPoint[1] - startPoint[1];
        var x2 = endPoint[0] - comparePoint[0];
        var y2 = endPoint[1] - comparePoint[1];
        var beDist = Math.sqrt(Math.pow((startPoint[0] - endPoint[0]), 2) + Math.pow((startPoint[1] - endPoint[1]), 2));
        return Math.abs(x1 * y2 - x2 * y1) / beDist;
    };
    /**
   * 压缩
   */
    DpAlgorithm.Compress = function (strNormalString) {
        //alert("压缩前长度：" + strNormalString.length);
        var strCompressedString = "";
        var ht = new Array();
        for (i = 0; i < 128; i++) {
            ht[i] = i;
        }
        var used = 128;
        var intLeftOver = 0;
        var intOutputCode = 0;
        var pcode = 0;
        var ccode = 0;
        var k = 0;
        for (var i = 0; i < strNormalString.length; i++) {
            ccode = strNormalString.charCodeAt(i);
            k = (pcode << 8) | ccode;
            if (ht[k] != null) {
                pcode = ht[k];
            }
            else {
                intLeftOver += 12;
                intOutputCode <<= 12;
                intOutputCode |= pcode;
                pcode = ccode;
                if (intLeftOver >= 16) {
                    strCompressedString += String.fromCharCode(intOutputCode >> (intLeftOver - 16));
                    intOutputCode &= (Math.pow(2, (intLeftOver - 16)) - 1);
                    intLeftOver -= 16;
                }
                if (used < 4096) {
                    used++;
                    ht[k] = used - 1;
                }
            }
        }
        if (pcode != 0) {
            intLeftOver += 12;
            intOutputCode <<= 12;
            intOutputCode |= pcode;
        }
        if (intLeftOver >= 16) {
            strCompressedString += String.fromCharCode(intOutputCode >> (intLeftOver - 16));
            intOutputCode &= (Math.pow(2, (intLeftOver - 16)) - 1);
            intLeftOver -= 16;
        }
        if (intLeftOver > 0) {
            intOutputCode <<= (16 - intLeftOver);
            strCompressedString += String.fromCharCode(intOutputCode);
        }
        //alert("压缩后长度：" + strCompressedString.length);
        return strCompressedString;
    };
    /**
    * 解压缩
    */
    DpAlgorithm.Decompress = function (strCompressedString) {
        var strNormalString = "";
        var ht = new Array();
        for (i = 0; i < 128; i++) {
            ht[i] = String.fromCharCode(i);
        }
        var used = 128;
        var intLeftOver = 0;
        var intOutputCode = 0;
        var ccode = 0;
        var pcode = 0;
        var key = '0';
        for (var i = 0; i < strCompressedString.length; i++) {
            intLeftOver += 16;
            intOutputCode <<= 16;
            intOutputCode |= strCompressedString.charCodeAt(i);
            while (1) {
                if (intLeftOver >= 12) {
                    ccode = intOutputCode >> (intLeftOver - 12);
                    if (typeof (key = ht[ccode]) != "undefined") {
                        strNormalString += key;
                        if (used > 128) {
                            ht[ht.length] = ht[pcode] + key.substr(0, 1);
                        }
                        pcode = ccode;
                    }
                    else {
                        key = ht[pcode] + ht[pcode].substr(0, 1);
                        strNormalString += key;
                        ht[ht.length] = ht[pcode] + key.substr(0, 1);
                        pcode = ht.length - 1;
                    }
                    used++;
                    intLeftOver -= 12;
                    intOutputCode &= (Math.pow(2, intLeftOver) - 1);
                }
                else {
                    break;
                }
            }
        }
        return strNormalString;
    };
    return DpAlgorithm;
}());

//# sourceMappingURL=dp-algorithm.js.map

/***/ }),

/***/ 560:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ServiceDetailsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_api__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_const_const__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_session__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__app_dp_algorithm__ = __webpack_require__(528);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_common_common__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__userfeedback_userfeedback__ = __webpack_require__(83);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__providers_merchant_merchant__ = __webpack_require__(297);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__chat_chat__ = __webpack_require__(61);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};










var ServiceDetailsPage = /** @class */ (function () {
    function ServiceDetailsPage(navCtrl, navParams, apiProvider, sessionProvider, modal, alertCtrl, commonProvider, merchantProvider) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.apiProvider = apiProvider;
        this.sessionProvider = sessionProvider;
        this.modal = modal;
        this.alertCtrl = alertCtrl;
        this.commonProvider = commonProvider;
        this.merchantProvider = merchantProvider;
        // 静态资源客户端地址
        this.imgPath = "assets/imgs/service-details/";
        // 图片服务器地址
        this.picHost = __WEBPACK_IMPORTED_MODULE_3__providers_const_const__["a" /* ConstProvider */].PicHost;
        // 雇主id
        this.employerId = this.sessionProvider["user"]["employerId"];
        // 商户id
        this.merchantId = null;
        // 商户信息
        this.merchantInf = {
            "merchantName": null,
            "phoneNumber": null,
            "pictureId": null,
            "physicalStore": null,
            "merchantService": {
                "status": null,
                "limited": null,
                "orderTakingRate": 0.00,
                "orderTakingNum": 0,
                "score": 0.00 // 评分
            },
            "merchantServiceSetting": {
                "lowestDealPrice": null,
                "defaultPhoneNumber": null,
                'employerDayMaxWeight': null,
                "feePerOrder": null,
                "freePerOrderAmount": null,
                "freePerOrderKg": null,
                "praiseGiveDd": null,
                "mapLatitude": null,
                "mapLongitude": null,
                "houseNumber": null,
                "mapAddress": null
            },
            "professionId": 0,
            "profession": "",
            "authenticationStatus": null,
            "distance": 0
        };
        // 商户服务id
        this.merchantServiceItemId = null;
        // 评价列表
        this.commentLs = [];
        // 服务详情
        this.goodsDetail = {
            "serviceItem": null,
            "pictureId": null,
            "price": null,
            "unit": null,
            "everydayStock": null,
            "isAddClick": true,
            "isCutClick": true,
            "status": 0,
            "quantityLimitation": null,
            "weight": null,
            "serviceItemCategory": null,
            "serviceItemDescription": null,
            "sequenceNo": null
        };
        this.shoppingCartAmount = 0; // 购物车总金额
        this.shoppingCartLs = []; // 购物车列表
        this.page = 1; // 分页页序
        this.size = 5; // 分页大小
        this.totalPage = 0; // 分页页数
        this.isShowMask = false; // 显隐遮罩层
        this.cumulativeWeight = 0; // 累计重量
        this.isShowShoppingCart = false; // 是否显示购物车
        this.isShowMore = false; // 是否显示更多
        this.isFocused = false; // 是否关注商户
        this.singleAmount = null; // 凑单金额
    }
    ServiceDetailsPage.prototype.ionViewWillEnter = function () {
        this.merchantId = this.navParams.get("merchantId"); // GET商户id
        this.merchantInf = this.navParams.get("merchantInf"); // GET商户信息
        this.merchantServiceItemId = this.navParams.get("merchantServiceItemId"); // GET服务id
        this.getGoodsDetail();
        this.getCommentLs();
        if (this.sessionProvider["user"]["isLogin"]) {
            this.getShoppingCart();
            this.getFocusedMerchant();
            // 查询雇主已购买的商品总重（1：商户行业类型为生活配送；2：已设置限重）
            if (this.merchantInf["professionId"] == 5 && this.merchantInf["merchantServiceSetting"]["employerDayMaxWeight"]) {
                this.getLimitWeight();
            }
        }
    };
    /**
     * 查询服务详情
     */
    ServiceDetailsPage.prototype.getGoodsDetail = function () {
        var _this = this;
        console.log("查询服务详情参数");
        console.log(this.merchantServiceItemId);
        this.apiProvider.GetGoodsDetail(this.merchantServiceItemId).then(function (res) {
            console.log("查询服务详情成功");
            console.log(res);
            if (res["code"] == 200) {
                _this.goodsDetail = res["data"];
                _this.addVisitService();
            }
        }, function (err) {
            console.error("查询服务详情失败");
            console.error(err);
        });
    };
    /**
     * 查询服务评价
     * @param isPush 是否push
     */
    ServiceDetailsPage.prototype.getCommentLs = function (isPush) {
        var _this = this;
        if (isPush === void 0) { isPush = false; }
        console.log("查询服务评价参数");
        console.log({ "merchantServiceItemId": this.merchantServiceItemId, "page": this.page, "size": this.size });
        this.apiProvider.GetOrderCommentByService(this.merchantServiceItemId, this.page, this.size).then(function (res) {
            console.log("查询服务评价成功");
            console.log(res);
            if (res["code"] == 200 && res["data"]["products"] && res["data"]["products"]["length"] > 0) {
                if (isPush) {
                    res["data"]["products"].forEach(function (value) {
                        _this.commentLs.push(value);
                    });
                }
                else {
                    _this.commentLs = res["data"]["products"];
                }
                var employerIds_1 = new Set();
                _this.commentLs.forEach(function (v) {
                    employerIds_1.add(v["employerId"]);
                });
                console.log("查询雇主头像参数：雇主id集合");
                console.log(employerIds_1);
                _this.apiProvider.GetEmployerScoreAndPic(Array.from(employerIds_1)).then(function (res) {
                    console.log("查询雇主头像成功");
                    console.log(res);
                    if (res["code"] == 200 && res["data"] && res["data"]["length"] > 0) {
                        // 整合头像
                        _this.commentLs.forEach(function (value, key, array) {
                            res["data"].forEach(function (v) {
                                if (value["employerId"] == v["employerId"]) {
                                    array[key]["employerPic"] = __WEBPACK_IMPORTED_MODULE_6__providers_common_common__["a" /* CommonProvider */].resetPictureId(v["pictureId"]);
                                    // 雇主称谓显示问题（昵称，真实姓名，手机号）
                                    var comParams = {
                                        "nickName": v["nickName"],
                                        "employerName": v["employerName"],
                                        "phoneNumber": v["phoneNumber"],
                                        "sex": v["sex"]
                                    };
                                    array[key]["employerTitle"] = __WEBPACK_IMPORTED_MODULE_6__providers_common_common__["a" /* CommonProvider */].setEmployerTitle(comParams);
                                }
                            });
                        });
                    }
                }, function (err) {
                    console.error("查询雇主头像失败");
                    console.error(err);
                });
            }
        }, function (err) {
            console.error("查询服务评价失败");
            console.error(err);
        });
    };
    /**
     * 跳转至商家主页
     */
    ServiceDetailsPage.prototype.jumpMerchantHomePage = function () {
        this.navCtrl.pop().then();
    };
    /**
     * 显示更多
     */
    ServiceDetailsPage.prototype.showMore = function () {
        this.isShowMask = true;
        this.isShowMore = true;
    };
    /**
     * 修改地址
     * @param goodsDetails
     */
    ServiceDetailsPage.prototype.modAddr = function (goodsDetails) {
        var _this = this;
        if (!this.sessionProvider["user"]["isLogin"]) {
            this.commonProvider.Login(this);
        }
        else {
            goodsDetails["isAddClick"] = false; // 添加按钮不可点击
            var newsModal = this.modal.create("RoutePromptPage", goodsDetails['routeInfo'] ? goodsDetails['routeInfo'] : {}, { cssClass: "alertModal" });
            newsModal.onDidDismiss(function (res) {
                // 带参的回调函数
                if (res) {
                    goodsDetails['routeInfo'] = res;
                    goodsDetails["voriginDestination"] = JSON.stringify(res["start"]) + ';' + JSON.stringify(res["end"]);
                    goodsDetails["vehicleRoute"] = __WEBPACK_IMPORTED_MODULE_5__app_dp_algorithm__["a" /* DpAlgorithm */].Compress(JSON.stringify(res["points"]));
                    goodsDetails["quantity"] = res["distanceNumber"] > 1 ? res["distanceNumber"] : 1;
                    goodsDetails["amount"] = new BigNumber(goodsDetails["quantity"]).times(goodsDetails["price"]);
                    _this.addShoppingCart(goodsDetails, true);
                }
                else {
                    goodsDetails["isAddClick"] = true;
                }
            });
            newsModal.present().then();
        }
    };
    /**
     * 打开购物车
     */
    ServiceDetailsPage.prototype.openShoppingCart = function () {
        this.isShowMask = this.isShowMask === false;
        this.isShowShoppingCart = this.isShowShoppingCart === false;
    };
    /**
     * 关闭遮罩层
     */
    ServiceDetailsPage.prototype.closeMask = function () {
        this.isShowShoppingCart = false;
        this.isShowMore = false;
        this.isShowMask = false;
    };
    /**
     * 跳转至消息页面
     */
    ServiceDetailsPage.prototype.jumpMsgPage = function () {
        var _this = this;
        if (!this.sessionProvider["user"]["isLogin"]) {
            this.commonProvider.Login(this);
        }
        else {
            this.navCtrl.parent.select(2);
            this.navCtrl.popToRoot().then(function () {
                _this.isShowMore = false;
                _this.isShowMask = false;
            });
        }
    };
    /**
     * 跳转至首页
     */
    ServiceDetailsPage.prototype.jumpHomePage = function () {
        var _this = this;
        this.navCtrl.popToRoot().then(function () {
            _this.isShowMore = false;
            _this.isShowMask = false;
        });
    };
    /**
     * 跳转至客服页面
     */
    ServiceDetailsPage.prototype.jumpCustomerPage = function () {
        var _this = this;
        if (!this.sessionProvider["user"]["isLogin"]) {
            this.commonProvider.Login(this);
        }
        else {
            var params_1 = {
                toUserId: __WEBPACK_IMPORTED_MODULE_3__providers_const_const__["a" /* ConstProvider */].Kefu,
                toUserName: __WEBPACK_IMPORTED_MODULE_3__providers_const_const__["a" /* ConstProvider */].KefuName
            };
            this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_9__chat_chat__["a" /* ChatPage */], params_1).then(function () {
                console.log("跳转至聊天界面参数");
                console.log(params_1);
                _this.isShowMore = false;
                _this.isShowMask = false;
            });
        }
    };
    /**
     * 跳转至反馈页面
     */
    ServiceDetailsPage.prototype.jumpFeedbackPage = function () {
        var _this = this;
        if (!this.sessionProvider["user"]["isLogin"]) {
            this.commonProvider.Login(this);
        }
        else {
            this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_7__userfeedback_userfeedback__["a" /* UserfeedbackPage */]).then(function () {
                _this.isShowMore = false;
                _this.isShowMask = false;
            });
        }
    };
    //添加浏览足迹
    ServiceDetailsPage.prototype.addVisitService = function () {
        if (this.sessionProvider.user.isLogin) {
            var param = {
                "employerId": this.employerId,
                "merchantId": this.merchantId,
                "merchantName": this.merchantInf["merchantName"],
                "merchantServiceItemId": this.merchantServiceItemId,
                "serviceItemCategory": this.goodsDetail["serviceItemCategory"],
                "serviceItem": this.goodsDetail["serviceItem"],
                "pictureId": this.goodsDetail["pictureId"],
                "price": this.goodsDetail["price"],
                "unit": this.goodsDetail["unit"],
                "weight": this.goodsDetail["weight"]
            };
            this.apiProvider.AddFootPrint(param).then(function (res) {
                console.log(res);
            }, function (err) {
                console.log(err);
            });
        }
    };
    /**
     * 上拉加载数据
     * @param infiniteScroll
     */
    ServiceDetailsPage.prototype.doInfinite = function (infiniteScroll) {
        var _this = this;
        if (this.page < this.totalPage) {
            this.page++;
            setTimeout(function () {
                _this.getCommentLs(true);
                infiniteScroll.complete();
            }, 500);
        }
        else {
            infiniteScroll.complete();
        }
    };
    /**
     * 查询累计配送重量
     */
    ServiceDetailsPage.prototype.getLimitWeight = function () {
        var _this = this;
        this.merchantProvider.getLimitWeight(this.employerId, this.merchantId, this.merchantInf.merchantServiceSetting.employerDayMaxWeight).then(function (res) {
            _this.cumulativeWeight = res["data"]["cumulativeWeight"];
        });
    };
    /**
     * 关注商户
     */
    ServiceDetailsPage.prototype.focusMerchant = function () {
        if (!this.sessionProvider["user"]["isLogin"]) {
            this.commonProvider.Login(this);
        }
        else {
            this.isFocused = this.isFocused === false;
            if (this.isFocused) {
                this.merchantProvider.addFocusedMerchant(this.employerId, this.merchantId, this.merchantInf.merchantName).then();
            }
            else {
                this.merchantProvider.delFocusedMerchant(this.employerId, this.merchantId).then();
            }
        }
    };
    /**
     * 查询关注商户
     */
    ServiceDetailsPage.prototype.getFocusedMerchant = function () {
        var _this = this;
        this.merchantProvider.getFocusedMerchant(this.employerId, this.merchantId).then(function (res) {
            _this.isFocused = res["data"];
        });
    };
    /**
     * 分享商户
     */
    ServiceDetailsPage.prototype.shareMerchant = function () {
        this.merchantProvider.shareMerchant();
    };
    /**
     * 添加购物车
     * @param goodsDetail
     * @param isOpenCart 是否打开购物车
     */
    ServiceDetailsPage.prototype.addShoppingCart = function (goodsDetail, isOpenCart) {
        var _this = this;
        if (isOpenCart === void 0) { isOpenCart = false; }
        if (!this.sessionProvider["user"]["isLogin"]) {
            this.commonProvider.Login(this);
        }
        else {
            // 添加按钮不可点击
            goodsDetail["isAddClick"] = false;
            this.merchantProvider.addShoppingCart(goodsDetail, this.merchantInf.merchantServiceSetting.employerDayMaxWeight, this.cumulativeWeight, this.employerId, this.merchantId).then(function () {
                // 累计重量
                _this.cumulativeWeight += (goodsDetail["weight"] > 0 ? goodsDetail["weight"] : 0);
                // 重载购物车
                _this.getShoppingCart();
                // 打开购物车
                if (isOpenCart) {
                    _this.openShoppingCart();
                }
            }, function (err) {
                // 该err.message已被重置修改
                _this.commonProvider.tips(err["message"]);
            });
        }
    };
    /**
     * 减少购物车
     * @param goodsDetail
     */
    ServiceDetailsPage.prototype.cutShoppingCart = function (goodsDetail) {
        var _this = this;
        goodsDetail["isCutClick"] = false; // 减少按钮不可点击
        this.merchantProvider.cutShoppingCart(goodsDetail["shoppingCartId"]).then(function () {
            _this.cumulativeWeight -= (goodsDetail["weight"] > 0 ? goodsDetail["weight"] : 0);
            // 重载购物车
            _this.getShoppingCart();
        }, function () {
            _this.commonProvider.tips("操作失败，请重试");
        });
    };
    /**
     * 删除购物车
     * @param shoppingCartId
     */
    ServiceDetailsPage.prototype.rmShoppingCart = function (shoppingCartId) {
        var _this = this;
        this.merchantProvider.rmShoppingCart(shoppingCartId).then(function () {
            // 重载购物车
            _this.getShoppingCart();
        }, function () {
            _this.commonProvider.tips("操作失败，请重试");
        });
    };
    /**
     * 清空购物车
     */
    ServiceDetailsPage.prototype.delShoppingCart = function () {
        var _this = this;
        this.merchantProvider.delShoppingCart(this.employerId, this.merchantId).then(function () {
            _this.shoppingCartLs = [];
            _this.shoppingCartAmount = 0;
            _this.cumulativeWeight = 0;
            _this.closeMask();
        }, function () {
            _this.commonProvider.tips("操作失败，请重试");
        });
    };
    /**
     * 查询购物车
     */
    ServiceDetailsPage.prototype.getShoppingCart = function () {
        var _this = this;
        this.merchantProvider.getShoppingCart(this.employerId, this.merchantId).then(function (res) {
            if (res["data"]["length"] > 0) {
                _this.shoppingCartLs = res["data"];
                var goodsIds_1 = new Set();
                _this.shoppingCartLs.forEach(function (value, key, array) {
                    array[key]["status"] = null; // 商品默认（0：可用；1：禁用）
                    goodsIds_1.add(value["merchantServiceItemId"]);
                });
                console.log("查询最新单价参数");
                console.log(goodsIds_1);
                _this.apiProvider.GetLatestUnitPrice(Array.from(goodsIds_1)).then(function (res) {
                    console.log("查询最新单价成功");
                    console.log(res);
                    var shoppingCartAmount = new BigNumber(0);
                    _this.shoppingCartLs.forEach(function (value, key, array) {
                        res["data"].forEach(function (v) {
                            if (value["merchantServiceItemId"] == v["merchantServiceItemId"] && v["status"] == 0) {
                                array[key]["amount"] = new BigNumber(value["quantity"]).times(v["price"]);
                                array[key]["quantityLimitation"] = v["quantityLimitation"];
                                array[key]["everydayStock"] = v["everydayStock"];
                                shoppingCartAmount = shoppingCartAmount.plus(array[key]["amount"]);
                            }
                            array[key]["status"] = v["status"];
                        });
                        array[key]["isAddClick"] = true;
                        array[key]["isCutClick"] = true;
                    });
                    _this.shoppingCartAmount = shoppingCartAmount;
                    _this.singleAmount = new BigNumber(_this.shoppingCartAmount).minus(_this.merchantInf["merchantServiceSetting"]["lowestDealPrice"]).times("-1");
                }, function (err) {
                    console.error("查询最新单价失败");
                    console.error(err);
                });
            }
            else {
                _this.shoppingCartLs = [];
                _this.shoppingCartAmount = 0;
                _this.singleAmount = _this.merchantInf["merchantServiceSetting"]["lowestDealPrice"];
            }
        });
    };
    /**
     * 结算
     */
    ServiceDetailsPage.prototype.settlement = function () {
        this.closeMask();
        this.merchantProvider.settlement(this.employerId, this.merchantId, this.merchantInf);
    };
    ServiceDetailsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-service-details',template:/*ion-inline-start:"D:\localsvn\tuanjiazhen\employer\app_employer\employerapp\src\pages\service-details\service-details.html"*/'<ion-header>\n\n  <ion-navbar>\n\n    <ion-buttons right>\n\n      <button (click)="focusMerchant()">\n\n        <img [src]="imgPath + \'guanzhu@2x.png\'" *ngIf="!isFocused" alt="">\n\n        <img [src]="imgPath + \'guanzhu@huang.png\'" *ngIf="isFocused" alt="">\n\n      </button>\n\n      <!--<button (click)="shareMerchant()">\n\n        <img [src]="imgPath + \'fenxiang@2x.png\'" alt="">\n\n      </button>-->\n\n      <button (click)="showMore()">\n\n        <img [src]="imgPath + \'gengduo@2x.png\'" alt="">\n\n      </button>\n\n    </ion-buttons>\n\n  </ion-navbar>\n\n\n\n  <!--综合点选框-->\n\n  <div class="recharge-popups2" *ngIf="isShowMore">\n\n    <img src="../../assets/imgs/jiaotou@2x.png" class="jiantoutishi" alt="">\n\n    <div (click)="jumpMsgPage()">\n\n      <img [src]="imgPath + \'xiaoxi@2x.png\'" class="p2-tb" alt="">\n\n      消息\n\n    </div>\n\n    <div (click)="jumpHomePage()">\n\n      <img [src]="imgPath + \'shouye@2x.png\'" class="p2-tb" alt="">\n\n      首页\n\n    </div>\n\n    <div (click)="jumpCustomerPage()">\n\n      <img [src]="imgPath + \'kefu@2x.png\'" class="p2-tb" alt="">\n\n      客服\n\n    </div>\n\n    <div style="border:none;" (click)="jumpFeedbackPage()">\n\n      <img [src]="imgPath + \'fankui@2x.png\'" class="p2-tb" alt="">\n\n      我要反馈\n\n    </div>\n\n  </div>\n\n  <img [src]="imgPath + \'dayang@2x.png\'" class="resthome" *ngIf="merchantInf[\'merchantService\'][\'status\'] == 0" alt="">\n\n  <div class="recharge-mask5" *ngIf="isShowMask" (click)="closeMask()"></div>\n\n</ion-header>\n\n\n\n<ion-content no-padding>\n\n  <img class="sjxq-top" [src]="goodsDetail[\'pictureId\'] ? (picHost + goodsDetail[\'pictureId\']) : merchantInf[\'pictureId\']" alt="">\n\n\n\n  <div class="sjxq-title">\n\n    {{goodsDetail["serviceItem"]}}\n\n  </div>\n\n\n\n  <div class="sjxq-banner">\n\n    &yen;{{goodsDetail["price"]}}/{{goodsDetail["unit"]}}\n\n    <button class="btn-distance" *ngIf="goodsDetail[\'professionCategory\'] == 1" (click)="modAddr(goodsDetail)">\n\n      选距离\n\n    </button>\n\n    <button class="btn-cart" *ngIf="goodsDetail[\'professionCategory\'] != 1" [disabled]="goodsDetail[\'everydayStock\'] != null && goodsDetail[\'everydayStock\'] <= 0" (click)="addShoppingCart(goodsDetail,true)">\n\n      <img [src]="imgPath + \'jiaru@2x.png\'" alt="">\n\n    </button>\n\n  </div>\n\n\n\n  <div class="sjxq-banner2" (click)="jumpMerchantHomePage()">\n\n    <img [src]="imgPath + \'zhuye@2x.png\'" class="sjxq-img1" alt="">\n\n    商家主页\n\n    <img [src]="imgPath + \'jinru@2x.png\'" class="sjxq-img2" alt="">\n\n  </div>\n\n\n\n  <div class="sjxq-fenge"></div>\n\n\n\n  <div class="sjxq-banner3">\n\n    评价（{{commentLs["length"]}}）\n\n  </div>\n\n\n\n  <div class="sjxq-banner4" *ngFor="let item of commentLs">\n\n    <div class="sjxq-banner4-title">\n\n      <img [src]="item[\'employerPic\']" alt="">\n\n      {{item["employerTitle"]}}\n\n      <span>\n\n        {{item["employerComment"]["updateTime"] | date : "yyyy-MM-dd"}}\n\n      </span>\n\n    </div>\n\n    <div class="sjxq-banner4-msg">\n\n      {{item["employerComment"]["comment"]}}\n\n    </div>\n\n    <div class="sjxq-banner4-msg2">\n\n      <p *ngFor="let orderDetails of item[\'employerOrderDetails\']">\n\n        {{orderDetails["serviceItem"]}}\n\n      </p>\n\n      下单日期：{{item["orderTime"] | date : "yyyy-MM-dd"}}\n\n    </div>\n\n  </div>\n\n\n\n  <ion-infinite-scroll (ionInfinite)="doInfinite($event)">\n\n    <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="加载中..."></ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n</ion-content>\n\n\n\n<ion-footer>\n\n  <div style="height: 51px;">\n\n    <div class="shzj-bottom merchant-close" *ngIf="merchantInf[\'merchantService\'][\'status\'] == 0">\n\n      商家休息中\n\n    </div>\n\n    <div class="shzj-bottom" *ngIf="merchantInf[\'merchantService\'][\'status\'] != 0 && singleAmount > 0">\n\n      还差{{singleAmount}}元\n\n      可下单[去凑单]\n\n    </div>\n\n\n\n    <div *ngIf="isShowShoppingCart">\n\n      <div class="shzj-bottom3">\n\n        已选项目服务({{shoppingCartLs["length"]}})\n\n        <span (click)="delShoppingCart()">\n\n          <img [src]="imgPath + \'shanchu@2x (2).png\'" alt="">\n\n          清空服务车\n\n        </span>\n\n      </div>\n\n\n\n      <ion-list no-lines>\n\n        <div *ngFor="let shoppingCartItem of shoppingCartLs">\n\n          <ion-item-sliding>\n\n            <ion-item>\n\n              <div class="shzj-bottom4" style="position:relative;">\n\n                <div class="goods-invalid-div" *ngIf="shoppingCartItem[\'status\'] == 1"></div>\n\n                <b class="goods-invalid-b" *ngIf="shoppingCartItem[\'status\'] == 1">\n\n                  已失效\n\n                </b>\n\n                {{shoppingCartItem["serviceItem"]}}\n\n                <span>\n\n                  &yen;{{shoppingCartItem["amount"]}}\n\n                  &nbsp;&nbsp;\n\n                  <button class="shzj-bottom4-btn shzj-bottom4-cut-btn" [disabled]="!shoppingCartItem[\'isCutClick\'] || shoppingCartItem[\'status\'] == 1" (click)="cutShoppingCart(shoppingCartItem)"></button>\n\n                  {{shoppingCartItem["quantity"]}}\n\n                  <button class="shzj-bottom4-btn shzj-bottom4-add-btn" [disabled]="!shoppingCartItem[\'isAddClick\'] || shoppingCartItem[\'status\'] == 1 || (goodsDetail[\'everydayStock\'] != null && goodsDetail[\'everydayStock\'] <= 0)" (click)="addShoppingCart(shoppingCartItem)"></button>\n\n                </span>\n\n              </div>\n\n            </ion-item>\n\n            <ion-item-options side="right" *ngIf="shoppingCartItem[\'status\'] == 1">\n\n              <button ion-button color="danger" (click)="rmShoppingCart(shoppingCartItem[\'shoppingCartId\'])">删除</button>\n\n            </ion-item-options>\n\n          </ion-item-sliding>\n\n        </div>\n\n      </ion-list>\n\n    </div>\n\n\n\n    <div class="shzj-bottom2">\n\n      <img [src]="imgPath + \'gouwuche@2x.png\'" *ngIf="shoppingCartLs[\'length\'] <= 0" alt="">\n\n      <img [src]="imgPath + \'gouwuche2@2x.png\'" *ngIf="shoppingCartLs[\'length\'] > 0" (click)="openShoppingCart()" alt="">\n\n\n\n      <span *ngIf="shoppingCartLs[\'length\'] <= 0">\n\n        还未添加任何服务项目<br>\n\n        点我打开服务车\n\n      </span>\n\n      <span *ngIf="shoppingCartLs[\'length\'] > 0" (click)="openShoppingCart()">\n\n        <b class="shzy-color">\n\n          &yen;{{shoppingCartAmount}}<br>\n\n        </b>\n\n        点我打开服务车\n\n      </span>\n\n\n\n      <div *ngIf="shoppingCartAmount < merchantInf[\'merchantServiceSetting\'][\'lowestDealPrice\']">\n\n        &yen;{{merchantInf["merchantServiceSetting"]["lowestDealPrice"]}}起\n\n      </div>\n\n      <div class="bg-close" *ngIf="shoppingCartAmount >= merchantInf[\'merchantServiceSetting\'][\'lowestDealPrice\'] && merchantInf[\'merchantService\'][\'status\'] == 0">\n\n        去结算\n\n      </div>\n\n      <div class="bg-color" *ngIf="shoppingCartAmount >= merchantInf[\'merchantServiceSetting\'][\'lowestDealPrice\'] && merchantInf[\'merchantService\'][\'status\'] != 0" (click)="settlement()">\n\n        去结算\n\n      </div>\n\n    </div>\n\n  </div>\n\n</ion-footer>\n\n'/*ion-inline-end:"D:\localsvn\tuanjiazhen\employer\app_employer\employerapp\src\pages\service-details\service-details.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__providers_api__["a" /* ApiProvider */],
            __WEBPACK_IMPORTED_MODULE_4__providers_session__["a" /* SessionProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_6__providers_common_common__["a" /* CommonProvider */],
            __WEBPACK_IMPORTED_MODULE_8__providers_merchant_merchant__["a" /* MerchantProvider */]])
    ], ServiceDetailsPage);
    return ServiceDetailsPage;
}());

//# sourceMappingURL=service-details.js.map

/***/ })

});
//# sourceMappingURL=1.js.map