webpackJsonp([14],{

/***/ 516:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SecondCatsPageModule", function() { return SecondCatsPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__second_cats__ = __webpack_require__(563);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var SecondCatsPageModule = /** @class */ (function () {
    function SecondCatsPageModule() {
    }
    SecondCatsPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__second_cats__["a" /* SecondCatsPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__second_cats__["a" /* SecondCatsPage */]),
            ],
        })
    ], SecondCatsPageModule);
    return SecondCatsPageModule;
}());

//# sourceMappingURL=second-cats.module.js.map

/***/ }),

/***/ 563:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SecondCatsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_storage__ = __webpack_require__(29);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_const_const__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_api__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_common_common__ = __webpack_require__(18);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var SecondCatsPage = /** @class */ (function () {
    function SecondCatsPage(navCtrl, navParams, apiProvider, loadingCtrl, commonProvider, storage) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.apiProvider = apiProvider;
        this.loadingCtrl = loadingCtrl;
        this.commonProvider = commonProvider;
        this.storage = storage;
        this.picHost = __WEBPACK_IMPORTED_MODULE_3__providers_const_const__["a" /* ConstProvider */].PicHost;
        this.cats = {
            "pictureId": null,
            "serviceCategoryName": null,
            "serviceCategoryDetailId": null
        };
        this.secondCats = [];
    }
    SecondCatsPage.prototype.ionViewWillEnter = function () {
        var _this = this;
        var cats = this.navParams.get("cats");
        if (cats) {
            this.cats = cats;
            this.getServiceCategoryDetailByPid();
        }
        else {
            this.navCtrl.pop().then(function () {
                _this.commonProvider.tips("操作失败，请重试");
            });
        }
    };
    /**
     * 查询二级分类
     */
    SecondCatsPage.prototype.getServiceCategoryDetailByPid = function () {
        var _this = this;
        var loading = this.loadingCtrl.create({
            content: "努力加载中...",
            dismissOnPageChange: false
        });
        loading.present().then(function () {
            console.log("查询二级分类参数");
            console.log(_this.cats["serviceCategoryDetailId"]);
            _this.apiProvider.GetServiceCategoryDetailByPid(_this.cats["serviceCategoryDetailId"]).then(function (res) {
                loading.dismiss().then(function () {
                    console.log("查询二级分类成功");
                    console.log(res);
                    if (res["code"] == 200 && res["data"] && res["data"]["length"] > 0) {
                        _this.secondCats = res["data"];
                    }
                });
            }, function (err) {
                loading.dismiss().then(function () {
                    console.error("查询二级分类失败");
                    console.error(err);
                });
            });
        });
    };
    /**
     * 跳转至搜索结果页
     * @param searchQuery
     */
    SecondCatsPage.prototype.jumpShowSearchPage = function (searchQuery) {
        var _this = this;
        this.storage.set("pushType", "btn").then(function () {
            _this.navCtrl.push("ShowsearchPage", { "searchQuery": searchQuery }).then(function () {
                console.log("跳转至搜索结果页参数");
                console.log({ "searchQuery": searchQuery });
            });
        });
    };
    SecondCatsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-second-cats',template:/*ion-inline-start:"D:\localsvn\tuanjiazhen\employer\app_employer\employerapp\src\pages\second-cats\second-cats.html"*/'<ion-header>\n\n  <ion-navbar>\n\n    <ion-title>\n\n      {{cats["serviceCategoryName"]}}\n\n    </ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content no-padding>\n\n  <div class="smbj-top" *ngIf="cats[\'pictureId\']">\n\n    <img [src]="picHost + cats[\'pictureId\']" alt="">\n\n  </div>\n\n\n\n  <div class="cats" *ngFor="let item of secondCats" (click)="jumpShowSearchPage(item[\'serviceCategoryName\'])">\n\n    <img [src]="picHost + item[\'iconId\']" class="cats-img" alt="">\n\n    <br>\n\n    {{item["serviceCategoryName"]}}\n\n  </div>\n\n</ion-content>\n\n'/*ion-inline-end:"D:\localsvn\tuanjiazhen\employer\app_employer\employerapp\src\pages\second-cats\second-cats.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_4__providers_api__["a" /* ApiProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_5__providers_common_common__["a" /* CommonProvider */],
            __WEBPACK_IMPORTED_MODULE_2__ionic_storage__["b" /* Storage */]])
    ], SecondCatsPage);
    return SecondCatsPage;
}());

//# sourceMappingURL=second-cats.js.map

/***/ })

});
//# sourceMappingURL=14.js.map