webpackJsonp([16],{

/***/ 508:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "QueryFriendPageModule", function() { return QueryFriendPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__query_friend__ = __webpack_require__(556);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var QueryFriendPageModule = /** @class */ (function () {
    function QueryFriendPageModule() {
    }
    QueryFriendPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__query_friend__["a" /* QueryFriendPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__query_friend__["a" /* QueryFriendPage */]),
            ],
        })
    ], QueryFriendPageModule);
    return QueryFriendPageModule;
}());

//# sourceMappingURL=query-friend.module.js.map

/***/ }),

/***/ 556:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return QueryFriendPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_const_const__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_api__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_common_common__ = __webpack_require__(18);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var QueryFriendPage = /** @class */ (function () {
    function QueryFriendPage(navCtrl, navParams, apiProvider, loadingCtrl, commonProvider, alertCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.apiProvider = apiProvider;
        this.loadingCtrl = loadingCtrl;
        this.commonProvider = commonProvider;
        this.alertCtrl = alertCtrl;
        this.imgPath = "assets/imgs/new-friend";
        this.picHost = __WEBPACK_IMPORTED_MODULE_2__providers_const_const__["a" /* ConstProvider */].PicHost;
        this.myDdUserId = null;
        this.ls = [];
        this.mobile = null;
    }
    QueryFriendPage.prototype.ionViewWillEnter = function () {
        this.getCurDDUser();
    };
    /**
     * 输入查询好友
     */
    QueryFriendPage.prototype.inputQueryFriend = function () {
        var _this = this;
        var validateMobile = this.commonProvider.validateMobile(this.mobile);
        if (validateMobile) {
            var loading_1 = this.loadingCtrl.create({
                content: "努力加载中...",
                dismissOnPageChange: false
            });
            loading_1.present().then(function () {
                console.log("输入查询好友参数");
                console.log(_this.mobile);
                _this.ls = [];
                _this.apiProvider.SearchMobile(_this.myDdUserId, _this.mobile).then(function (res) {
                    loading_1.dismiss().then(function () {
                        console.log("输入查询好友成功");
                        console.log(res);
                        if (res["code"] == 200 && res["data"] && res["data"]["length"] > 0) {
                            // 设置头像
                            res["data"].forEach(function (value, index, array) {
                                array[index]["pictureId"] = __WEBPACK_IMPORTED_MODULE_4__providers_common_common__["a" /* CommonProvider */].resetPictureId(value["pictureId"]);
                            });
                            _this.ls = res["data"];
                        }
                        else {
                            _this.commonProvider.tips("该用户不存在");
                        }
                    });
                }, function (err) {
                    loading_1.dismiss().then(function () {
                        console.error("输入查询好友失败");
                        console.error(err);
                        _this.commonProvider.tips("操作失败，请重试");
                    });
                });
            });
        }
    };
    /**
     * 跳转至好友信息页面
     * @param friendDdUserId
     */
    QueryFriendPage.prototype.jumpFriendProfilePage = function (friendDdUserId) {
        var pushParams = {
            myDdUserId: this.myDdUserId,
            friendDdUserId: friendDdUserId
        };
        this.navCtrl.push("FriendProfilePage", pushParams).then(function () {
            console.log("跳转至好友信息页面参数");
            console.log(pushParams);
        });
    };
    /**
     * 添加好友
     */
    QueryFriendPage.prototype.addFriend = function (isMerchant, friendUserId, mobile, friendName) {
        var _this = this;
        var confirm = this.alertCtrl.create({
            title: "确认添加对方为好友吗？",
            buttons: [
                {
                    text: "是",
                    handler: function () {
                        var friendNickName = friendName ? friendName : mobile;
                        console.log("添加好友参数");
                        console.log(_this.myDdUserId, true, friendUserId, mobile, friendNickName);
                        _this.apiProvider.AddFriendById(_this.myDdUserId, isMerchant, friendUserId, mobile, friendNickName).then(function (res) {
                            console.log("添加好友成功");
                            console.log(res);
                            if (res["code"] == 200) {
                                _this.commonProvider.tips("请求已发送");
                            }
                            else {
                                _this.commonProvider.tips(res["message"]);
                            }
                        }, function (err) {
                            console.error("添加好友失败");
                            console.error(err);
                            _this.commonProvider.tips(err["message"]);
                        });
                    }
                },
                {
                    text: "否",
                    handler: function () {
                    }
                }
            ]
        });
        confirm.present().then();
    };
    /**
     * 取消查询好友
     */
    QueryFriendPage.prototype.cancelQueryFriend = function () {
        this.navCtrl.pop().then();
    };
    /**
     * 查询当前用户ddUserId
     */
    QueryFriendPage.prototype.getCurDDUser = function () {
        var _this = this;
        this.apiProvider.GetCurDDUser().then(function (res) {
            console.log("查询当前用户ddUserId成功");
            console.log(res);
            if (res["code"] == 200) {
                _this.myDdUserId = res["data"]["ddUserId"];
            }
        }, function (err) {
            console.error("查询当前用户ddUserId失败");
            console.error(err);
        });
    };
    QueryFriendPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-query-friend',template:/*ion-inline-start:"D:\localsvn\tuanjiazhen\employer\app_employer\employerapp\src\pages\query-friend\query-friend.html"*/'<ion-header color="light">\n\n  <ion-navbar color="light" hideBackButton="true">\n\n    <ion-searchbar placeholder="用户名/手机号" [(ngModel)]="mobile" (ionInput)="inputQueryFriend()"></ion-searchbar>\n\n    <ion-buttons end>\n\n      <button color="primary" ion-button icon-only (click)="cancelQueryFriend()">\n\n        取消\n\n      </button>\n\n    </ion-buttons>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content no-padding>\n\n  <ion-list>\n\n    <ion-item *ngFor="let item of ls">\n\n      <ion-avatar item-start>\n\n        <img [src]="item[\'pictureId\']" (click)="jumpFriendProfilePage(item[\'ddUserId\'])" alt="">\n\n      </ion-avatar>\n\n      <span (click)="jumpFriendProfilePage(item[\'ddUserId\'])">\n\n        {{item["userName"] ? item["userName"] : item["usermobile"]}}({{item["ismerchant"] ? "商户" : "雇主"}})\n\n      </span>\n\n      <button ion-button clear item-end (click)="addFriend(item[\'ismerchant\'],item[\'relatedId\'],item[\'usermobile\'],item[\'userName\'])">添加</button>\n\n    </ion-item>\n\n  </ion-list>\n\n</ion-content>\n\n'/*ion-inline-end:"D:\localsvn\tuanjiazhen\employer\app_employer\employerapp\src\pages\query-friend\query-friend.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_3__providers_api__["a" /* ApiProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_4__providers_common_common__["a" /* CommonProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */]])
    ], QueryFriendPage);
    return QueryFriendPage;
}());

//# sourceMappingURL=query-friend.js.map

/***/ })

});
//# sourceMappingURL=16.js.map