webpackJsonp([2],{

/***/ 511:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "RoutePromptPageModule", function() { return RoutePromptPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__route_prompt__ = __webpack_require__(558);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var RoutePromptPageModule = /** @class */ (function () {
    function RoutePromptPageModule() {
    }
    RoutePromptPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__route_prompt__["a" /* RoutePromptPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__route_prompt__["a" /* RoutePromptPage */]),
            ],
        })
    ], RoutePromptPageModule);
    return RoutePromptPageModule;
}());

//# sourceMappingURL=route-prompt.module.js.map

/***/ }),

/***/ 528:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return DpAlgorithm; });
var DpAlgorithm = /** @class */ (function () {
    function DpAlgorithm(points, tolerance) {
        this.points = points;
        this.tolerance = tolerance;
    }
    DpAlgorithm.prototype.vacuate = function () {
        var _this = this;
        if (!this.points.length) {
            throw new Error('没有传入待抽稀数组');
        }
        if (this.points.length < 3)
            return this.points;
        var spIndex = 0;
        var epIndex = this.points.length - 1;
        var indexArr = [];
        indexArr.push(spIndex);
        indexArr.push(epIndex);
        while (this.points[spIndex][0] == this.points[epIndex][0] && this.points[spIndex][1] == this.points[epIndex][1]) {
            epIndex--;
        }
        this.reduce(spIndex, epIndex, indexArr);
        indexArr.sort(function (a, b) { return a - b; });
        return indexArr.map(function (index) { return _this.points[index]; });
    };
    DpAlgorithm.prototype.reduce = function (spIndex, epIndex, indexArr) {
        var maxDist = 0, idxFarthest = 0;
        for (var i = spIndex, dist = void 0; i < epIndex; i++) {
            dist = this.verticalDimension(this.points[spIndex], this.points[epIndex], this.points[i]); //获取当前点到起点与
            if (dist > maxDist) {
                maxDist = dist;
                idxFarthest = i;
            }
        }
        if (maxDist > this.tolerance && idxFarthest != 0) {
            indexArr.push(idxFarthest);
            this.reduce(spIndex, idxFarthest, indexArr);
            this.reduce(idxFarthest, epIndex, indexArr);
        }
    };
    DpAlgorithm.prototype.verticalDimension = function (startPoint, endPoint, comparePoint) {
        var x1 = endPoint[0] - startPoint[0];
        var y1 = endPoint[1] - startPoint[1];
        var x2 = endPoint[0] - comparePoint[0];
        var y2 = endPoint[1] - comparePoint[1];
        var beDist = Math.sqrt(Math.pow((startPoint[0] - endPoint[0]), 2) + Math.pow((startPoint[1] - endPoint[1]), 2));
        return Math.abs(x1 * y2 - x2 * y1) / beDist;
    };
    /**
   * 压缩
   */
    DpAlgorithm.Compress = function (strNormalString) {
        //alert("压缩前长度：" + strNormalString.length);
        var strCompressedString = "";
        var ht = new Array();
        for (i = 0; i < 128; i++) {
            ht[i] = i;
        }
        var used = 128;
        var intLeftOver = 0;
        var intOutputCode = 0;
        var pcode = 0;
        var ccode = 0;
        var k = 0;
        for (var i = 0; i < strNormalString.length; i++) {
            ccode = strNormalString.charCodeAt(i);
            k = (pcode << 8) | ccode;
            if (ht[k] != null) {
                pcode = ht[k];
            }
            else {
                intLeftOver += 12;
                intOutputCode <<= 12;
                intOutputCode |= pcode;
                pcode = ccode;
                if (intLeftOver >= 16) {
                    strCompressedString += String.fromCharCode(intOutputCode >> (intLeftOver - 16));
                    intOutputCode &= (Math.pow(2, (intLeftOver - 16)) - 1);
                    intLeftOver -= 16;
                }
                if (used < 4096) {
                    used++;
                    ht[k] = used - 1;
                }
            }
        }
        if (pcode != 0) {
            intLeftOver += 12;
            intOutputCode <<= 12;
            intOutputCode |= pcode;
        }
        if (intLeftOver >= 16) {
            strCompressedString += String.fromCharCode(intOutputCode >> (intLeftOver - 16));
            intOutputCode &= (Math.pow(2, (intLeftOver - 16)) - 1);
            intLeftOver -= 16;
        }
        if (intLeftOver > 0) {
            intOutputCode <<= (16 - intLeftOver);
            strCompressedString += String.fromCharCode(intOutputCode);
        }
        //alert("压缩后长度：" + strCompressedString.length);
        return strCompressedString;
    };
    /**
    * 解压缩
    */
    DpAlgorithm.Decompress = function (strCompressedString) {
        var strNormalString = "";
        var ht = new Array();
        for (i = 0; i < 128; i++) {
            ht[i] = String.fromCharCode(i);
        }
        var used = 128;
        var intLeftOver = 0;
        var intOutputCode = 0;
        var ccode = 0;
        var pcode = 0;
        var key = '0';
        for (var i = 0; i < strCompressedString.length; i++) {
            intLeftOver += 16;
            intOutputCode <<= 16;
            intOutputCode |= strCompressedString.charCodeAt(i);
            while (1) {
                if (intLeftOver >= 12) {
                    ccode = intOutputCode >> (intLeftOver - 12);
                    if (typeof (key = ht[ccode]) != "undefined") {
                        strNormalString += key;
                        if (used > 128) {
                            ht[ht.length] = ht[pcode] + key.substr(0, 1);
                        }
                        pcode = ccode;
                    }
                    else {
                        key = ht[pcode] + ht[pcode].substr(0, 1);
                        strNormalString += key;
                        ht[ht.length] = ht[pcode] + key.substr(0, 1);
                        pcode = ht.length - 1;
                    }
                    used++;
                    intLeftOver -= 12;
                    intOutputCode &= (Math.pow(2, intLeftOver) - 1);
                }
                else {
                    break;
                }
            }
        }
        return strNormalString;
    };
    return DpAlgorithm;
}());

//# sourceMappingURL=dp-algorithm.js.map

/***/ }),

/***/ 558:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return RoutePromptPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_common_common__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_dp_algorithm__ = __webpack_require__(528);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the RoutePromptPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var RoutePromptPage = /** @class */ (function () {
    function RoutePromptPage(navCtrl, viewCtrl, modalCtrl, common, navParams) {
        this.navCtrl = navCtrl;
        this.viewCtrl = viewCtrl;
        this.modalCtrl = modalCtrl;
        this.common = common;
        this.navParams = navParams;
        this.imgPath = "assets/imgs/modalalert";
        this.distance = 10;
        this.startPos = '';
        this.endPos = '';
        this.DEFAULT_DISTANCE = 10;
        if (navParams.data) {
            if (navParams.get('start')) {
                this.originStartData = navParams.get('start');
                this.startPos = this.originStartData.address + '  ' + this.originStartData.addressDetail;
            }
            if (navParams.get('end')) {
                this.originEndData = navParams.get('end');
                this.endPos = this.originEndData.address + '  ' + this.originEndData.addressDetail;
            }
            this.distance = navParams.get('distance');
            this.distanceNumber = navParams.get('distanceNumber');
            this.routePoints = navParams.get('points');
        }
    }
    RoutePromptPage.prototype.ionViewDidLoad = function () {
        this.map = new BMap.Map(this.map_container_route.nativeElement); //创建地图实例
        console.log('ionViewDidLoad RoutePromptPage');
    };
    RoutePromptPage.prototype.selectStart = function () {
        var _this = this;
        //选距离弹窗
        var newsModal = this.modalCtrl.create("SelectAddressPage", { title: '起始地', location: this.originStartData }, {});
        newsModal.onDidDismiss(function (res) {
            //带参的回调函数
            if (res) {
                //
                _this.startPos = res.address + '  ' + res.addressDetail;
                _this.originStartData = res;
                console.log(res);
                _this.calculateDistance();
            }
        });
        newsModal.present();
        console.log("选距离");
    };
    RoutePromptPage.prototype.selectEnd = function () {
        var _this = this;
        //选距离弹窗
        var newsModal = this.modalCtrl.create("SelectAddressPage", { title: '目的地', location: this.originEndData }, {});
        newsModal.onDidDismiss(function (res) {
            //带参的回调函数
            if (res) {
                //
                _this.endPos = res.address + '  ' + res.addressDetail;
                _this.originEndData = res;
                console.log(res);
                _this.calculateDistance();
            }
        });
        newsModal.present();
        console.log("选距离");
    };
    RoutePromptPage.prototype.calculateDistance = function () {
        if (this.startPos && this.endPos) {
            this.distance = this.DEFAULT_DISTANCE;
            /* var driving = new BMap.DrivingRoute(this.map, {
                renderOptions: {
                    map: this.map, autoViewport: true
                }
            }); */
            var driving = new BMap.DrivingRoute(new BMap.Point(this.originStartData.lng, this.originStartData.lat));
            driving.search(new BMap.Point(this.originStartData.lng, this.originStartData.lat), new BMap.Point(this.originEndData.lng, this.originEndData.lat));
            driving.setSearchCompleteCallback(function (results) {
                console.log('results');
                var routePlan = results.getPlan(0);
                console.log(routePlan.getDistance(false));
                var dist = this.distanceNumber = routePlan.getDistance(false) / 1000.0;
                if (dist < 1) {
                    this.distance = '小于1km';
                }
                else {
                    this.distance = (routePlan.getDistance(false) / 1000.0).toFixed(1) + 'km';
                }
                var points = [];
                for (var i = 0; i < routePlan.getNumRoutes(); i++) {
                    var path = routePlan.getRoute(i).getPath();
                    for (var j = 0; j < path.length; j++) {
                        points.push([path[j].lng, path[j].lat]);
                    }
                }
                this.routePoints = new __WEBPACK_IMPORTED_MODULE_3__app_dp_algorithm__["a" /* DpAlgorithm */](points, 0.00005).vacuate();
            }.bind(this));
        }
        else {
            this.distance = this.DEFAULT_DISTANCE;
        }
    };
    RoutePromptPage.prototype.previewRoute = function () {
        if (!this.originStartData || !this.originEndData) {
            this.common.showAlert('请先选择起始地和目标地。');
        }
        else {
            //选距离弹窗
            var newsModal = this.modalCtrl.create("RoutePreviewPage", { start: this.originStartData, end: this.originEndData, distance: this.distance, points: this.routePoints });
            newsModal.present();
        }
    };
    RoutePromptPage.prototype.confirmRoute = function () {
        this.viewCtrl.dismiss({ start: this.originStartData, end: this.originEndData, distance: this.distance, distanceNumber: this.distanceNumber, points: this.routePoints });
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_9" /* ViewChild */])('map_route'),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["t" /* ElementRef */])
    ], RoutePromptPage.prototype, "map_container_route", void 0);
    RoutePromptPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-route-prompt',template:/*ion-inline-start:"D:\localsvn\tuanjiazhen\employer\app_employer\employerapp\src\pages\route-prompt\route-prompt.html"*/'<ion-content padding>\n\n  <div class="route-popups">\n\n    <div class="popups-title">\n\n      选择地址\n\n      <ion-icon name="close" (click)="navCtrl.pop()"></ion-icon>\n\n    </div>\n\n    <div>\n\n      <ion-list no-lines>\n\n        <ion-item>\n\n            <label>起始地</label><div class="address-div" (click)="selectStart()">{{startPos}}</div>\n\n        </ion-item>\n\n        <ion-item>\n\n            <label>目的地</label><div class="address-div" (click)="selectEnd()">{{endPos}}</div>\n\n        </ion-item>\n\n        <ion-item [ngClass]="{\'hidden\':(!startPos || !endPos)}">\n\n            <label>公里数：</label>{{distance}}\n\n            <span (click)="previewRoute()">预览路线</span>\n\n        </ion-item>\n\n      </ion-list>\n\n    </div>\n\n    <div class="button-div">\n\n      <button ion-button round block (click)="confirmRoute()">确定</button>\n\n    </div>\n\n    <div #map_route id="map_container_route"></div>\n\n  </div>\n\n</ion-content>'/*ion-inline-end:"D:\localsvn\tuanjiazhen\employer\app_employer\employerapp\src\pages\route-prompt\route-prompt.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["r" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_2__providers_common_common__["a" /* CommonProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */]])
    ], RoutePromptPage);
    return RoutePromptPage;
}());

//# sourceMappingURL=route-prompt.js.map

/***/ })

});
//# sourceMappingURL=2.js.map