webpackJsonp([29],{

/***/ 488:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CropimagePageModule", function() { return CropimagePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__cropimage__ = __webpack_require__(543);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var CropimagePageModule = /** @class */ (function () {
    function CropimagePageModule() {
    }
    CropimagePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__cropimage__["a" /* CropimagePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__cropimage__["a" /* CropimagePage */]),
            ],
        })
    ], CropimagePageModule);
    return CropimagePageModule;
}());

//# sourceMappingURL=cropimage.module.js.map

/***/ }),

/***/ 543:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CropimagePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_platform_browser__ = __webpack_require__(30);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



var CropimagePage = /** @class */ (function () {
    function CropimagePage(navCtrl, navParams, events, sanitizer) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.events = events;
        this.sanitizer = sanitizer;
        this.imageSrc = null; // 要裁剪的图片路径
        this.visibility = 'hidden';
    }
    CropimagePage.prototype.ionViewCanEnter = function () {
        var imageSrc = this.navParams.get('imageSrc');
        if (!imageSrc) {
            //this.nativeService.alert('需要裁剪的图片路径不能为空');
            return false;
        }
        //this.imageSrc = "http://localhost:8080/_file_" + imageSrc;
        //this.imageSrc = this.sanitizer.bypassSecurityTrustUrl(window.URL.createObjectURL(imageSrc)); 
        //let imgFile = new File(imageSrc);
        this.imageSrc = this.sanitizer.bypassSecurityTrustResourceUrl(imageSrc);
        //this.imageSrc = imageSrc;
    };
    // 中文文档参考：https://blog.csdn.net/weixin_38023551/article/details/78792400
    // 官网github：https://github.com/fengyuanchen/cropper
    CropimagePage.prototype.ionViewDidEnter = function () {
        var _this = this;
        var option = {
            autoCropArea: 0.5,
            aspectRatio: 1,
            minCropBoxWidth: 60,
            minCropBoxHeight: 60,
            viewMode: 1,
            dragMode: 'move',
            toggleDragModeOnDblclick: false,
            cropBoxResizable: true,
            ready: function () {
                _this.visibility = 'visible';
            }
        };
        this.cropper = new Cropper(this.image.nativeElement, option);
    };
    CropimagePage.prototype.save = function () {
        var cas = this.cropper.getCroppedCanvas();
        // cas.toBlob(function (e) {  // 生成Blob的图片格式
        //   console.log(e);
        // });
        var imgBase64Str = cas.toDataURL('image/jpeg'); // 生成base64图片的格式;
        this.events.publish('crop-image:result', imgBase64Str);
        this.navCtrl.pop();
    };
    CropimagePage.prototype.ionViewWillLeave = function () {
        this.events.unsubscribe('crop-image:result'); // 退出页面取消所有订阅，进入页面前需订阅
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_9" /* ViewChild */])('image'),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["t" /* ElementRef */])
    ], CropimagePage.prototype, "image", void 0);
    CropimagePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-cropimage',template:/*ion-inline-start:"D:\localsvn\tuanjiazhen\employer\app_employer\employerapp\src\pages\cropimage\cropimage.html"*/'<!--\n\n  Generated template for the CropimagePage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n\n\n  <ion-navbar>\n\n    <ion-title>图片裁剪</ion-title>\n\n    <ion-buttons end>\n\n      <button ion-button (click)="save()">保存</button>\n\n    </ion-buttons>\n\n  </ion-navbar>\n\n\n\n</ion-header>\n\n\n\n\n\n<ion-content class="content-box">\n\n  <img #image [src]="imageSrc" [ngStyle]="{\'visibility\': visibility}">\n\n</ion-content>\n\n'/*ion-inline-end:"D:\localsvn\tuanjiazhen\employer\app_employer\employerapp\src\pages\cropimage\cropimage.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["e" /* Events */],
            __WEBPACK_IMPORTED_MODULE_2__angular_platform_browser__["c" /* DomSanitizer */]])
    ], CropimagePage);
    return CropimagePage;
}());

//# sourceMappingURL=cropimage.js.map

/***/ })

});
//# sourceMappingURL=29.js.map