webpackJsonp([3],{

/***/ 496:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "MerchanthomePageModule", function() { return MerchanthomePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__merchanthome__ = __webpack_require__(549);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var MerchanthomePageModule = /** @class */ (function () {
    function MerchanthomePageModule() {
    }
    MerchanthomePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__merchanthome__["a" /* MerchanthomePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__merchanthome__["a" /* MerchanthomePage */]),
            ],
        })
    ], MerchanthomePageModule);
    return MerchanthomePageModule;
}());

//# sourceMappingURL=merchanthome.module.js.map

/***/ }),

/***/ 528:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return DpAlgorithm; });
var DpAlgorithm = /** @class */ (function () {
    function DpAlgorithm(points, tolerance) {
        this.points = points;
        this.tolerance = tolerance;
    }
    DpAlgorithm.prototype.vacuate = function () {
        var _this = this;
        if (!this.points.length) {
            throw new Error('没有传入待抽稀数组');
        }
        if (this.points.length < 3)
            return this.points;
        var spIndex = 0;
        var epIndex = this.points.length - 1;
        var indexArr = [];
        indexArr.push(spIndex);
        indexArr.push(epIndex);
        while (this.points[spIndex][0] == this.points[epIndex][0] && this.points[spIndex][1] == this.points[epIndex][1]) {
            epIndex--;
        }
        this.reduce(spIndex, epIndex, indexArr);
        indexArr.sort(function (a, b) { return a - b; });
        return indexArr.map(function (index) { return _this.points[index]; });
    };
    DpAlgorithm.prototype.reduce = function (spIndex, epIndex, indexArr) {
        var maxDist = 0, idxFarthest = 0;
        for (var i = spIndex, dist = void 0; i < epIndex; i++) {
            dist = this.verticalDimension(this.points[spIndex], this.points[epIndex], this.points[i]); //获取当前点到起点与
            if (dist > maxDist) {
                maxDist = dist;
                idxFarthest = i;
            }
        }
        if (maxDist > this.tolerance && idxFarthest != 0) {
            indexArr.push(idxFarthest);
            this.reduce(spIndex, idxFarthest, indexArr);
            this.reduce(idxFarthest, epIndex, indexArr);
        }
    };
    DpAlgorithm.prototype.verticalDimension = function (startPoint, endPoint, comparePoint) {
        var x1 = endPoint[0] - startPoint[0];
        var y1 = endPoint[1] - startPoint[1];
        var x2 = endPoint[0] - comparePoint[0];
        var y2 = endPoint[1] - comparePoint[1];
        var beDist = Math.sqrt(Math.pow((startPoint[0] - endPoint[0]), 2) + Math.pow((startPoint[1] - endPoint[1]), 2));
        return Math.abs(x1 * y2 - x2 * y1) / beDist;
    };
    /**
   * 压缩
   */
    DpAlgorithm.Compress = function (strNormalString) {
        //alert("压缩前长度：" + strNormalString.length);
        var strCompressedString = "";
        var ht = new Array();
        for (i = 0; i < 128; i++) {
            ht[i] = i;
        }
        var used = 128;
        var intLeftOver = 0;
        var intOutputCode = 0;
        var pcode = 0;
        var ccode = 0;
        var k = 0;
        for (var i = 0; i < strNormalString.length; i++) {
            ccode = strNormalString.charCodeAt(i);
            k = (pcode << 8) | ccode;
            if (ht[k] != null) {
                pcode = ht[k];
            }
            else {
                intLeftOver += 12;
                intOutputCode <<= 12;
                intOutputCode |= pcode;
                pcode = ccode;
                if (intLeftOver >= 16) {
                    strCompressedString += String.fromCharCode(intOutputCode >> (intLeftOver - 16));
                    intOutputCode &= (Math.pow(2, (intLeftOver - 16)) - 1);
                    intLeftOver -= 16;
                }
                if (used < 4096) {
                    used++;
                    ht[k] = used - 1;
                }
            }
        }
        if (pcode != 0) {
            intLeftOver += 12;
            intOutputCode <<= 12;
            intOutputCode |= pcode;
        }
        if (intLeftOver >= 16) {
            strCompressedString += String.fromCharCode(intOutputCode >> (intLeftOver - 16));
            intOutputCode &= (Math.pow(2, (intLeftOver - 16)) - 1);
            intLeftOver -= 16;
        }
        if (intLeftOver > 0) {
            intOutputCode <<= (16 - intLeftOver);
            strCompressedString += String.fromCharCode(intOutputCode);
        }
        //alert("压缩后长度：" + strCompressedString.length);
        return strCompressedString;
    };
    /**
    * 解压缩
    */
    DpAlgorithm.Decompress = function (strCompressedString) {
        var strNormalString = "";
        var ht = new Array();
        for (i = 0; i < 128; i++) {
            ht[i] = String.fromCharCode(i);
        }
        var used = 128;
        var intLeftOver = 0;
        var intOutputCode = 0;
        var ccode = 0;
        var pcode = 0;
        var key = '0';
        for (var i = 0; i < strCompressedString.length; i++) {
            intLeftOver += 16;
            intOutputCode <<= 16;
            intOutputCode |= strCompressedString.charCodeAt(i);
            while (1) {
                if (intLeftOver >= 12) {
                    ccode = intOutputCode >> (intLeftOver - 12);
                    if (typeof (key = ht[ccode]) != "undefined") {
                        strNormalString += key;
                        if (used > 128) {
                            ht[ht.length] = ht[pcode] + key.substr(0, 1);
                        }
                        pcode = ccode;
                    }
                    else {
                        key = ht[pcode] + ht[pcode].substr(0, 1);
                        strNormalString += key;
                        ht[ht.length] = ht[pcode] + key.substr(0, 1);
                        pcode = ht.length - 1;
                    }
                    used++;
                    intLeftOver -= 12;
                    intOutputCode &= (Math.pow(2, intLeftOver) - 1);
                }
                else {
                    break;
                }
            }
        }
        return strNormalString;
    };
    return DpAlgorithm;
}());

//# sourceMappingURL=dp-algorithm.js.map

/***/ }),

/***/ 549:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MerchanthomePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_api__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_session__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_const_const__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_common_common__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__app_dp_algorithm__ = __webpack_require__(528);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__userfeedback_userfeedback__ = __webpack_require__(83);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__providers_merchant_merchant__ = __webpack_require__(297);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__chat_chat__ = __webpack_require__(61);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};










var MerchanthomePage = /** @class */ (function () {
    function MerchanthomePage(navCtrl, navParams, apiProvider, sessionProvider, alertCtrl, modal, commonProvider, merchantProvider, loadingCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.apiProvider = apiProvider;
        this.sessionProvider = sessionProvider;
        this.alertCtrl = alertCtrl;
        this.modal = modal;
        this.commonProvider = commonProvider;
        this.merchantProvider = merchantProvider;
        this.loadingCtrl = loadingCtrl;
        this.imgPath = "assets/imgs/merchanthome/";
        this.picHost = __WEBPACK_IMPORTED_MODULE_4__providers_const_const__["a" /* ConstProvider */].PicHost;
        this.employerId = this.sessionProvider["user"]["employerId"]; // 雇主id
        this.merchantId = null; // 商户id
        // 商户信息
        this.merchantInf = {
            "merchantName": null,
            "nickName": null,
            "phoneNumber": null,
            "pictureId": null,
            "physicalStore": null,
            "merchantService": {
                "status": null,
                "limited": null,
                "orderTakingRate": 0.00,
                "orderTakingNum": 0,
                "score": 0.00 // 评分
            },
            "merchantServiceSetting": {
                "lowestDealPrice": null,
                "defaultPhoneNumber": null,
                'employerDayMaxWeight': null,
                "feePerOrder": null,
                "freePerOrderAmount": null,
                "freePerOrderKg": null,
                "praiseGiveDd": null,
                "mapLatitude": null,
                "mapLongitude": null,
                "houseNumber": null,
                "mapAddress": null
            },
            "professionId": 0,
            "profession": "",
            "authenticationStatus": null,
            "distance": null,
            "merchantTitle": "匿名",
            "sex": null
        };
        this.page = 1; // 分页页序
        this.size = 5; // 分页大小
        this.totalPage = 0; // 分页页数
        this.categoryLs = []; // 服务分类目录
        this.servicesLs = []; // 分类下的服务
        this.commentLs = []; // 评论列表
        this.categoryIndex = 0; // 服务分类索引
        this.tabIndex = 0; // tab页索引（0：服务；1：简历；2：评论）
        this.commentType = 0; // 评论类型（0：全部；1：好评；2：中评；3：差评；4：带图）
        this.commentSum = 0; // 评论总数
        this.commentNum = [0, 0, 0, 0, 0]; // 不同评论的数量
        this.isShowMask = false; // 是否显示遮罩层
        this.isShowMore = false; // 是否显示更多
        this.isShowShoppingCart = false; // 是否显示购物车
        this.shoppingCartAmount = 0; // 购物车总金额
        this.shoppingCartLs = []; // 购物车列表
        // 商户简历信息
        this.resumeInf = {
            "txt": null,
            "pic": [] // 图片
        };
        this.cumulativeWeight = 0; // 累计重量
        this.userLongitude = this.sessionProvider["user"]["currentAddress"] ? this.sessionProvider["user"]["currentAddress"]["lng"] : null; // 用户经度
        this.userLatitude = this.sessionProvider["user"]["currentAddress"] ? this.sessionProvider["user"]["currentAddress"]["lat"] : null; // 用户纬度
        // 是否已关注
        this.isFocused = false;
        this.merchantServiceItemId = null; // 服务id
        this.serviceItemCategory = null; // 服务类别
        this.singleAmount = null; // 凑单金额
    }
    MerchanthomePage.prototype.ionViewDidLoad = function () {
        this.merchantId = this.navParams.get("merchantId");
        this.merchantServiceItemId = this.navParams.get("merchantServiceItemId");
        this.serviceItemCategory = this.navParams.get("serviceItemCategory");
        this.getMerchantInfo();
        if (this.sessionProvider["user"]["isLogin"]) {
            this.getShoppingCart();
            this.getFocusedMerchant();
        }
        // 查询雇主已购买的商品总重（1：商户行业类型为生活配送；2：已设置限重）
        if (this.merchantInf["professionId"] == 5 && this.merchantInf["merchantServiceSetting"]["employerDayMaxWeight"] && this.sessionProvider["user"]["isLogin"]) {
            this.getLimitWeight();
        }
    };
    MerchanthomePage.prototype.ionViewDidEnter = function () {
        this.getServiceCategory();
        this.getCommentSum();
    };
    /**
     * 查询商家信息
     */
    MerchanthomePage.prototype.getMerchantInfo = function () {
        var _this = this;
        console.log("查询商家信息参数");
        console.log(this.merchantId);
        this.apiProvider.GetMerchantInfoById(this.merchantId).then(function (res) {
            console.log("查询商家信息成功");
            console.log(res);
            if (res["code"] == 200 && res["data"]) {
                _this.merchantInf = res["data"];
                // 重置头像
                _this.merchantInf.pictureId = __WEBPACK_IMPORTED_MODULE_5__providers_common_common__["a" /* CommonProvider */].resetPictureId(_this.merchantInf.pictureId);
                // 商户称谓显示问题（店名，昵称，真实姓名，手机号）
                var comParams = {
                    "physicalStore": _this.merchantInf["physicalStore"],
                    "nickName": _this.merchantInf["nickName"],
                    "merchantName": _this.merchantInf["merchantName"],
                    "phoneNumber": _this.merchantInf["phoneNumber"],
                    "sex": _this.merchantInf["sex"],
                    "profession": _this.merchantInf["profession"],
                };
                _this.merchantInf["merchantTitle"] = __WEBPACK_IMPORTED_MODULE_5__providers_common_common__["a" /* CommonProvider */].setMerchantTitle(comParams);
                // 计算雇主距商户距离
                if (_this.userLatitude && _this.userLongitude) {
                    var distance = _this.commonProvider.getDistance(_this.userLatitude, _this.userLongitude, _this.merchantInf["merchantServiceSetting"]["mapLatitude"], _this.merchantInf["merchantServiceSetting"]["mapLongitude"]);
                    _this.merchantInf["distance"] = Math.round(distance);
                }
            }
        }, function (err) {
            console.error("查询商家信息失败");
            console.error(err);
        });
    };
    /**
     * 查询服务分类目录
     */
    MerchanthomePage.prototype.getServiceCategory = function () {
        var _this = this;
        console.log("查询服务分类目录参数");
        console.log(this.merchantId);
        this.categoryLs = [];
        this.apiProvider.GetServiceCategory(this.merchantId).then(function (res) {
            console.log("查询服务分类目录成功");
            console.log(res);
            if (res["code"] == 200 && res["data"] && res["data"]["length"] > 0) {
                var categoryIndex_1 = 0;
                res["data"].forEach(function (value, index) {
                    value["shoppingCartCount"] = 0; // 购物车已有该分类下的服务数量
                    // 计算购物车含有该分类下的服务数量
                    _this.shoppingCartLs.forEach(function (v) {
                        if (value["serviceItemCategory"] == v["serviceItemCategory"] && v["status"] == 0) {
                            value["shoppingCartCount"] += (v["professionCategory"] == 1 ? 1 : v["quantity"]);
                        }
                    });
                    _this.categoryLs.push(value);
                    if (_this.serviceItemCategory == value["serviceItemCategory"]) {
                        categoryIndex_1 = index;
                    }
                });
                if (_this.categoryLs["length"] > 0) {
                    _this.getServiceByCategory(_this.categoryLs[categoryIndex_1]["serviceItemCategory"], categoryIndex_1);
                }
            }
        }, function (err) {
            console.error("查询服务分类目录失败");
            console.error(err);
        });
    };
    /**
     * 查询分类下的服务
     * @param categoryName
     * @param categoryIndex
     */
    MerchanthomePage.prototype.getServiceByCategory = function (categoryName, categoryIndex) {
        var _this = this;
        if (categoryIndex === void 0) { categoryIndex = 0; }
        var loading = this.loadingCtrl.create({
            content: "努力加载中...",
            dismissOnPageChange: false
        });
        loading.present().then(function () {
            _this.categoryIndex = categoryIndex;
            _this.servicesLs = [];
            console.log("查询分类下的服务参数");
            console.log({ "merchantId": _this.merchantId, "categoryName": categoryName });
            _this.apiProvider.GetServiceByCategory(_this.merchantId, categoryName).then(function (res) {
                loading.dismiss().then(function () {
                    console.log("查询分类下的服务成功");
                    console.log(res);
                    if (res["code"] == 200 && res["data"] && res["data"]["length"] > 0) {
                        res["data"].forEach(function (value) {
                            value["shoppingCartCount"] = 0; // 购物车已有该服务数量
                            // 计算购物车含有该服务数量
                            _this.shoppingCartLs.forEach(function (v) {
                                if (value["merchantServiceItemId"] == v["merchantServiceItemId"]) {
                                    // 车辆服务不计数
                                    value["shoppingCartCount"] += (v["professionCategory"] == 1 ? 0 : v["quantity"]);
                                    value["shoppingCartId"] = v["shoppingCartId"];
                                }
                            });
                            value["isAddClick"] = true;
                            value["isCutClick"] = true;
                            // 库存处理
                            if (value["everydayStock"]) {
                                value["everydayStock"] = __WEBPACK_IMPORTED_MODULE_8__providers_merchant_merchant__["a" /* MerchantProvider */].calculateStock(value["stockDate"], value["everydayStock"], value["sold"]);
                            }
                            if (_this.merchantServiceItemId == value["merchantServiceItemId"]) {
                                _this.servicesLs.unshift(value);
                            }
                            else {
                                _this.servicesLs.push(value);
                            }
                        });
                    }
                });
            }, function (err) {
                loading.dismiss().then(function () {
                    console.error("查询分类下的服务失败");
                    console.error(err);
                });
            });
        });
    };
    /**
     * 联系商家
     */
    MerchanthomePage.prototype.conMerchant = function () {
        var _this = this;
        // 强制登录
        if (!this.sessionProvider["user"]["isLogin"]) {
            var pushParams = {
                "backPage": "MerchanthomePage",
                "backParams": {
                    "merchantId": this.merchantId,
                    "merchantServiceItemId": this.merchantServiceItemId,
                    "serviceItemCategory": this.serviceItemCategory
                }
            };
            this.navCtrl.push("LoginPage", { "backInfo": pushParams }).then();
        }
        else {
            this.commonProvider.getMerchantDdUser(this.merchantId).then(function (res) {
                var params = {
                    toUserId: "m" + res["data"]["ddUserId"],
                    toUserName: _this.merchantInf.merchantTitle
                };
                _this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_9__chat_chat__["a" /* ChatPage */], params).then(function () {
                    console.log("跳转至聊天界面参数");
                    console.log(params);
                    _this.isShowMore = false;
                    _this.isShowMask = false;
                });
            }, function () {
                _this.commonProvider.tips("操作失败，请重试");
            });
        }
    };
    /**
     * 服务
     */
    MerchanthomePage.prototype.serviceTab = function () {
        this.tabIndex = 0;
        this.getServiceCategory();
    };
    /**
     * 简历
     */
    MerchanthomePage.prototype.resumeTab = function () {
        this.tabIndex = 1;
        this.getMerchantResume();
    };
    /**
     * 评论
     */
    MerchanthomePage.prototype.evaluateTab = function () {
        this.tabIndex = 2;
        this.getCommentNum();
        this.getMerchantCommentLs();
    };
    /**
     * 查询商户评论列表
     * @param commentType 评论类型（0：全部；1：好评；2：中评；3：差评；4：带图）
     * @param isPush 是否push数组
     */
    MerchanthomePage.prototype.getMerchantCommentLs = function (commentType, isPush) {
        var _this = this;
        if (commentType === void 0) { commentType = 0; }
        if (isPush === void 0) { isPush = false; }
        var loading = this.loadingCtrl.create({
            content: "努力加载中...",
            dismissOnPageChange: false
        });
        loading.present().then(function () {
            _this.commentType = commentType;
            // 除下拉，其他重置初始页面
            if (!isPush) {
                _this.page = 1;
            }
            console.log("查询商户评论列表参数");
            console.log({ "merchantId": _this.merchantId, "page": _this.page, "size": _this.size, "commentType": _this.commentType });
            _this.apiProvider.GetMerchantCommentLs(_this.merchantId, _this.page, _this.size, _this.commentType).then(function (res) {
                loading.dismiss().then(function () {
                    console.log("查询商户评论列表成功");
                    console.log(res);
                    if (res["code"] == 200 && res["data"]["products"] && res["data"]["products"]["length"] > 0) {
                        if (isPush) {
                            res["data"]["products"].forEach(function (value) {
                                _this.commentLs.push(value);
                            });
                        }
                        else {
                            _this.commentLs = res["data"]["products"];
                        }
                        if (_this.commentLs["length"] > 0) {
                            var employerIds_1 = new Set();
                            _this.commentLs.forEach(function (v, k, array) {
                                employerIds_1.add(v["employerId"]);
                                array[k]["employerPic"] = null;
                                array[k]["employerSex"] = null;
                                array[k]["employerTitle"] = "匿名";
                            });
                            console.log("查询雇主头像参数：雇主id集合");
                            console.log(employerIds_1);
                            _this.apiProvider.GetEmployerScoreAndPic(Array.from(employerIds_1)).then(function (employerInfLs) {
                                console.log("查询雇主头像成功");
                                console.log(employerInfLs);
                                if (employerInfLs["code"] == 200) {
                                    // 整合头像
                                    _this.commentLs.forEach(function (evaluateItem, evaluateItemKey, array) {
                                        employerInfLs["data"].forEach(function (employerPicsItem) {
                                            if (evaluateItem["employerId"] == employerPicsItem["employerId"]) {
                                                array[evaluateItemKey]["employerPic"] = __WEBPACK_IMPORTED_MODULE_5__providers_common_common__["a" /* CommonProvider */].resetPictureId(employerPicsItem["pictureId"]);
                                                // 雇主称谓显示问题（昵称，真实姓名，手机号）
                                                var comParams = {
                                                    "nickName": employerPicsItem["nickName"],
                                                    "employerName": employerPicsItem["employerName"],
                                                    "phoneNumber": employerPicsItem["phoneNumber"],
                                                    "sex": employerPicsItem["sex"]
                                                };
                                                array[evaluateItemKey]["employerTitle"] = __WEBPACK_IMPORTED_MODULE_5__providers_common_common__["a" /* CommonProvider */].setEmployerTitle(comParams);
                                            }
                                        });
                                        if (evaluateItem["employerComment"]["merchantReply"]) {
                                            var oddTime = new Date().getTime() - new Date(evaluateItem["updateTime"]).getTime();
                                            array[evaluateItemKey]["merchantReplyDay"] = Math.floor(oddTime / (1000 * 60 * 60 * 24));
                                        }
                                    });
                                }
                            }, function (err) {
                                console.error("查询雇主头像失败");
                                console.error(err);
                            });
                        }
                        _this.totalPage = res["data"]["totalPage"];
                    }
                });
            }, function (err) {
                loading.dismiss().then(function () {
                    console.error("查询商户评论列表失败");
                    console.error(err);
                });
            });
        });
    };
    /**
     * 查询商户简历
     */
    MerchanthomePage.prototype.getMerchantResume = function () {
        var _this = this;
        var loading = this.loadingCtrl.create({
            content: "努力加载中...",
            dismissOnPageChange: false
        });
        loading.present().then(function () {
            console.log("查询商户简历参数");
            console.log(_this.merchantId);
            _this.apiProvider.GetMerchantResume(_this.merchantId).then(function (res) {
                loading.dismiss().then(function () {
                    console.log("查询商户简历成功");
                    console.log(res);
                    if (res["code"] == 200) {
                        _this.resumeInf["txt"] = res["data"]["merchantServiceSetting"]["introduction"];
                        _this.resumeInf["pic"] = res["data"]["merchantServicePictures"];
                    }
                });
            }, function (err) {
                loading.dismiss().then(function () {
                    console.error("查询商户简历失败");
                    console.error(err);
                });
            });
        });
    };
    /**
     * 查询商户评论总数
     */
    MerchanthomePage.prototype.getCommentSum = function () {
        var _this = this;
        console.log("查询商户评论总数参数");
        console.log(this.merchantId);
        this.apiProvider.GetCommentSum(this.merchantId).then(function (res) {
            console.log("查询商户评论总数成功");
            console.log(res);
            if (res["code"] == 200) {
                _this.commentSum = res["data"] == null ? 0 : res['data'];
            }
        }, function (err) {
            console.error("查询商户评论总数失败");
            console.error(err);
        });
    };
    /**
     * 查询不同评论的数量
     */
    MerchanthomePage.prototype.getCommentNum = function () {
        var _this = this;
        console.log("查询不同评论的数量参数");
        console.log(this.merchantId);
        this.apiProvider.GetCommentNum(this.merchantId).then(function (res) {
            console.log("查询不同评论的数量成功");
            console.log(res);
            if (res["code"] == 200 && res["data"] && res["data"]["length"] > 0) {
                _this.commentNum = res["data"];
            }
        }, function (err) {
            console.error("查询不同评论的数量失败");
            console.error(err);
        });
    };
    /**
     * 跳转至服务详情页
     * @param merchantServiceItemId 商家服务详情id
     * @param serviceItemCategory 类别
     */
    MerchanthomePage.prototype.jumpServiceDetailsPage = function (merchantServiceItemId, serviceItemCategory) {
        var _this = this;
        var params = {
            "merchantServiceItemId": merchantServiceItemId,
            "merchantInf": this.merchantInf,
            "merchantId": this.merchantId
        };
        this.navCtrl.push("ServiceDetailsPage", params).then(function () {
            console.log("跳转至服务详情页参数");
            console.log(params);
            _this.serviceItemCategory = serviceItemCategory;
        });
    };
    /**
     * 打开购物车
     */
    MerchanthomePage.prototype.openShoppingCart = function () {
        this.isShowMask = this.isShowMask === false;
        this.isShowShoppingCart = this.isShowShoppingCart === false;
    };
    /**
     * 显示更多
     */
    MerchanthomePage.prototype.showMore = function () {
        this.isShowMask = true;
        this.isShowMore = true;
    };
    /**
     * 关闭遮罩层
     */
    MerchanthomePage.prototype.closeMask = function () {
        this.isShowShoppingCart = false;
        this.isShowMore = false;
        this.isShowMask = false;
    };
    /**
     * 跳转至消息页面
     */
    MerchanthomePage.prototype.jumpMsgPage = function () {
        var _this = this;
        if (!this.sessionProvider["user"]["isLogin"]) {
            this.commonProvider.Login(this);
        }
        else {
            this.navCtrl.parent.select(2);
            this.navCtrl.popToRoot().then(function () {
                _this.isShowMore = false;
                _this.isShowMask = false;
            });
        }
    };
    /**
     * 跳转至首页
     */
    MerchanthomePage.prototype.jumpHomePage = function () {
        var _this = this;
        this.navCtrl.popToRoot().then(function () {
            _this.isShowMore = false;
            _this.isShowMask = false;
        });
    };
    /**
     * 跳转至客服页面
     */
    MerchanthomePage.prototype.jumpCustomerPage = function () {
        var _this = this;
        if (!this.sessionProvider["user"]["isLogin"]) {
            this.commonProvider.Login(this);
        }
        else {
            var params_1 = {
                toUserId: __WEBPACK_IMPORTED_MODULE_4__providers_const_const__["a" /* ConstProvider */].Kefu,
                toUserName: __WEBPACK_IMPORTED_MODULE_4__providers_const_const__["a" /* ConstProvider */].KefuName
            };
            this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_9__chat_chat__["a" /* ChatPage */], params_1).then(function () {
                console.log("跳转至聊天界面参数");
                console.log(params_1);
                _this.isShowMore = false;
                _this.isShowMask = false;
            });
        }
    };
    /**
     * 跳转至反馈页面
     */
    MerchanthomePage.prototype.jumpFeedbackPage = function () {
        var _this = this;
        if (!this.sessionProvider["user"]["isLogin"]) {
            this.commonProvider.Login(this);
        }
        else {
            this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_7__userfeedback_userfeedback__["a" /* UserfeedbackPage */]).then(function () {
                _this.isShowMore = false;
                _this.isShowMask = false;
            });
        }
    };
    /**
     * 选距离
     * @param goodsDetails
     */
    MerchanthomePage.prototype.selectDistance = function (goodsDetails) {
        var _this = this;
        if (!this.sessionProvider["user"]["isLogin"]) {
            this.commonProvider.Login(this);
        }
        else {
            // 选距离弹窗
            var newsModal = this.modal.create("RoutePromptPage", goodsDetails['routeInfo'] ? goodsDetails['routeInfo'] : {}, { cssClass: "alertModal" });
            newsModal.onDidDismiss(function (res) {
                // 带参的回调函数
                if (res) {
                    goodsDetails['routeInfo'] = res;
                    goodsDetails["voriginDestination"] = JSON.stringify(res["start"]) + ';' + JSON.stringify(res["end"]);
                    goodsDetails["vehicleRoute"] = __WEBPACK_IMPORTED_MODULE_6__app_dp_algorithm__["a" /* DpAlgorithm */].Compress(JSON.stringify(res["points"]));
                    goodsDetails["quantity"] = res["distanceNumber"] > 1 ? res["distanceNumber"] : 1;
                    goodsDetails["amount"] = new BigNumber(goodsDetails["quantity"]).times(goodsDetails["price"]).toFixed(2);
                    _this.addShoppingCart(goodsDetails);
                }
            });
            newsModal.present().then();
        }
    };
    /**
     * 上拉加载数据
     * @param infiniteScroll
     */
    MerchanthomePage.prototype.doInfinite = function (infiniteScroll) {
        var _this = this;
        if (this.page < this.totalPage) {
            this.page++;
            setTimeout(function () {
                _this.getMerchantCommentLs(_this.commentType, true);
                infiniteScroll.complete();
            }, 500);
        }
        else {
            infiniteScroll.complete();
        }
    };
    /**
     * 查询累计配送重量
     */
    MerchanthomePage.prototype.getLimitWeight = function () {
        var _this = this;
        this.merchantProvider.getLimitWeight(this.employerId, this.merchantId, this.merchantInf.merchantServiceSetting.employerDayMaxWeight).then(function (res) {
            _this.cumulativeWeight = res["data"]["cumulativeWeight"];
        });
    };
    /**
     * 关注商户
     */
    MerchanthomePage.prototype.focusMerchant = function () {
        if (!this.sessionProvider["user"]["isLogin"]) {
            this.commonProvider.Login(this);
        }
        else {
            this.isFocused = this.isFocused === false;
            if (this.isFocused) {
                this.merchantProvider.addFocusedMerchant(this.employerId, this.merchantId, this.merchantInf.merchantName).then();
            }
            else {
                this.merchantProvider.delFocusedMerchant(this.employerId, this.merchantId).then();
            }
        }
    };
    /**
     * 查询关注商户
     */
    MerchanthomePage.prototype.getFocusedMerchant = function () {
        var _this = this;
        this.merchantProvider.getFocusedMerchant(this.employerId, this.merchantId).then(function (res) {
            _this.isFocused = res["data"];
        });
    };
    /**
     * 分享商户
     */
    MerchanthomePage.prototype.shareMerchant = function () {
        this.merchantProvider.shareMerchant();
    };
    /**
     * 添加购物车
     * @param goodsDetail 商品详情
     */
    MerchanthomePage.prototype.addShoppingCart = function (goodsDetail) {
        var _this = this;
        // 强制登录
        if (!this.sessionProvider["user"]["isLogin"]) {
            var pushParams = {
                "backPage": "MerchanthomePage",
                "backParams": {
                    "merchantId": this.merchantId,
                    "merchantServiceItemId": this.merchantServiceItemId,
                    "serviceItemCategory": this.serviceItemCategory
                }
            };
            this.navCtrl.push("LoginPage", { "backInfo": pushParams }).then();
        }
        else {
            // 添加按钮不可点击
            goodsDetail["isAddClick"] = false;
            this.merchantProvider.addShoppingCart(goodsDetail, this.merchantInf.merchantServiceSetting.employerDayMaxWeight, this.cumulativeWeight, this.employerId, this.merchantId).then(function (res) {
                // 累计重量
                _this.cumulativeWeight += (goodsDetail["weight"] > 0 ? goodsDetail["weight"] : 0);
                // 车辆服务数量显示特殊处理
                var firstAddCarService = true;
                if (goodsDetail["professionCategory"] == 1) {
                    _this.shoppingCartLs.forEach(function (value) {
                        if (value["merchantServiceItemId"] == goodsDetail["merchantServiceItemId"]) {
                            firstAddCarService = false;
                        }
                    });
                }
                // 分类角标
                _this.categoryLs.forEach(function (value, key, array) {
                    if (value["serviceItemCategory"] == goodsDetail["serviceItemCategory"] && firstAddCarService) {
                        array[key]["shoppingCartCount"]++;
                    }
                });
                // 服务数量及添加按钮
                _this.servicesLs.forEach(function (value, key, array) {
                    if (value["merchantServiceItemId"] == goodsDetail["merchantServiceItemId"]) {
                        array[key]["shoppingCartId"] = res["data"]["shoppingCartId"];
                        if (firstAddCarService) {
                            array[key]["shoppingCartCount"]++;
                        }
                    }
                    array[key]["isAddClick"] = true;
                });
                // 重载购物车
                _this.getShoppingCart();
            }, function (err) {
                // 该err.message已被重置修改
                _this.commonProvider.tips(err["message"]);
            });
        }
    };
    /**
     * 减少购物车
     * @param goodsDetail 商品详情
     */
    MerchanthomePage.prototype.cutShoppingCart = function (goodsDetail) {
        var _this = this;
        // 减少按钮不可点击
        goodsDetail["isCutClick"] = false;
        this.merchantProvider.cutShoppingCart(goodsDetail["shoppingCartId"]).then(function () {
            // 累计重量
            _this.cumulativeWeight -= (goodsDetail["weight"] > 0 ? goodsDetail["weight"] : 0);
            // 分类角标
            _this.categoryLs.forEach(function (value, key, array) {
                if (value["serviceItemCategory"] == goodsDetail["serviceItemCategory"]) {
                    array[key]["shoppingCartCount"]--;
                }
            });
            // 服务数量及按钮
            _this.servicesLs.forEach(function (value, key, array) {
                if (value["merchantServiceItemId"] == goodsDetail["merchantServiceItemId"]) {
                    array[key]["shoppingCartCount"]--;
                }
                array[key]["isCutClick"] = true;
                array[key]["isAddClick"] = true;
            });
            // 重载购物车
            _this.getShoppingCart();
        }, function () {
            _this.commonProvider.tips("操作失败，请重试");
        });
    };
    /**
     * 删除购物车
     * @param shoppingCartId
     */
    MerchanthomePage.prototype.rmShoppingCart = function (shoppingCartId) {
        var _this = this;
        this.merchantProvider.rmShoppingCart(shoppingCartId).then(function () {
            _this.getShoppingCart();
        }, function () {
            _this.commonProvider.tips("操作失败，请重试");
        });
    };
    /**
     * 清空购物车
     */
    MerchanthomePage.prototype.delShoppingCart = function () {
        var _this = this;
        this.merchantProvider.delShoppingCart(this.employerId, this.merchantId).then(function () {
            _this.shoppingCartLs = [];
            _this.shoppingCartAmount = 0;
            _this.cumulativeWeight = 0;
            _this.singleAmount = _this.merchantInf["merchantServiceSetting"]["lowestDealPrice"];
            _this.categoryLs.forEach(function (value, index, array) {
                value["shoppingCartCount"] = 0;
                array[index] = value;
            });
            _this.servicesLs.forEach(function (value, index, array) {
                value["shoppingCartCount"] = 0;
                array[index] = value;
            });
            _this.closeMask();
        }, function () {
            _this.commonProvider.tips("操作失败，请重试");
        });
    };
    /**
     * 查询购物车
     */
    MerchanthomePage.prototype.getShoppingCart = function () {
        var _this = this;
        this.merchantProvider.getShoppingCart(this.employerId, this.merchantId).then(function (res) {
            if (res["data"]["length"] > 0) {
                _this.shoppingCartLs = res["data"];
                var goodsIds_1 = new Set();
                _this.shoppingCartLs.forEach(function (value, key, array) {
                    array[key]["status"] = null; // 商品默认（0：可用；1：禁用）
                    goodsIds_1.add(value["merchantServiceItemId"]);
                });
                console.log("查询最新单价参数");
                console.log(goodsIds_1);
                _this.apiProvider.GetLatestUnitPrice(Array.from(goodsIds_1)).then(function (res) {
                    console.log("查询最新单价成功");
                    console.log(res);
                    var shoppingCartAmount = new BigNumber(0);
                    _this.shoppingCartLs.forEach(function (value, key, array) {
                        res["data"].forEach(function (v) {
                            if (value["merchantServiceItemId"] == v["merchantServiceItemId"] && v["status"] == 0) {
                                array[key]["amount"] = new BigNumber(value["quantity"]).times(v["price"]).toFixed(2);
                                array[key]["quantityLimitation"] = v["quantityLimitation"];
                                array[key]["everydayStock"] = v["everydayStock"];
                                shoppingCartAmount = shoppingCartAmount.plus(array[key]["amount"]);
                            }
                            array[key]["status"] = v["status"];
                        });
                        array[key]["isAddClick"] = true;
                        array[key]["isCutClick"] = true;
                    });
                    _this.shoppingCartAmount = shoppingCartAmount;
                    _this.singleAmount = new BigNumber(_this.shoppingCartAmount).minus(_this.merchantInf["merchantServiceSetting"]["lowestDealPrice"]).times("-1").toFixed(2);
                }, function (err) {
                    console.error("查询最新单价失败");
                    console.error(err);
                });
            }
            else {
                _this.shoppingCartLs = [];
                _this.shoppingCartAmount = 0;
                _this.singleAmount = _this.merchantInf["merchantServiceSetting"]["lowestDealPrice"];
                _this.closeMask();
            }
        });
    };
    /**
     * 结算
     */
    MerchanthomePage.prototype.settlement = function () {
        this.closeMask();
        this.merchantProvider.settlement(this.employerId, this.merchantId, this.merchantInf);
    };
    /**
     * 图片预览
     * @param photoUrl
     */
    MerchanthomePage.prototype.photoView = function (photoUrl) {
        var _this = this;
        this.modal.create("ModalalertPage", { showId: 4, photoUrl: this.picHost + photoUrl }, { cssClass: "alertModal" }).present().then(function () {
            console.log("图片预览参数");
            console.log({ showId: 4, photoUrl: _this.picHost + photoUrl });
        });
    };
    MerchanthomePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-merchanthome',template:/*ion-inline-start:"D:\localsvn\tuanjiazhen\employer\app_employer\employerapp\src\pages\merchanthome\merchanthome.html"*/'<ion-header>\n\n  <ion-navbar>\n\n    <ion-buttons right>\n\n      <button (click)="focusMerchant()">\n\n        <img [src]="imgPath + \'guanzhu@2x.png\'" *ngIf="!isFocused" alt="">\n\n        <img [src]="imgPath + \'guanzhu@huang.png\'" *ngIf="isFocused" alt="">\n\n      </button>\n\n      <!--<button (click)="shareMerchant()">\n\n        <img [src]="imgPath + \'fenxiang@2x.png\'" alt="">\n\n      </button>-->\n\n      <button (click)="showMore()">\n\n        <img [src]="imgPath + \'gengduo@2x.png\'" alt="">\n\n      </button>\n\n    </ion-buttons>\n\n  </ion-navbar>\n\n\n\n  <!--综合点选框-->\n\n  <div class="recharge-popups2" *ngIf="isShowMore">\n\n    <img src="../../assets/imgs/jiaotou@2x.png" class="jiantoutishi" alt="">\n\n    <div (click)="jumpMsgPage()">\n\n      <img [src]="imgPath + \'xiaoxi@2x.png\'" class="p2-tb" alt="">\n\n      消息\n\n    </div>\n\n    <div (click)="jumpHomePage()">\n\n      <img [src]="imgPath + \'shouye@2x.png\'" class="p2-tb" alt="">\n\n      首页\n\n    </div>\n\n    <div (click)="jumpCustomerPage()">\n\n      <img [src]="imgPath + \'kefu@2x.png\'" class="p2-tb" alt="">\n\n      团家政客服\n\n    </div>\n\n    <div style="border: none;" (click)="jumpFeedbackPage()">\n\n      <img [src]="imgPath + \'fankui@2x.png\'" class="p2-tb" alt="">\n\n      我要反馈\n\n    </div>\n\n  </div>\n\n\n\n  <div class="recharge-mask5" *ngIf="isShowMask" (click)="closeMask()"></div>\n\n</ion-header>\n\n\n\n<ion-content no-padding>\n\n  <img [src]="imgPath + \'dayang@2x.png\'" class="resthome" *ngIf="merchantInf[\'merchantService\'][\'status\'] == 0" alt="">\n\n  <div class="ylsj-top"></div>\n\n  <div class="ylsj-banner">\n\n    <img [src]="merchantInf[\'pictureId\']" class="ylsjbanner-img1" *ngIf="merchantInf[\'pictureId\']" alt="">\n\n\n\n    <span class="ylsjbanner-name">\n\n      {{merchantInf["merchantTitle"]}}\n\n      <span class="distance" *ngIf="merchantInf[\'distance\']">\n\n        {{merchantInf["distance"]}}km\n\n      </span>\n\n    </span>\n\n\n\n    <!-- <span class="ylzy-lxsj" (click)="conMerchant()">\n\n      <img [src]="imgPath + \'liamxi@2x.png\'" alt="">\n\n      联系商家\n\n    </span> -->\n\n\n\n    <div *ngIf="0 >= merchantInf[\'merchantServiceSetting\'][\'feePerOrder\'] && merchantInf[\'profession\'] == \'生活配送\' ">\n\n      <span class="ylsj-tk" style="top: 85px;left:120px;">\n\n          免费配送\n\n      </span>\n\n      <img [src]="imgPath + \'zhuyeyirenzheng.png\'" style="right: 10px;top: 7px;" class="ylsjbanner-img2" *ngIf="merchantInf[\'authenticationStatus\'] == 1" alt="">\n\n    </div>\n\n\n\n    <div *ngIf="0 < merchantInf[\'merchantServiceSetting\'][\'feePerOrder\']">\n\n      <span class="ylsj-tk" style="top: 84px;left:120px;" *ngIf="merchantInf[\'profession\'] == \'生活配送\' && merchantInf[\'merchantServiceSetting\'][\'lowestDealPrice\'] && merchantInf[\'merchantServiceSetting\'][\'feePerOrder\']">\n\n          起送价\n\n          &yen;{{merchantInf[\'merchantServiceSetting\'][\'lowestDealPrice\']}}\n\n\n\n        配送费\n\n          &yen;{{merchantInf[\'merchantServiceSetting\'][\'feePerOrder\']}}\n\n        </span>\n\n\n\n      <img [src]="imgPath + \'zhuyeyirenzheng.png\'" style="right: 10px;top: 7px;" class="ylsjbanner-img2" *ngIf="merchantInf[\'authenticationStatus\'] == 1" alt="">\n\n\n\n      <span style="top:102px;left:120px;" class="ylsj-tk" *ngIf="merchantInf[\'profession\'] == \'生活配送\' && merchantInf[\'merchantServiceSetting\'][\'freePerOrderAmount\'] && merchantInf[\'merchantServiceSetting\'][\'freePerOrderKg\']">\n\n          满\n\n          &yen;{{merchantInf["merchantServiceSetting"]["freePerOrderAmount"]}}，\n\n        {{merchantInf["merchantServiceSetting"]["freePerOrderKg"]}}kg内免费配送\n\n        </span>\n\n    </div>\n\n\n\n    <span class="ylsj-tk" style="top: 122px;left:120px;">\n\n      好评 {{merchantInf["merchantService"]["score"]}}分\n\n      &nbsp;&nbsp;&nbsp;\n\n      接单率 {{merchantInf["merchantService"]["orderTakingRate"]}}%\n\n      &nbsp;&nbsp;&nbsp;\n\n      接单量 {{merchantInf["merchantService"]["orderTakingNum"]}}\n\n    </span>\n\n\n\n    <img [src]="imgPath + \'songtuandoudou@2x.png\'" class="sszs-banner-img2" *ngIf="merchantInf[\'merchantServiceSetting\'][\'praiseGiveDd\'] > 0" alt="">\n\n  </div>\n\n\n\n  <div class="ylsj-banner2">\n\n    <span class="ylsjbanner2-msg1" [class.ylsjbanner2-border]="tabIndex == 0" (click)="serviceTab()">\n\n      服务\n\n    </span>\n\n    <span class="ylsjbanner2-msg1" [class.ylsjbanner2-border]="tabIndex == 1" (click)="resumeTab()">\n\n      简历\n\n    </span>\n\n    <span style="margin: 0 9%;" class="ylsjbanner2-msg1" [class.ylsjbanner2-border]="tabIndex == 2" (click)="evaluateTab()">\n\n      评价({{commentSum}})\n\n    </span>\n\n  </div>\n\n\n\n  <div class="service-tab" *ngIf="tabIndex == 0">\n\n\n\n    <div class="ylsj-mainright">\n\n      <div class="ylsj-mainright-msg" *ngFor="let serviceItem of servicesLs">\n\n        <img [src]="serviceItem[\'pictureId\'] ? (picHost + serviceItem[\'pictureId\']) : merchantInf[\'pictureId\']" (click)="jumpServiceDetailsPage(serviceItem[\'merchantServiceItemId\'],serviceItem[\'serviceItemCategory\'])" alt="">\n\n        <span class="ylsj-mainright-msg2">\n\n          {{serviceItem["serviceItem"]}}\n\n        </span>\n\n\n\n        <span class="ylsj-mainright-msg4">\n\n          <span *ngIf="serviceItem[\'everydayStock\']">\n\n            库存\n\n            {{serviceItem["everydayStock"]}}\n\n          </span>\n\n\n\n          <span *ngIf="serviceItem[\'quantityLimitation\']">\n\n            限购\n\n            {{serviceItem["quantityLimitation"]}}\n\n          </span>\n\n        </span>\n\n\n\n        <span class="ylsj-mainright-msg3">\n\n          &yen;{{serviceItem["price"]}}/{{serviceItem["unit"]}}\n\n        </span>\n\n\n\n        <button class="ylsj-img ylsj-imgcut" *ngIf="serviceItem[\'professionCategory\'] != 1 && serviceItem[\'shoppingCartCount\'] > 0" [disabled]="!serviceItem[\'isCutClick\']" (click)="cutShoppingCart(serviceItem)"></button>\n\n\n\n        <span class="goods-count" *ngIf="serviceItem[\'professionCategory\'] != 1 && serviceItem[\'shoppingCartCount\'] > 0">\n\n          {{serviceItem["shoppingCartCount"]}}\n\n        </span>\n\n\n\n        <button class="ylsj-img ylsj-imgadd" *ngIf="serviceItem[\'professionCategory\'] != 1" [disabled]="!serviceItem[\'isAddClick\'] || (serviceItem[\'quantityLimitation\'] && serviceItem[\'shoppingCartCount\'] >= serviceItem[\'quantityLimitation\']) || (serviceItem[\'everydayStock\'] != null && serviceItem[\'everydayStock\'] <= 0)" (click)="addShoppingCart(serviceItem)"></button>\n\n\n\n        <button class="ylsj-select-distance" *ngIf="serviceItem[\'professionCategory\'] == 1" (click)="selectDistance(serviceItem)">\n\n          选距离\n\n        </button>\n\n      </div>\n\n      <div style="text-align: center;margin-top: 74px;" *ngIf="categoryLs[\'length\'] > 0 && servicesLs[\'length\'] <= 0">\n\n        暂无服务\n\n      </div>\n\n    </div>\n\n    <div class="ylsj-mainleft" *ngIf="categoryLs[\'length\'] > 0">\n\n      <div style="position:relative;" *ngFor="let categoryItem of categoryLs index as i" [class.bg-white]="categoryIndex == i" (click)="getServiceByCategory(categoryItem[\'serviceItemCategory\'],i)">\n\n        {{categoryItem["serviceItemCategory"]}}\n\n        <span class="mh-qiu" *ngIf="categoryItem[\'shoppingCartCount\'] > 0">\n\n          {{categoryItem["shoppingCartCount"]}}\n\n        </span>\n\n      </div>\n\n    </div>\n\n\n\n    <div style="text-align: center;margin-top: 74px;" *ngIf="categoryLs[\'length\'] <= 0">\n\n      暂无分类\n\n    </div>\n\n\n\n\n\n  </div>\n\n\n\n  <div class="resume-tab" *ngIf="tabIndex == 1">\n\n    <div class="yljl-main">\n\n      {{resumeInf["txt"]}}\n\n    </div>\n\n    <div style="text-align: center;" *ngFor="let picItem of resumeInf[\'pic\']">\n\n      <img [src]="picHost + picItem[\'pictureId\']" class="yljl-main2" alt="">\n\n    </div>\n\n\n\n    <div style="text-align: center;margin-top: 74px;" *ngIf="resumeInf[\'txt\'] == null && resumeInf[\'pic\'][\'length\'] <= 0">\n\n      暂无简历\n\n    </div>\n\n  </div>\n\n\n\n  <div class="evaluate-tab" *ngIf="tabIndex == 2">\n\n    <div class="ylpj-title">\n\n      {{merchantInf["merchantService"]["score"]}}\n\n    </div>\n\n\n\n    <div style="text-align: center;font-size: 15px;font-weight: bold;">\n\n      <span style="color:#999999">\n\n        服务评分\n\n      </span>\n\n    </div>\n\n\n\n    <div class="ylpj-banner">\n\n      <div class="ylpj-nogou" [class.ylpj-gou]="commentType == 0" (click)="getMerchantCommentLs(0)">\n\n        全部\n\n        {{commentNum[0]}}\n\n      </div>\n\n      <div class="ylpj-nogou" [class.ylpj-gou]="commentType == 1" (click)="getMerchantCommentLs(1)">\n\n        好评\n\n        {{commentNum[1]}}\n\n      </div>\n\n      <div class="ylpj-nogou" [class.ylpj-gou]="commentType == 2" (click)="getMerchantCommentLs(2)">\n\n        中评\n\n        {{commentNum[2]}}\n\n      </div>\n\n      <div class="ylpj-nogou" [class.ylpj-gou]="commentType == 3" (click)="getMerchantCommentLs(3)">\n\n        差评\n\n        {{commentNum[3]}}\n\n      </div>\n\n      <div class="ylpj-nogou" [class.ylpj-gou]="commentType == 4" (click)="getMerchantCommentLs(4)">\n\n        有图\n\n        {{commentNum[4]}}\n\n      </div>\n\n    </div>\n\n\n\n    <div class="eva-ls" *ngFor="let item of commentLs">\n\n      <div class="my-fenge"></div>\n\n      <div class="ylpj-main">\n\n        <img *ngIf="item[\'employerPic\']" [src]="item[\'employerPic\']" class="ylpj-main-tx" alt="">\n\n\n\n        <span class="ylpj-main-name">\n\n          {{item["employerTitle"]}}\n\n        </span>\n\n\n\n        <span class="ylpj-main-time">\n\n          {{item["employerComment"]["updateTime"]}}\n\n        </span>\n\n        <div class="ylpj-main-msg">\n\n          {{item["employerComment"]["comment"]}}\n\n        </div>\n\n\n\n        <span *ngIf="item[\'employerComment\'][\'pictureId1\']">\n\n          <img [src]="picHost + item[\'employerComment\'][\'pictureId1\']" class="ylpj-main-img" (click)="photoView(item[\'employerComment\'][\'pictureId1\'])" alt="">\n\n        </span>\n\n        <span *ngIf="item[\'employerComment\'][\'pictureId2\']">\n\n          <img [src]="picHost + item[\'employerComment\'][\'pictureId2\']" class="ylpj-main-img" (click)="photoView(item[\'employerComment\'][\'pictureId2\'])" alt="">\n\n        </span>\n\n        <span *ngIf="item[\'employerComment\'][\'pictureId3\']">\n\n          <img [src]="picHost + item[\'employerComment\'][\'pictureId3\']" class="ylpj-main-img" (click)="photoView(item[\'employerComment\'][\'pictureId3\'])" alt="">\n\n        </span>\n\n\n\n        <div class="ylpj-main-msg2">\n\n          {{item["employerOrderDetails"][0]["serviceItem"]}}\n\n        </div>\n\n        <div class="ylpj-main-msg2">\n\n          下单时间：{{item["orderTime"]}}\n\n        </div>\n\n        <div class="ylpj-main-msg3" *ngIf="item[\'employerComment\'][\'merchantReply\']">\n\n          商家回复（{{item["merchantReplyDay"]}}天后）{{item["employerComment"]["merchantReply"]}}\n\n        </div>\n\n      </div>\n\n    </div>\n\n    <div style="text-align: center;margin-top: 74px;" *ngIf="commentLs[\'length\'] <= 0">\n\n      暂无评价\n\n    </div>\n\n  </div>\n\n\n\n  <div class="recharge-mask5" *ngIf="isShowMask" (click)="closeMask()"></div>\n\n\n\n  <ion-infinite-scroll (ionInfinite)="doInfinite($event)">\n\n    <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="加载中..."></ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n</ion-content>\n\n\n\n<ion-footer>\n\n  <div style="height: 51px;">\n\n    <div class="shzj-bottom merchant-close" *ngIf="merchantInf[\'merchantService\'][\'status\'] == 0">\n\n      商家休息中\n\n    </div>\n\n    <div class="shzj-bottom" *ngIf="merchantInf[\'merchantService\'][\'status\'] != 0 && singleAmount > 0">\n\n      还差{{singleAmount}}元\n\n      可下单[去凑单]\n\n    </div>\n\n\n\n    <div *ngIf="isShowShoppingCart" style="overflow-y:scroll;height:400px;">\n\n      <div class="shzj-bottom3">\n\n        已选项目服务({{shoppingCartLs["length"]}})\n\n        <span (click)="delShoppingCart()">\n\n          <img [src]="imgPath + \'shanchu@2x (2).png\'" alt="">\n\n          清空服务车\n\n        </span>\n\n      </div>\n\n\n\n      <ion-list no-lines>\n\n        <ion-item-sliding *ngFor="let shoppingCartItem of shoppingCartLs">\n\n          <ion-item>\n\n            <div class="shzj-bottom4" style="position: relative;">\n\n              <div class="goods-invalid-div" *ngIf="shoppingCartItem[\'status\'] == 1"></div>\n\n              <b class="goods-invalid-b" *ngIf="shoppingCartItem[\'status\'] == 1">\n\n                已失效\n\n              </b>\n\n              <div style="width:150px;display: inline-block;overflow:hidden;text-overflow: ellipsis;white-space: nowrap;">{{shoppingCartItem["serviceItem"]}}</div>\n\n              <span>\n\n                &yen;{{shoppingCartItem["amount"]}}\n\n                &nbsp;&nbsp;\n\n                <span *ngIf="shoppingCartItem[\'professionCategory\'] != 1">\n\n                  <button class="shzj-bottom4-btn shzj-bottom4-cut-btn" [disabled]="!shoppingCartItem[\'isCutClick\'] || shoppingCartItem[\'status\'] == 1" (click)="cutShoppingCart(shoppingCartItem)"></button>\n\n                  {{shoppingCartItem["quantity"]}}\n\n                  <button class="shzj-bottom4-btn shzj-bottom4-add-btn" [disabled]="!shoppingCartItem[\'isAddClick\'] || shoppingCartItem[\'status\'] == 1 || (shoppingCartItem[\'everydayStock\'] != null && shoppingCartItem[\'everydayStock\'] <= 0)" (click)="addShoppingCart(shoppingCartItem)"></button>\n\n                </span>\n\n              </span>\n\n            </div>\n\n          </ion-item>\n\n          <ion-item-options side="right" *ngIf="shoppingCartItem[\'status\'] == 1">\n\n            <button ion-button color="danger" (click)="rmShoppingCart(shoppingCartItem[\'shoppingCartId\'])">删除</button>\n\n          </ion-item-options>\n\n        </ion-item-sliding>\n\n      </ion-list>\n\n    </div>\n\n\n\n    <div class="shzj-bottom2">\n\n      <img [src]="imgPath + \'gouwuche@2x.png\'" *ngIf="shoppingCartLs[\'length\'] <= 0" alt="">\n\n      <img [src]="imgPath + \'gouwuche2@2x.png\'" *ngIf="shoppingCartLs[\'length\'] > 0" (click)="openShoppingCart()" alt="">\n\n\n\n      <span *ngIf="shoppingCartLs[\'length\'] <= 0">\n\n        还未添加任何服务项目<br>\n\n        点我打开服务车\n\n      </span>\n\n      <span *ngIf="shoppingCartLs[\'length\'] > 0" (click)="openShoppingCart()">\n\n        <b class="shzy-color">\n\n          &yen;{{shoppingCartAmount}}\n\n          <br>\n\n        </b>\n\n        点我打开服务车\n\n      </span>\n\n\n\n      <div *ngIf="shoppingCartAmount <  merchantInf[\'merchantServiceSetting\'][\'lowestDealPrice\'] || shoppingCartLs[\'length\'] <= 0">\n\n        &yen;{{ merchantInf["merchantServiceSetting"]["lowestDealPrice"]}}起\n\n      </div>\n\n      <div class="bg-close" *ngIf="shoppingCartAmount >= merchantInf[\'merchantServiceSetting\'][\'lowestDealPrice\'] && merchantInf[\'merchantService\'][\'status\'] == 0 && shoppingCartLs[\'length\'] > 0">\n\n        去结算\n\n      </div>\n\n      <div class="bg-color" *ngIf="shoppingCartAmount >= merchantInf[\'merchantServiceSetting\'][\'lowestDealPrice\'] && merchantInf[\'merchantService\'][\'status\'] != 0 && shoppingCartLs[\'length\'] > 0" (click)="settlement()">\n\n        去结算\n\n      </div>\n\n    </div>\n\n  </div>\n\n\n\n  <img *ngIf="!isShowMask" src="assets/imgs/home/lxsj.png" (click)="conMerchant()" style="position: fixed;width: 67px;bottom:59px;left: 5px;">\n\n</ion-footer>\n\n'/*ion-inline-end:"D:\localsvn\tuanjiazhen\employer\app_employer\employerapp\src\pages\merchanthome\merchanthome.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__providers_api__["a" /* ApiProvider */],
            __WEBPACK_IMPORTED_MODULE_3__providers_session__["a" /* SessionProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_5__providers_common_common__["a" /* CommonProvider */],
            __WEBPACK_IMPORTED_MODULE_8__providers_merchant_merchant__["a" /* MerchantProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* LoadingController */]])
    ], MerchanthomePage);
    return MerchanthomePage;
}());

//# sourceMappingURL=merchanthome.js.map

/***/ })

});
//# sourceMappingURL=3.js.map