webpackJsonp([32],{

/***/ 483:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "BeanSettingPageModule", function() { return BeanSettingPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__bean_setting__ = __webpack_require__(537);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var BeanSettingPageModule = /** @class */ (function () {
    function BeanSettingPageModule() {
    }
    BeanSettingPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__bean_setting__["a" /* BeanSettingPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__bean_setting__["a" /* BeanSettingPage */]),
            ],
        })
    ], BeanSettingPageModule);
    return BeanSettingPageModule;
}());

//# sourceMappingURL=bean-setting.module.js.map

/***/ }),

/***/ 537:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return BeanSettingPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_api__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_common_common__ = __webpack_require__(18);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the BeanSettingPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var BeanSettingPage = /** @class */ (function () {
    function BeanSettingPage(navCtrl, navParams, apiProvider, commonProvider) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.apiProvider = apiProvider;
        this.commonProvider = commonProvider;
        this.employerDdUserId = null;
        this.IsAnonymous = false;
        this.IsJoin = false;
    }
    BeanSettingPage.prototype.ionViewDidLoad = function () {
        this.GetCurrentDDUser();
        console.log('ionViewDidLoad BeanSettingPage');
    };
    BeanSettingPage.prototype.GetCurrentDDUser = function () {
        var _this = this;
        this.apiProvider.GetCurDDUser().then(function (res) {
            console.log("查询雇主ddUserId成功");
            console.log(res);
            if (res["code"] == 200) {
                _this.employerDdUserId = res["data"]["ddUserId"];
                _this.IsJoin = (res["data"]["status"] > 0);
                if (res["data"]["anonymous"] == null) {
                    _this.IsAnonymous = false;
                }
                else {
                    _this.IsAnonymous = (res["data"]["anonymous"] > 0);
                }
            }
        }, function (err) {
            console.log("查询雇主ddUserId失败");
            console.log(err);
        });
    };
    BeanSettingPage.prototype.AnonymousChange = function () {
        var _this = this;
        this.apiProvider.UpdateDDAnonymous(this.IsAnonymous).then(function (res) {
        }, function (err) {
            if (err["code"] == 400) {
                _this.IsAnonymous = !_this.IsAnonymous;
                _this.commonProvider.tips(err["message"]);
            }
            console.log("更改匿名游戏失败");
            console.log(err);
        });
    };
    BeanSettingPage.prototype.JoinChange = function () {
        var _this = this;
        var status = 0;
        if (this.IsJoin) {
            status = 1;
        }
        this.apiProvider.UpdateStatus(status).then(function (res) {
        }, function (err) {
            if (err["code"] == 400) {
                _this.IsJoin = !_this.IsJoin;
                _this.commonProvider.tips(err["message"]);
            }
            console.log("更改是否加入游戏失败");
            console.log(err);
        });
    };
    BeanSettingPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-bean-setting',template:/*ion-inline-start:"D:\localsvn\tuanjiazhen\employer\app_employer\employerapp\src\pages\bean-setting\bean-setting.html"*/'<!--\n\n  Generated template for the BeanSettingPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>设置</ion-title>\n\n  </ion-navbar>\n\n\n\n</ion-header>\n\n\n\n\n\n<ion-content no-padding>\n\n  <ion-item>\n\n    <ion-label>匿名开启</ion-label>\n\n    <ion-toggle [(ngModel)]="IsAnonymous" (ionChange)="AnonymousChange()"></ion-toggle>\n\n  </ion-item>\n\n  <ion-item>\n\n    <ion-label>游戏开启</ion-label>\n\n    <ion-toggle [(ngModel)]="IsJoin" (ionChange)="JoinChange()"></ion-toggle>\n\n  </ion-item>\n\n  <div class="tip">\n\n  <span>小提示：加入游戏满30天才可设置关闭，关闭后，好友不可抢您豆豆！</span>\n\n</div>\n\n</ion-content>'/*ion-inline-end:"D:\localsvn\tuanjiazhen\employer\app_employer\employerapp\src\pages\bean-setting\bean-setting.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */], __WEBPACK_IMPORTED_MODULE_2__providers_api__["a" /* ApiProvider */], __WEBPACK_IMPORTED_MODULE_3__providers_common_common__["a" /* CommonProvider */]])
    ], BeanSettingPage);
    return BeanSettingPage;
}());

//# sourceMappingURL=bean-setting.js.map

/***/ })

});
//# sourceMappingURL=32.js.map