webpackJsonp([33],{

/***/ 480:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "BeanHomePageModule", function() { return BeanHomePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__bean_home__ = __webpack_require__(535);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var BeanHomePageModule = /** @class */ (function () {
    function BeanHomePageModule() {
    }
    BeanHomePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__bean_home__["a" /* BeanHomePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__bean_home__["a" /* BeanHomePage */]),
            ],
        })
    ], BeanHomePageModule);
    return BeanHomePageModule;
}());

//# sourceMappingURL=bean-home.module.js.map

/***/ }),

/***/ 535:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return BeanHomePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_api__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_const_const__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_common_common__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_status_bar__ = __webpack_require__(86);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/**
 * Generated class for the BeanHomePage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var BeanHomePage = /** @class */ (function () {
    function BeanHomePage(navCtrl, navParams, apiProvider, commonProvider, statusBar) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.apiProvider = apiProvider;
        this.commonProvider = commonProvider;
        this.statusBar = statusBar;
        this.picHost = __WEBPACK_IMPORTED_MODULE_3__providers_const_const__["a" /* ConstProvider */].PicHost;
        this.employerDdUserId = null;
        this.friends = []; //好友列表
        this.friendPages = [];
        this.showOthers = false;
        this.showMask = false;
        this.showMaskRule = false;
        this.showGameRule = false;
        this.showLevelUp = false;
        this.isJoin = false;
        this.IsDailySignIn = false;
        this.imgPath = "../../assets/imgs/bean";
        this.DailySignImgName = "tuandou@2x.png";
        this.ddUserInfo = {
            pictureId: "",
            userLevel: 0,
            ddAmount: 0
        };
        this.showLoading = false;
        this.beanOpacity = [1, 1, 1, 1, 1];
    }
    BeanHomePage.prototype.ionViewDidLoad = function () {
        this.GetCurrentDDUser();
        //console.log('ionViewDidLoad BeanHomePage');
    };
    BeanHomePage.prototype.ionViewWillEnter = function () {
        this.CheckGameArea();
        this.statusBar.hide();
    };
    BeanHomePage.prototype.ionViewDidLeave = function () {
        this.statusBar.show();
    };
    BeanHomePage.prototype.CheckGameArea = function () {
        var _this = this;
        this.apiProvider.GetQddAreaStatus().then(function (res) {
            if (res["code"] == 200) {
                if (res["data"] == 0) {
                    _this.commonProvider.showAlert("当前未开通，敬请期待！");
                    _this.BackBtnClicked();
                }
            }
        }, function (err) {
            if (err["code"] == 400) {
                _this.commonProvider.tips(err["message"]);
            }
            console.log(err);
            _this.BackBtnClicked();
        });
    };
    /**
   * 点击遮罩层
   */
    BeanHomePage.prototype.clickMask = function () {
        this.showOthers = false;
        this.showMask = false;
        if (this.isJoin) {
            this.showGameRule = false;
        }
    };
    BeanHomePage.prototype.clickOthers = function () {
        this.showMask = true;
        this.showOthers = true;
    };
    BeanHomePage.prototype.ShowUserLevelUp = function () {
        this.showMaskRule = true;
        this.showLevelUp = true;
    };
    BeanHomePage.prototype.ShowUserLevelUpClose = function () {
        this.showMaskRule = false;
        this.showLevelUp = false;
    };
    BeanHomePage.prototype.clickGameSetting = function () {
        this.navCtrl.push("BeanSettingPage");
    };
    BeanHomePage.prototype.clickGameRule = function () {
        if (this.isJoin) {
            this.showMask = true;
            this.showMaskRule = false;
        }
        else {
            this.showMask = false;
            this.showMaskRule = true;
        }
        this.showGameRule = true;
    };
    BeanHomePage.prototype.closeGameRuleMask = function () {
        this.showMask = false;
        this.showMaskRule = false;
        this.showGameRule = false;
    };
    BeanHomePage.prototype.clickFriendPk = function (friend) {
        var _this = this;
        if (friend.IsPk) {
            return;
        }
        this.apiProvider.FriendPk(this.employerDdUserId, friend.friendUserid, friend.ddFriendId).then(function (res) {
            if (res["code"] == 200) {
                friend.pkAmount = res["data"].ddnumber;
                _this.UpdateLevel(res["data"]);
                friend.IsShowPkResult = true;
                friend.imgType = "d";
                friend.IsPk = true;
                setTimeout(function () {
                    friend.IsShowPkResult = false;
                }, 600);
                //console.log(res);
                //this.commonProvider.tips("");
            }
        }, function (err) {
            if (err["code"] == 400) {
                _this.commonProvider.tips(err["message"]);
            }
            console.log("抢豆豆失败");
            console.log(err);
        });
        //this.commonProvider.tips("点击豆豆");
    };
    BeanHomePage.prototype.UpdateLevel = function (data) {
        this.ddUserInfo.ddAmount = Number(this.ddUserInfo.ddAmount) + Number(data.ddnumber);
        if (Number(data.level) > Number(this.ddUserInfo.userLevel)) {
            this.ddUserInfo.userLevel = Number(data.level);
            this.ShowUserLevelUp();
        }
        this.ddUserInfo.userLevel = Number(data.level);
    };
    BeanHomePage.prototype.clickFriendInfo = function (friend) {
        friend.IsShowInfo = true;
        setTimeout(function () {
            friend.IsShowInfo = false;
        }, 1000);
        //this.commonProvider.tips("点击头像");
    };
    BeanHomePage.prototype.gameNotAgree = function () {
        this.BackBtnClicked();
    };
    BeanHomePage.prototype.gameAgree = function () {
        var _this = this;
        this.apiProvider.UpdateStatus(1).then(function (res) {
            if (res["code"] == 200) {
                _this.closeGameRuleMask();
                //this.commonProvider.tips("");
            }
        }, function (err) {
            console.log("加入抢豆豆失败");
            console.log(err);
        });
    };
    BeanHomePage.prototype.BackBtnClicked = function () {
        this.navCtrl.pop();
    };
    BeanHomePage.prototype.GetCurrentDDUser = function () {
        var _this = this;
        this.apiProvider.GetCurDDUser().then(function (res) {
            console.log("查询雇主ddUserId成功");
            console.log(res);
            if (res["code"] == 200) {
                _this.ddUserInfo = res["data"];
                if (_this.ddUserInfo.pictureId == null || _this.ddUserInfo.pictureId == "") {
                    _this.ddUserInfo.pictureId = "assets/imgs/followmerchant/morentouxiang.jpg";
                }
                else {
                    _this.ddUserInfo.pictureId = _this.picHost + _this.ddUserInfo.pictureId;
                }
                _this.employerDdUserId = res["data"]["ddUserId"];
                _this.isJoin = (res["data"]["status"] > 0);
                if (!_this.isJoin) {
                    _this.clickGameRule(); //如果没有加入，则显示游戏规则
                }
                //console.log(this.isJoin);
                _this.GetIsDailySignIn();
                _this.GetDDFriends();
            }
        }, function (err) {
            console.log("查询雇主ddUserId失败");
            console.log(err);
        });
    };
    BeanHomePage.prototype.GetDDFriends = function () {
        var _this = this;
        this.apiProvider.GetDDFriends(this.employerDdUserId).then(function (ref) {
            if (ref["code"] == 200) {
                console.log("查询豆豆好友成功");
                //console.log(JSON.stringify(ref));
                for (var i = 0; i < ref["data"].length; i++) {
                    var item = ref["data"][i];
                    if (item.ddUser.pictureId == null || item.ddUser.pictureId == "") {
                        item.ddUser.pictureId = "assets/imgs/followmerchant/morentouxiang.jpg";
                    }
                    else {
                        item.ddUser.pictureId = _this.picHost + item.ddUser.pictureId;
                        //item.ddUser.pictureId = "https://tuanjiazheng.oss-cn-beijing.aliyuncs.com/1551090954673Uhoj6.jpg";
                    }
                    var userIsAnonymous = false;
                    if (item.ddUser.anonymous != null) {
                        userIsAnonymous = item.ddUser.anonymous;
                    }
                    if (userIsAnonymous) {
                        item.ddUser.pictureId = "assets/imgs/followmerchant/morentouxiang.jpg";
                    }
                    var dIndex = i + 1;
                    var imgType = "dou";
                    var IsPk = false;
                    if (item.lastGetDDTime != null) {
                        var lastTime = item.lastGetDDTime.split(" ")[0];
                        var nowTime = _this.getNowDate();
                        if (lastTime == nowTime) {
                            IsPk = true;
                            imgType = "d";
                        }
                    }
                    if (item.ddUser.ddAmount == 0) {
                        imgType = "d";
                    }
                    if (dIndex > 9) {
                        dIndex = dIndex % 9;
                    }
                    _this.friends.push({
                        index: i,
                        IsShowInfo: false,
                        IsShowPkResult: false,
                        friendUserid: item.ddUser.ddUserId,
                        ddFriendId: item.ddFriendId,
                        pkAmount: 0,
                        userName: item.ddUser.userName,
                        ddAmount: item.ddUser.ddAmount,
                        userLevel: item.ddUser.userLevel,
                        pictureId: item.ddUser.pictureId,
                        imgType: imgType,
                        IsPk: IsPk,
                        classIndex: dIndex,
                        IsAnonymous: userIsAnonymous
                    }); //= ref["data"][i];
                }
                _this.friendPages = _this.GetPageForFriends(_this.friends);
                console.log(_this.friendPages.length);
            }
            else {
                console.log("查询豆豆好友失败");
                console.log(ref);
            }
        }, function (err) {
            console.log(err);
        });
    };
    BeanHomePage.prototype.GetPageForFriends = function (data) {
        var result = [];
        var chunk = 9; //每3个分一组
        for (var i = 0, j = data.length; i < j; i += chunk) {
            result.push(data.slice(i, i + chunk));
        }
        return result;
    };
    BeanHomePage.prototype.getNowDate = function () {
        var date = new Date();
        var month = date.getMonth() + 1;
        var strDate = date.getDate();
        if (month <= 9) {
            month = "0" + month;
        }
        if (strDate <= 9) {
            strDate = "0" + strDate;
        }
        return date.getFullYear() + "-" + month + "-" + strDate;
    };
    BeanHomePage.prototype.GetIsDailySignIn = function () {
        var _this = this;
        this.apiProvider.IsDailySignIn(this.employerDdUserId).then(function (res) {
            if (res["code"] == 200) {
                _this.IsDailySignIn = res["data"];
                if (_this.IsDailySignIn) {
                    _this.DailySignImgName = "tuandou-hui@2x.png";
                }
            }
        }, function (err) {
            console.log("获取抢豆豆是否签到失败");
            console.log(err);
        });
    };
    BeanHomePage.prototype.goBeanSummaryPage = function () {
        this.showMask = false;
        this.showOthers = false;
        if (this.ddUserInfo['ddUserId'])
            this.navCtrl.push('BeanSummaryPage', { 'ddUserInfo': this.ddUserInfo });
    };
    BeanHomePage.prototype.goGroupPk = function () {
        var _this = this;
        if (this.friends && this.friends.length >= 5) {
            this.showLoading = true;
            var temp_1 = 1;
            var interval = setInterval(function () {
                temp_1 = temp_1 + 0.05;
                _this.beanOpacity[0] = _this.fixOpacity(temp_1);
                _this.beanOpacity[1] = _this.fixOpacity(temp_1 - 0.2);
                _this.beanOpacity[2] = _this.fixOpacity(temp_1 - 0.4);
                _this.beanOpacity[3] = _this.fixOpacity(temp_1 - 0.6);
                _this.beanOpacity[4] = _this.fixOpacity(temp_1 - 0.8);
            }, 20);
            this.apiProvider.QddTeamPk(this.employerDdUserId).then(function (res) {
                _this.showLoading = false;
                clearInterval(interval);
                console.log(res);
                if (res["code"] == 200) {
                    _this.navCtrl.push('BeanGroupPkPage', { data: res["data"], originLevel: _this.ddUserInfo.userLevel }, { animate: false });
                }
            }, function (err) {
                _this.showLoading = false;
                clearInterval(interval);
                _this.commonProvider.showAlert(err.message);
                console.log(err);
            });
        }
        else {
            this.commonProvider.showAlert('您的好友达到5人即可组队抢豆豆，征战全国！');
        }
    };
    BeanHomePage.prototype.fixOpacity = function (opacity) {
        var temp = opacity % 2;
        return temp > 1 ? (2 - temp) : temp;
    };
    BeanHomePage.prototype.DailySignIn = function () {
        var _this = this;
        if (this.IsDailySignIn) {
            return;
        }
        this.apiProvider.DailySignIn(this.employerDdUserId).then(function (res) {
            if (res["code"] == 200) {
                _this.commonProvider.tips("签到成功");
                _this.UpdateLevel(res["data"]);
                _this.DailySignImgName = "tuandou-hui@2x.png";
            }
            else {
            }
        }, function (err) {
            if (err["code"] == 400) {
                _this.commonProvider.tips(err["message"]);
            }
            console.log("抢豆豆签到失败");
            console.log(err);
        });
    };
    BeanHomePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-bean-home',template:/*ion-inline-start:"D:\localsvn\tuanjiazhen\employer\app_employer\employerapp\src\pages\bean-home\bean-home.html"*/'<!--\n\n  Generated template for the BeanHomePage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header *ngIf="isios">\n\n    <div style="height:35px;background-color:#36a2fc;"></div>\n\n</ion-header>\n\n\n\n<ion-content no-padding>\n\n    <div class="outside">\n\n        <div class="recharge-mask" *ngIf="showMask" (click)="clickMask()"></div>\n\n        <div class="recharge-mask" *ngIf="showMaskRule"></div>\n\n        <div class="recharge-popups-xx" *ngIf="showOthers">\n\n            <img src="{{imgPath}}/jiaotou@2x.png" class="jiantoutishi">\n\n            <div (click)="clickGameRule()">\n\n                <img src="{{imgPath}}/kefu@2x.png" alt=""> 游戏说明\n\n            </div>\n\n            <div (click)="goBeanSummaryPage()">\n\n                <img src="{{imgPath}}/fankui@2x.png" alt=""> 豆豆明细\n\n            </div>\n\n            <div style="border: none;" (click)="clickGameSetting()">\n\n                <img src="{{imgPath}}/shezhi@2x.png" alt=""> 游戏设置\n\n            </div>\n\n        </div>\n\n        <div class="xx-top">\n\n            <span class="xx-top-msg1" (click)="BackBtnClicked()"><img src="{{imgPath}}/pic-fanhui@2x.png" alt="">返回</span>\n\n            <div class="xx-top-msg2" (click)="clickOthers()">\n\n                <span><img src="{{imgPath}}/gengduo@2x.png" alt=""></span>\n\n            </div>\n\n        </div>\n\n        <img src="{{imgPath}}/{{DailySignImgName}}" (click)="DailySignIn()" alt="" class="td">\n\n        <div class="shu">\n\n            <img src="{{imgPath}}/shu.png" alt="">\n\n        </div>\n\n        <div class="zrg">\n\n            <img src="{{imgPath}}/11@2x.png" alt="" class="img1">\n\n            <img src="{{ddUserInfo.pictureId}}" alt="" class="img2">\n\n            <img src="{{imgPath}}/33@2x.png" alt="" class="img3">\n\n            <span class="msg1">等级 {{ddUserInfo.userLevel}}</span>\n\n            <span class="msg2">豆豆 {{ddUserInfo.ddAmount}}</span>\n\n        </div>\n\n        <div style="clear:both;"></div>\n\n        <div class="jlspage" *ngIf="friendPages.length==0"></div>\n\n        <div class="jlspage" *ngFor="let friendslist of friendPages">\n\n            <div class="jls dou{{item.classIndex}}" *ngFor="let item of friendslist">\n\n                <span [ngClass]="{\'jiadoushow\' : item.IsShowPkResult,\'jiadou\':!item.IsShowPkResult}">+{{item.pkAmount}}<img src="{{imgPath}}/doujia@2x.png"\n\n                        alt=""></span>\n\n                <img src="{{imgPath}}/{{item.imgType}}{{item.classIndex}}@2x.png" (click)="clickFriendPk(item)" alt=""\n\n                    class="img4" />\n\n                <img src="{{item.pictureId}}" (click)="clickFriendInfo(item)" alt="" class="tx{{item.classIndex}}">\n\n                <div class="xinxi" *ngIf="item.IsShowInfo">\n\n                    <div *ngIf="!item.IsAnonymous">\n\n                        {{item.userName}}<span>{{item.ddAmount}}<img src="{{imgPath}}/doujia@2x.png" alt=""></span><br>\n\n                        等级 {{item.userLevel}}\n\n                    </div>\n\n                    <div *ngIf="item.IsAnonymous">\n\n                       <p style="text-align:center"> 匿名用户</p>\n\n                    </div>\n\n                </div>\n\n                <div style="clear:both;"></div>\n\n            </div>\n\n        </div>\n\n        \n\n        <div class="gz" *ngIf="showGameRule">\n\n            <div class="jtgz">\n\n                1、加入抢豆豆游戏,每天可以抢<团家政>的豆豆。<br>\n\n                2、互换你的好友加入抢豆豆,以等级高低论输赢。<br>\n\n                3、您的好友达到5人即可以组队抢豆豆,征战全国!<br>\n\n                4、好友越多,可组队抢的次数就越多!<br>\n\n                5、加入抢豆豆活动须满30天才能暂停。\n\n            </div>\n\n            <span class="nagree" (click)="gameNotAgree()" *ngIf="!isJoin">不同意</span>\n\n            <span class="agree" (click)="gameAgree()" *ngIf="!isJoin">同意</span>\n\n        </div>\n\n        <div class="up" *ngIf="showLevelUp">\n\n            <div class="up-title">\n\n                恭喜升级到<span>LV{{ddUserInfo.userLevel}}</span>!\n\n            </div>\n\n            <div class="up-main">感谢你的精彩表现,请继续加油哦!</div>\n\n            <div class="up-btn" (click)="ShowUserLevelUpClose()">\n\n                确定\n\n            </div>\n\n        </div>\n\n        <!-- <div style="height: 50px;"></div> -->\n\n        <div class="recharge-mask" [hidden]="!showLoading"></div>\n\n        <div class="loading" [hidden]="!showLoading">\n\n            <img src="{{imgPath}}/ren@2x.png" alt="" /><br>\n\n            <img src="{{imgPath}}/doujia@2x.png" class="bean" alt="" [style.opacity]="beanOpacity[0]" />\n\n            <img src="{{imgPath}}/doujia@2x.png" class="bean" alt="" [style.opacity]="beanOpacity[1]" />\n\n            <img src="{{imgPath}}/doujia@2x.png" class="bean" alt="" [style.opacity]="beanOpacity[2]" />\n\n            <img src="{{imgPath}}/doujia@2x.png" class="bean" alt="" [style.opacity]="beanOpacity[3]" />\n\n            <img src="{{imgPath}}/doujia@2x.png" class="bean" alt="" [style.opacity]="beanOpacity[4]" /><br>\n\n            系统正在为您随机分配队员及对手<br>\n\n            请耐心等待哦\n\n        </div>\n\n    </div>\n\n    \n\n</ion-content>\n\n<ion-footer>\n\n    <img src="{{imgPath}}/paizi@2x.png" alt="" class="togther" (click)="goGroupPk()">\n\n</ion-footer>'/*ion-inline-end:"D:\localsvn\tuanjiazhen\employer\app_employer\employerapp\src\pages\bean-home\bean-home.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__providers_api__["a" /* ApiProvider */],
            __WEBPACK_IMPORTED_MODULE_4__providers_common_common__["a" /* CommonProvider */],
            __WEBPACK_IMPORTED_MODULE_5__ionic_native_status_bar__["a" /* StatusBar */]])
    ], BeanHomePage);
    return BeanHomePage;
}());

//# sourceMappingURL=bean-home.js.map

/***/ })

});
//# sourceMappingURL=33.js.map