webpackJsonp([36],{

/***/ 475:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ApplyRefundPageModule", function() { return ApplyRefundPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__apply_refund__ = __webpack_require__(531);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ApplyRefundPageModule = /** @class */ (function () {
    function ApplyRefundPageModule() {
    }
    ApplyRefundPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__apply_refund__["a" /* ApplyRefundPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__apply_refund__["a" /* ApplyRefundPage */]),
            ],
        })
    ], ApplyRefundPageModule);
    return ApplyRefundPageModule;
}());

//# sourceMappingURL=apply-refund.module.js.map

/***/ }),

/***/ 531:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ApplyRefundPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_const_const__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_api__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_common_common__ = __webpack_require__(18);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var ApplyRefundPage = /** @class */ (function () {
    function ApplyRefundPage(navCtrl, navParams, apiProvider, commonProvider) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.apiProvider = apiProvider;
        this.commonProvider = commonProvider;
        this.imgPath = "assets/imgs/apply-refund/";
        this.picHost = __WEBPACK_IMPORTED_MODULE_2__providers_const_const__["a" /* ConstProvider */].PicHost;
        this.employerOrderId = null;
        this.orderDetails = [];
        this.refundType = 1; // 退款方式（1：仅退款；2：退货退款）
        this.refundReason = "";
        this.inputLen = 0;
        this.isDisabled = false;
        this.merchantPic = null;
    }
    ApplyRefundPage.prototype.ionViewWillEnter = function () {
        this.orderDetails = this.navParams.get("orderDetails");
        this.employerOrderId = this.navParams.get("employerOrderId");
        this.merchantPic = this.navParams.get("merchantPic");
    };
    /**
     * 提交
     */
    ApplyRefundPage.prototype.submit = function () {
        var _this = this;
        if (this.inputLen <= 0) {
            this.commonProvider.tips("请输入退款原因");
        }
        else {
            this.isDisabled = true;
            var apiParams = {
                "employerOrderId": this.employerOrderId,
                "refundCategory1": this.refundType,
                "refundReason1": this.refundReason
            };
            console.log("申请退款参数");
            console.log(apiParams);
            this.apiProvider.ApplyRefund(apiParams).then(function (res) {
                console.log("申请退款成功");
                console.log(res);
                _this.navCtrl.pop().then(function () {
                    _this.isDisabled = false;
                    _this.commonProvider.tips("提交成功");
                });
            }, function (err) {
                console.error("申请退款失败");
                console.error(err);
                _this.commonProvider.tips("操作失败，请重试");
                _this.isDisabled = false;
            });
        }
    };
    /**
     * 修改退款方式
     * @param refundType 退款方式（1：仅退款；2：退货退款）
     */
    ApplyRefundPage.prototype.modRefundMode = function (refundType) {
        if (refundType === void 0) { refundType = 1; }
        this.refundType = refundType;
        if (refundType == 2) {
            this.commonProvider.tips("如果选择退货退款，则配送费不退");
        }
    };
    /**
     * 获取文本内容
     * @param $event
     */
    ApplyRefundPage.prototype.getTxtCon = function ($event) {
        this.refundReason = $event;
        this.inputLen = $event["length"];
    };
    ApplyRefundPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-apply-refund',template:/*ion-inline-start:"D:\localsvn\tuanjiazhen\employer\app_employer\employerapp\src\pages\apply-refund\apply-refund.html"*/'<ion-header>\n\n  <ion-navbar>\n\n    <ion-title>\n\n      申请退款\n\n    </ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content no-padding>\n\n  <div class="sqtk-top" *ngFor="let orderDetail of orderDetails">\n\n    <img [src]="picHost + (orderDetail[\'pictureId\'] ? orderDetail[\'pictureId\'] : merchantPic)" alt="">\n\n    <div class="sqtk-top2">\n\n      <div class="sqtk-msg1">\n\n        {{orderDetail["serviceItem"]}}\n\n      </div>\n\n      <div class="sqtk-msg2">\n\n        &yen;{{orderDetail["price"]}}/{{orderDetail["unit"]}}\n\n        <span>\n\n          x{{orderDetail["quantity"]}}\n\n        </span>\n\n      </div>\n\n      <div class="sqtk-msg3">\n\n        &yen;{{orderDetail["amount"]}}\n\n      </div>\n\n    </div>\n\n  </div>\n\n  <div class="tksq-fenge"></div>\n\n  <div class="tksq-banner">\n\n    <img [src]="imgPath + \'tuikuan@2x.png\'" alt="">\n\n    仅退款\n\n    <input type="radio" name="paixu" id="paixu1" checked (click)="modRefundMode(1)">\n\n    <label for="paixu1" style="cursor:pointer"></label>\n\n  </div>\n\n  <div class="tksq-banner">\n\n    <img [src]="imgPath + \'tui@2x.png\'" alt="">\n\n    退货退款\n\n    <input type="radio" name="paixu" id="paixu2" (click)="modRefundMode(2)">\n\n    <label for="paixu2" style="cursor:pointer"></label>\n\n  </div>\n\n  <div class="tksq-fenge"></div>\n\n  <div class="tksq-bottom">\n\n    <div class="tksq-bottom1">\n\n      退款原因：\n\n      <span>\n\n        （必填）\n\n      </span>\n\n    </div>\n\n    <div class="tksq-bottom2">\n\n      <textarea [(ngModel)]="refundReason" (ngModelChange)="getTxtCon($event)" [maxLength]="200"></textarea>\n\n      <span>\n\n        {{inputLen}}/200\n\n      </span>\n\n    </div>\n\n  </div>\n\n</ion-content>\n\n\n\n<ion-footer>\n\n  <button class="submit-btn" (click)="submit()" [disabled]="isDisabled">\n\n    提交\n\n  </button>\n\n</ion-footer>\n\n'/*ion-inline-end:"D:\localsvn\tuanjiazhen\employer\app_employer\employerapp\src\pages\apply-refund\apply-refund.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_3__providers_api__["a" /* ApiProvider */],
            __WEBPACK_IMPORTED_MODULE_4__providers_common_common__["a" /* CommonProvider */]])
    ], ApplyRefundPage);
    return ApplyRefundPage;
}());

//# sourceMappingURL=apply-refund.js.map

/***/ })

});
//# sourceMappingURL=36.js.map