webpackJsonp([37],{

/***/ 478:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "AllccategoriesPageModule", function() { return AllccategoriesPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__allccategories__ = __webpack_require__(534);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var AllccategoriesPageModule = /** @class */ (function () {
    function AllccategoriesPageModule() {
    }
    AllccategoriesPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__allccategories__["a" /* AllccategoriesPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__allccategories__["a" /* AllccategoriesPage */]),
            ],
        })
    ], AllccategoriesPageModule);
    return AllccategoriesPageModule;
}());

//# sourceMappingURL=allccategories.module.js.map

/***/ }),

/***/ 534:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AllccategoriesPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_const_const__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_api__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_common_common__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_storage__ = __webpack_require__(29);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var AllccategoriesPage = /** @class */ (function () {
    function AllccategoriesPage(navCtrl, navParams, apiProvider, loadingCtrl, commonProvider, storage) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.apiProvider = apiProvider;
        this.loadingCtrl = loadingCtrl;
        this.commonProvider = commonProvider;
        this.storage = storage;
        this.imgPath = "assets/imgs/allccategories";
        this.picHost = __WEBPACK_IMPORTED_MODULE_2__providers_const_const__["a" /* ConstProvider */].PicHost;
        this.list = [];
        this.pCategoryId = null; // 当前父级分类
        this._offsetTops = [];
    }
    AllccategoriesPage.prototype.ionViewWillEnter = function () {
        this.getServiceCategoryDetail();
    };
    AllccategoriesPage.prototype.ionViewWillLeave = function () {
        this.list = [];
    };
    /**
     * 查询全部分类
     */
    AllccategoriesPage.prototype.getServiceCategoryDetail = function () {
        var _this = this;
        var loading = this.loadingCtrl.create({
            content: "努力加载中...",
            dismissOnPageChange: false
        });
        loading.present().then(function () {
            _this.apiProvider.GetAllServiceCategoryDetail().then(function (res) {
                loading.dismiss().then(function () {
                    console.log("查询全部分类成功");
                    console.log(res);
                    if (res["code"] == 200 && res["data"] && res["data"]["length"] > 0) {
                        res["data"].forEach(function (value) {
                            _this.list.push(value);
                        });
                    }
                    else {
                        _this.navCtrl.pop().then(function () {
                            _this.commonProvider.tips("操作失败，请重试");
                        });
                    }
                });
            }, function (err) {
                loading.dismiss().then(function () {
                    console.error("查询全部分类失败");
                    console.error(err);
                    _this.navCtrl.pop().then(function () {
                        _this.commonProvider.tips("操作失败，请重试");
                    });
                });
            });
        });
    };
    /**
     * 跳转至搜索结果页
     * @param searchQuery
     */
    AllccategoriesPage.prototype.jumpShowSearchPage = function (searchQuery) {
        var _this = this;
        this.storage.set("pushType", "btn").then(function () {
            _this.navCtrl.push("ShowsearchPage", { "searchQuery": searchQuery }).then(function () {
                console.log("跳转至搜索结果页参数");
                console.log({ "searchQuery": searchQuery });
            });
        });
    };
    /**
     * 切换分类
     * @param pCategoryId
     */
    AllccategoriesPage.prototype.changeCategory = function (pCategoryId) {
        this.pCategoryId = pCategoryId;
        var element = document.getElementById(pCategoryId);
        if (element) {
            element.scrollIntoView();
        }
    };
    /**
     * 滑动事件 todo
     * @param e
     */
    AllccategoriesPage.prototype.onScroll = function (e) {
        var _this = this;
        this._offsetTops = [];
        this.list.forEach(function (value) {
            var offsetTop = document.getElementById(value["pcategoryId"]).offsetTop;
            _this._offsetTops.push(offsetTop);
        });
        e.preventDefault();
        var scrollTopOffsetTop = this.scrollContent.nativeElement.scrollTop;
        this._offsetTops.forEach(function (v, i) {
            if (scrollTopOffsetTop >= v) {
                _this.pCategoryId = _this.list[i]["pcategoryId"];
            }
        });
        console.log("滚动事件");
        console.log({ "e": e, "scrollTopOffsetTop": scrollTopOffsetTop });
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_9" /* ViewChild */])('scrollContent'),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["t" /* ElementRef */])
    ], AllccategoriesPage.prototype, "scrollContent", void 0);
    AllccategoriesPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-allccategories',template:/*ion-inline-start:"D:\localsvn\tuanjiazhen\employer\app_employer\employerapp\src\pages\allccategories\allccategories.html"*/'<ion-header>\n\n  <ion-navbar>\n\n    <ion-title>\n\n      全部分类\n\n    </ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content no-padding style="background-color: #F5F5F5;">\n\n  <div class="qbfl-mainleft">\n\n    <div class="qbfl-mainleft-one" *ngFor="let item of list;first as isFirst" [class.checked]="pCategoryId == item[\'pcategoryId\'] || (pCategoryId == null && isFirst)" (click)="changeCategory(item[\'pcategoryId\'])">\n\n      <img [src]="picHost + item[\'piconId\']" alt="">\n\n      <br>\n\n      {{item["pcategoryName"]}}\n\n    </div>\n\n  </div>\n\n\n\n  <div class="ylsj-mainright" #scrollContent tappable (scroll)="onScroll($event)">\n\n    <div *ngFor="let item of list;first as isFirst">\n\n      <div class="ylsjmainright-top" id="{{item[\'pcategoryId\']}}">\n\n        {{item["pcategoryName"]}}\n\n      </div>\n\n      <p [ngClass]="{\'ylsj-mainright-mokuai\' : isFirst,\'ylsj-mainright-mokuai2\' : !isFirst}" *ngFor="let item2 of item[\'details\']" (click)="jumpShowSearchPage(item2[\'serviceCategoryName\'])">\n\n        <img [src]="picHost + item2[\'iconId\']" *ngIf="isFirst" alt="">\n\n        <br *ngIf="isFirst">\n\n        {{item2["serviceCategoryName"]}}\n\n      </p>\n\n    </div>\n\n  </div>\n\n</ion-content>\n\n'/*ion-inline-end:"D:\localsvn\tuanjiazhen\employer\app_employer\employerapp\src\pages\allccategories\allccategories.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_3__providers_api__["a" /* ApiProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_4__providers_common_common__["a" /* CommonProvider */],
            __WEBPACK_IMPORTED_MODULE_5__ionic_storage__["b" /* Storage */]])
    ], AllccategoriesPage);
    return AllccategoriesPage;
}());

//# sourceMappingURL=allccategories.js.map

/***/ })

});
//# sourceMappingURL=37.js.map