webpackJsonp([38],{

/***/ 476:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "AddressmanagePageModule", function() { return AddressmanagePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__addressmanage__ = __webpack_require__(532);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var AddressmanagePageModule = /** @class */ (function () {
    function AddressmanagePageModule() {
    }
    AddressmanagePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__addressmanage__["a" /* AddressmanagePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__addressmanage__["a" /* AddressmanagePage */]),
            ],
        })
    ], AddressmanagePageModule);
    return AddressmanagePageModule;
}());

//# sourceMappingURL=addressmanage.module.js.map

/***/ }),

/***/ 532:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AddressmanagePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_api__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_session__ = __webpack_require__(14);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var AddressmanagePage = /** @class */ (function () {
    function AddressmanagePage(navCtrl, navParams, apiProvider, sessionProvider, loadingCtrl, viewCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.apiProvider = apiProvider;
        this.sessionProvider = sessionProvider;
        this.loadingCtrl = loadingCtrl;
        this.viewCtrl = viewCtrl;
        this.imgPath = "assets/imgs/address";
        this.defaultAction = this.navParams.get('defaultAction');
    }
    AddressmanagePage.prototype.ionViewWillEnter = function () {
        var _this = this;
        console.log('ionViewWillEnter AddressmanagePage');
        var userId = this.sessionProvider.user.employerId;
        console.log(userId);
        if (userId && userId != 0) {
            var loading_1 = this.loadingCtrl.create({
                content: "数据加载中..."
            });
            loading_1.present();
            this.apiProvider.GetMyAddressList(userId).then(function (res) {
                loading_1.dismiss();
                console.log(res);
                _this.addressList = res.data;
            }, function (err) {
                loading_1.dismiss();
                console.log(err);
            });
        }
    };
    AddressmanagePage.prototype.addAddress = function () {
        console.log("addAddress");
        this.navCtrl.push('AddorupdateaddressPage');
    };
    AddressmanagePage.prototype.updateAddress = function (address) {
        event.stopPropagation();
        console.log("updateAddress:" + address);
        this.navCtrl.push('AddorupdateaddressPage', {
            address: address
        });
    };
    AddressmanagePage.prototype.cs = function () {
        console.log("cs");
        this.navCtrl.pop();
    };
    AddressmanagePage.prototype.dismiss = function (address) {
        if (this.defaultAction == 'edit') {
            this.updateAddress(address);
        }
        else {
            this.viewCtrl.dismiss(address);
        }
    };
    AddressmanagePage.prototype.goBack = function () {
        this.navCtrl.pop();
    };
    AddressmanagePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-addressmanage',template:/*ion-inline-start:"D:\localsvn\tuanjiazhen\employer\app_employer\employerapp\src\pages\addressmanage\addressmanage.html"*/'<ion-header>\n\n  <ion-toolbar color="primary">\n\n    <ion-buttons left>\n\n      <button ion-button icon-only color="royal" (click)="goBack()">\n\n        <ion-icon ios="ios-arrow-back-outline" md="ios-arrow-back-outline"></ion-icon>\n\n      </button>\n\n    </ion-buttons>\n\n    <ion-title>地址管理</ion-title>\n\n    <ion-buttons right>\n\n      <button (click)="addAddress()">新增地址</button>\n\n    </ion-buttons>\n\n  </ion-toolbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n\n\n  <div class="fwdz-banner" *ngFor="let address of addressList" (click)="dismiss(address)">\n\n    <div class="fwdz-dz">{{address.mapAddress}}\n\n      <img *ngIf="address.addressCategory == 1" src="{{imgPath}}/jia@2x.png" alt="" />\n\n      <img *ngIf="address.addressCategory == 2" src="{{imgPath}}/gongsi@2x.png" alt="" />\n\n      <img *ngIf="address.addressCategory == 3" src="{{imgPath}}/xuexiao@2x.png" alt="" />\n\n    </div>\n\n    <div class="fwdz-dz-more">{{address.houseNumber}}</div>\n\n    <div class="fwdz-name">\n\n      {{address.contact}}({{address.contactSex == 1?"先生":"女士"}}) &nbsp; {{address.contactPhoneNumber}}\n\n    </div>\n\n    <span class="dz-mzdz" *ngIf="address.employerAddressId==sessionProvider.user.defaultAddressId">\n\n      默认地址<img src="{{imgPath}}/gouxuan@2x.png" alt="" style="vertical-align: middle;"></span>\n\n    <img class="fwdz-change" src="{{imgPath}}/bianji@2x.png" alt="" (click)="updateAddress(address)">\n\n  </div>\n\n  <div class="block backmask bg-ghost-gray text-center" *ngIf="!addressList||addressList.length==0">\n\n    <div class="inline" style="position:fixed;left:50%;top:50%;margin-left:-65px;margin-top:-70px;">\n\n        <div style="color:#D8D9DB; text-align: center;font-size: 18px;">没有保存常用地址</div>\n\n    </div>\n\n  </div>\n\n\n\n</ion-content>'/*ion-inline-end:"D:\localsvn\tuanjiazhen\employer\app_employer\employerapp\src\pages\addressmanage\addressmanage.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__providers_api__["a" /* ApiProvider */],
            __WEBPACK_IMPORTED_MODULE_3__providers_session__["a" /* SessionProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["r" /* ViewController */]])
    ], AddressmanagePage);
    return AddressmanagePage;
}());

//# sourceMappingURL=addressmanage.js.map

/***/ })

});
//# sourceMappingURL=38.js.map