webpackJsonp([6],{

/***/ 527:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "TradeNoticePageModule", function() { return TradeNoticePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__trade_notice__ = __webpack_require__(570);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var TradeNoticePageModule = /** @class */ (function () {
    function TradeNoticePageModule() {
    }
    TradeNoticePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__trade_notice__["a" /* TradeNoticePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__trade_notice__["a" /* TradeNoticePage */]),
            ],
        })
    ], TradeNoticePageModule);
    return TradeNoticePageModule;
}());

//# sourceMappingURL=trade-notice.module.js.map

/***/ }),

/***/ 570:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return TradeNoticePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_api__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_session__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_common_common__ = __webpack_require__(18);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var TradeNoticePage = /** @class */ (function () {
    function TradeNoticePage(navCtrl, navParams, loadingCtrl, apiProvider, sessionProvider, commonProvider, actionSheetCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.loadingCtrl = loadingCtrl;
        this.apiProvider = apiProvider;
        this.sessionProvider = sessionProvider;
        this.commonProvider = commonProvider;
        this.actionSheetCtrl = actionSheetCtrl;
        this.ls = [];
        this.page = 1;
        this.size = 10;
        this.totalPage = 0;
        this.imgPath = "assets/imgs/notice-icon";
    }
    TradeNoticePage.prototype.ionViewWillEnter = function () {
        this.page = 1;
        this.getLs();
    };
    /**
     * 查询通知列表
     * @param isPush 是否为下拉加载
     */
    TradeNoticePage.prototype.getLs = function (isPush) {
        var _this = this;
        if (isPush === void 0) { isPush = false; }
        var loading = this.loadingCtrl.create({
            content: "努力加载中...",
            dismissOnPageChange: false
        });
        loading.present().then(function () {
            _this.apiProvider.GetSystemNotify(_this.sessionProvider.user.employerId, 2, 10, _this.page, _this.size).then(function (res) {
                loading.dismiss().then(function () {
                    //更新已读数量
                    _this.commonProvider.onTabsMessageRefreshUnreadEvent();
                    console.log("查询通知列表成功");
                    console.log(res);
                    if (res["code"] == 200 && res["data"]["list"] && res["data"]["list"]["length"] > 0) {
                        if (isPush) {
                            res["data"]["list"].forEach(function (value) {
                                _this.ls.push(value);
                            });
                        }
                        else {
                            _this.ls = res["data"]["list"];
                        }
                        _this.totalPage = res["data"]["pages"];
                    }
                });
            }, function (err) {
                loading.dismiss().then(function () {
                    console.error("查询通知列表失败");
                    console.error(err);
                });
            });
        });
    };
    /**
     * 上拉加载数据
     * @param infiniteScroll
     */
    TradeNoticePage.prototype.doInfinite = function (infiniteScroll) {
        var _this = this;
        if (this.page < this.totalPage) {
            this.page++;
            setTimeout(function () {
                _this.getLs(true);
                infiniteScroll.complete();
            }, 500);
        }
        else {
            infiniteScroll.complete();
        }
    };
    /**
     * 跳转至订单详情页
     * @param employerOrderId
     */
    TradeNoticePage.prototype.jumpOrderDetailsPage = function (employerOrderId) {
        if (employerOrderId) {
            this.navCtrl.push("OrderdetailsPage", { "employerOrderId": employerOrderId }).then(function () {
                console.log("跳转至订单详情页参数");
                console.log({ "employerOrderId": employerOrderId });
            });
        }
        else {
            this.commonProvider.tips("未查询到该笔订单");
        }
    };
    /**
     * 点击右上角更多 todo
     */
    TradeNoticePage.prototype.presentActionSheet = function () {
        this.actionSheetCtrl.create({
            cssClass: "action-sheets-basic-page",
            buttons: [
                {
                    text: "屏蔽消息通知",
                    role: "destructive",
                    handler: function () {
                        console.log("屏蔽消息通知");
                    }
                },
                {
                    text: "取消",
                    role: "cancel",
                    handler: function () {
                    }
                }
            ]
        }).present().then();
    };
    TradeNoticePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-trade-notice',template:/*ion-inline-start:"D:\localsvn\tuanjiazhen\employer\app_employer\employerapp\src\pages\trade-notice\trade-notice.html"*/'<ion-header>\n\n  <ion-navbar>\n\n    <ion-title>交易通知</ion-title>\n\n    <!--<ion-buttons end>\n\n      <button ion-button icon-only color="royal" (click)="presentActionSheet()">\n\n        <ion-icon name="more"></ion-icon>\n\n      </button>\n\n    </ion-buttons>-->\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content style="background-color: #F5F5F5;" no-padding>\n\n  <div *ngFor="let item of ls">\n\n    <div class="xttz-banner" (click)="jumpOrderDetailsPage(item[\'employerOrderId\'])">\n\n      <div class="xttz-banner-title">\n\n        {{item["title"]}}\n\n        <span>{{item["updateTime"] | date:"yyyy-MM-dd HH:mm"}}</span>\n\n      </div>\n\n      <div class="xttz-banner-msg" style=" word-break:break-all">\n\n         <img src="{{imgPath}}/{{item[\'category\']}}.png" alt="">\n\n        <span>{{item["content"]}}</span>\n\n      </div>\n\n    </div>\n\n  </div>\n\n\n\n  <ion-infinite-scroll (ionInfinite)="doInfinite($event)">\n\n    <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="加载中..."></ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n</ion-content>\n\n'/*ion-inline-end:"D:\localsvn\tuanjiazhen\employer\app_employer\employerapp\src\pages\trade-notice\trade-notice.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_2__providers_api__["a" /* ApiProvider */],
            __WEBPACK_IMPORTED_MODULE_3__providers_session__["a" /* SessionProvider */],
            __WEBPACK_IMPORTED_MODULE_4__providers_common_common__["a" /* CommonProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* ActionSheetController */]])
    ], TradeNoticePage);
    return TradeNoticePage;
}());

//# sourceMappingURL=trade-notice.js.map

/***/ })

});
//# sourceMappingURL=6.js.map