webpackJsonp([12],{

/***/ 515:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ShoppingcartPageModule", function() { return ShoppingcartPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__shoppingcart__ = __webpack_require__(562);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ShoppingcartPageModule = /** @class */ (function () {
    function ShoppingcartPageModule() {
    }
    ShoppingcartPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__shoppingcart__["a" /* ShoppingcartPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__shoppingcart__["a" /* ShoppingcartPage */]),
            ],
        })
    ], ShoppingcartPageModule);
    return ShoppingcartPageModule;
}());

//# sourceMappingURL=shoppingcart.module.js.map

/***/ }),

/***/ 562:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ShoppingcartPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_common_common__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_session__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_api__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_const_const__ = __webpack_require__(13);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var ShoppingcartPage = /** @class */ (function () {
    function ShoppingcartPage(navCtrl, navParams, commonProvider, sessionProvider, apiProvider) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.commonProvider = commonProvider;
        this.sessionProvider = sessionProvider;
        this.apiProvider = apiProvider;
        this.imgPath = "assets/imgs/shoppingcart";
        this.picHost = __WEBPACK_IMPORTED_MODULE_5__providers_const_const__["a" /* ConstProvider */].PicHost;
        this.shoppingCartDatas = [];
        this.InvalidRecords = [];
    }
    ShoppingcartPage.prototype.BackBtnClicked = function () {
        this.navCtrl.pop();
    };
    ShoppingcartPage.prototype.Clear = function () {
        this.commonProvider.showConfirm("确定清空购物车所有商品？", "取消", "确定", null, this.ClearAllGoods, this);
    };
    ShoppingcartPage.prototype.ClearAllGoods = function () {
        //console.log("确定清空购物车所有商品？");
        this.DeleteShoppingCart(this.sessionProvider.user.employerId);
    };
    ShoppingcartPage.prototype.Delete = function (item) {
        this.curMerchantItem = item;
        this.commonProvider.showConfirm("确认删除该商家的所有商品？", "取消", "删除", null, this.DeleteOneMerchantFromShoppingCart, this);
    };
    ShoppingcartPage.prototype.DeleteOneMerchantFromShoppingCart = function () {
        //console.log("确认删除该商家的所有商品？");
        //this.DeleteShoppingCart("1", this.curMerchantItem);
        this.DeleteShoppingCart(this.sessionProvider.user.employerId, this.curMerchantItem);
    };
    ShoppingcartPage.prototype.DeleteShoppingCart = function (employerId, item) {
        var _this = this;
        if (item === void 0) { item = null; }
        var merchantId = null;
        if (item) {
            merchantId = item.merchantId;
        }
        this.apiProvider.DeleteShoppingCart(employerId, merchantId).then(function (res) {
            if (merchantId) {
                var index = _this.shoppingCartDatas.indexOf(item);
                if (index > -1) {
                    _this.shoppingCartDatas.splice(index, 1);
                }
            }
            else {
                _this.shoppingCartDatas = [];
            }
        }, function (err) {
            console.log(err.message);
        });
    };
    ShoppingcartPage.prototype.DeleteServiceItem = function (shoppingCarts, serviceItem) {
        this.apiProvider.CutShoppingCart(serviceItem.shoppingCartId).then(function (res) {
            var index = shoppingCarts.indexOf(serviceItem);
            if (index > -1) {
                shoppingCarts.splice(index, 1);
            }
        }, function (err) {
            console.log(err.message);
        });
    };
    ShoppingcartPage.prototype.Pay = function (item) {
        //跳转之前需要剔除失效商品或者服务
        var validItem = [];
        for (var _i = 0, _a = item.shoppingCarts; _i < _a.length; _i++) {
            var vaItem = _a[_i];
            if (!vaItem.invalidFlag) {
                validItem.push(vaItem);
            }
        }
        //如果都为失效，则 不跳转页面
        if (0 == validItem.length) {
            this.commonProvider.showAlert("没有有效商品或服务可结算");
        }
        else {
            item.shoppingCarts = validItem;
            this.navCtrl.push("ConfirmpayPage", { "orderParam": item });
        }
    };
    ShoppingcartPage.prototype.jumpMerchantHomePage = function (merchantId) {
        this.navCtrl.push("MerchanthomePage", { "merchantId": merchantId });
    };
    ShoppingcartPage.prototype.LoadShoppingCartData = function () {
        var _this = this;
        //每次都需要清理之前的数据，否则页面会出现多条重复记录
        this.shoppingCartDatas = [];
        this.InvalidRecords = [];
        this.apiProvider.LoadShoppingCartData(this.sessionProvider.user.employerId).then(function (res) {
            var shoppingCartRecords = res.data;
            if (0 >= shoppingCartRecords.length) {
                return;
            }
            var merchantIds = [];
            var serviceIds = [];
            for (var _i = 0, shoppingCartRecords_1 = shoppingCartRecords; _i < shoppingCartRecords_1.length; _i++) {
                var item = shoppingCartRecords_1[_i];
                //得到购物车中商家的id列表
                merchantIds.push(item.merchantId);
                for (var _a = 0, _b = item.shoppingCarts; _a < _b.length; _a++) {
                    var serviceItem = _b[_a];
                    //得到各个服务项的id列表
                    serviceIds.push(serviceItem.merchantServiceItemId);
                }
            }
            _this.apiProvider.GetMerchantInfoByIds(merchantIds).then(function (res) {
                var merchantDatas = res.data;
                _this.apiProvider.GetLatestUnitPrice(serviceIds).then(function (res) {
                    //获得商品或者服务的当前信息
                    var serviceItemInfos = res.data;
                    for (var _i = 0, shoppingCartRecords_2 = shoppingCartRecords; _i < shoppingCartRecords_2.length; _i++) {
                        var item = shoppingCartRecords_2[_i];
                        //计算总价前初始化
                        item.amount = 0;
                        item.totalWeight = 0;
                        //匹配商品或者服务的当前信息(这里使用i遍历，才可以真实的修改shoppingCarts)
                        for (var i = 0; i < item.shoppingCarts.length; ++i) {
                            //默认设置为有效
                            item.shoppingCarts[i].invalidFlag = false;
                            //如果当前所有效商品或者服务都不存在，则设置为失效
                            if (0 == serviceItemInfos.length) {
                                item.shoppingCarts[i].invalidFlag = true;
                                continue;
                            }
                            for (var _a = 0, serviceItemInfos_1 = serviceItemInfos; _a < serviceItemInfos_1.length; _a++) {
                                var perServiceItem = serviceItemInfos_1[_a];
                                if (item.shoppingCarts[i].merchantServiceItemId == perServiceItem.merchantServiceItemId) {
                                    //车辆服务特殊处理
                                    var quantity = new BigNumber(item.shoppingCarts[i].quantity);
                                    if (1 == item.shoppingCarts[i].professionCategory) {
                                        //perServiceItem.amount = Math.round(((item.shoppingCarts[i].quantity * 100) * (perServiceItem.price * 100) / 100)) / 100;
                                        perServiceItem.amount = quantity.times(perServiceItem.price).toFixed(2);
                                    }
                                    else {
                                        //perServiceItem.amount = ((item.shoppingCarts[i].quantity * 1000) * (perServiceItem.price * 1000))/1000000;
                                        perServiceItem.amount = quantity.times(perServiceItem.price).toFixed(2);
                                    }
                                    //perServiceItem.cumulativeWeight = ((item.shoppingCarts[i].quantity * 1000) * (perServiceItem.weight * 1000))/1000000;
                                    //商超需要计算累计重量
                                    if (2 == item.shoppingCarts[i].professionCategory) {
                                        perServiceItem.cumulativeWeight = quantity.times(perServiceItem.weight).toFixed(2);
                                    }
                                    perServiceItem.employerId = item.shoppingCarts[i].employerId;
                                    perServiceItem.quantity = item.shoppingCarts[i].quantity;
                                    perServiceItem.shoppingCartId = item.shoppingCarts[i].shoppingCartId;
                                    perServiceItem.vehicleRoute = item.shoppingCarts[i].vehicleRoute;
                                    perServiceItem.voriginDestination = item.shoppingCarts[i].voriginDestination;
                                    //将新的信息交给界面显示
                                    item.shoppingCarts[i] = perServiceItem;
                                    //已经下架
                                    if (1 == item.shoppingCarts[i].status) {
                                        item.shoppingCarts[i].invalidFlag = true;
                                    }
                                    else {
                                        //计算总价，失效价格不计算在内
                                        var amount = new BigNumber(item.amount);
                                        item.amount = amount.plus(perServiceItem.amount);
                                        item.totalWeight = new BigNumber(item.totalWeight).plus(perServiceItem.cumulativeWeight);
                                        //item.amount = (item.amount * 1000 + perServiceItem.amount * 1000)/1000;
                                        //item.totalWeight =(item.totalWeight * 1000 + perServiceItem.cumulativeWeight * 1000)/1000;
                                    }
                                    break;
                                }
                                else {
                                    //没找到匹配，可能购物车中的商品或者服务，不再售卖，设置为失效
                                    item.shoppingCarts[i].invalidFlag = true;
                                }
                            }
                        }
                        for (var _b = 0, merchantDatas_1 = merchantDatas; _b < merchantDatas_1.length; _b++) {
                            var merchtItem = merchantDatas_1[_b];
                            if (item.merchantId == merchtItem.merchantId) {
                                item.merchantName = merchtItem.merchantName;
                                item.defaultPhoneNumber = merchtItem.merchantServiceSetting.defaultPhoneNumber;
                                item.pictureId = merchtItem.pictureId;
                                item.sex = merchtItem.sex;
                                item.profession = merchtItem.profession;
                                item.physicalStore = merchtItem.physicalStore;
                                item.mapAddress = merchtItem.mapAddress;
                                item.houseNumber = merchtItem.houseNumber;
                                item.mapLatitude = merchtItem.mapLatitude;
                                item.mapLongitude = merchtItem.mapLongitude;
                                item.serviceRange = merchtItem.serviceRange;
                                //判断商家状态
                                //0：未限制，1：限制接单
                                if (0 == merchtItem.merchantService.limited) {
                                    //0：停止接单，1：单个模式服务中，2，多单模式服务中，8：开始接单，9：冻结
                                    switch (merchtItem.merchantService.status) {
                                        case 0:
                                            item.InvallidReason = "商家休息中";
                                            _this.InvalidRecords.push(item);
                                            break;
                                        case 1:
                                        case 2:
                                        case 8:
                                            //计算商家服务地址到雇主地址，是否超出范围
                                            if (item.shoppingCarts) {
                                                for (var _c = 0, _d = item.shoppingCarts; _c < _d.length; _c++) {
                                                    var scItem = _d[_c];
                                                    if (scItem.voriginDestination) {
                                                        var arrs = scItem.voriginDestination.split(";");
                                                        if (2 == arrs.length) {
                                                            scItem.beginAddress = JSON.parse(arrs[0]);
                                                            scItem.endAddress = JSON.parse(arrs[1]);
                                                        }
                                                    }
                                                }
                                            }
                                            //if(item.shoppingCarts.voriginDestination)
                                            //{
                                            //    item.InvallidReason = "您的位置超出商家配送范围";
                                            //    this.InvalidRecords.push(item);
                                            //}
                                            //mapLatitude: 32.0571602648
                                            //mapLongitude: 118.7919934688
                                            item.lowestDealPrice = merchtItem.merchantServiceSetting.lowestDealPrice;
                                            if (!item.lowestDealPrice) {
                                                item.lowestDealPrice = 0;
                                            }
                                            //item.difference = item.lowestDealPrice - item.amount;
                                            _this.shoppingCartDatas.push(item);
                                            break;
                                        case 9:
                                            item.InvallidReason = "冻结";
                                            _this.InvalidRecords.push(item);
                                            break;
                                    }
                                }
                                else {
                                    item.InvallidReason = "限制接单";
                                    _this.InvalidRecords.push(item);
                                }
                                break;
                            }
                        }
                    }
                }, function (err) {
                    console.log(err.message);
                });
            }, function (err) {
                console.log(err.message);
            });
        }, function (err) {
            console.log(err.message);
        });
    };
    ShoppingcartPage.prototype.ionViewWillEnter = function () {
        this.LoadShoppingCartData();
    };
    ShoppingcartPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-shoppingcart',template:/*ion-inline-start:"D:\localsvn\tuanjiazhen\employer\app_employer\employerapp\src\pages\shoppingcart\shoppingcart.html"*/'<ion-header>\n\n  <ion-toolbar>\n\n    <ion-buttons left>\n\n      <button ion-button icon-only color="royal" (click)="BackBtnClicked()">\n\n        <ion-icon name="ios-arrow-back-outline"></ion-icon>\n\n      </button>\n\n    </ion-buttons>\n\n    <ion-title style="text-align:center">\n\n      购物车\n\n    </ion-title>\n\n    <ion-buttons end>\n\n      <button ion-button icon-only color="royal" (click)="Clear()">\n\n        清空\n\n      </button>\n\n    </ion-buttons>\n\n  </ion-toolbar>\n\n</ion-header>\n\n\n\n<ion-content no-padding>\n\n  <div *ngFor="let item of shoppingCartDatas">\n\n    <div class="gwc-top">\n\n      <span *ngIf="\'生活配送\' != item.profession" (click)="jumpMerchantHomePage(item.merchantId)">\n\n        <img *ngIf="null == item.pictureId"src="assets/imgs/morentouxiang.jpg" alt="" class="gwc-top-img1">\n\n        <img *ngIf="null != item.pictureId" src="{{picHost}}{{item.pictureId}}" alt="" class="gwc-top-img1">\n\n        {{item.merchantName | slice : 0 : 1}}{{(1 == item.sex) ? "先生" : "女士"}}({{item.profession}})\n\n      </span>\n\n      <span *ngIf="\'生活配送\' == item.profession" (click)="jumpMerchantHomePage(item.merchantId)">\n\n        <img *ngIf="null == item.pictureId" src="assets/imgs/morentouxiang.jpg" alt="" class="gwc-top-img1">\n\n        <img *ngIf="null != item.pictureId" src="{{picHost}}{{item.pictureId}}" alt="" class="gwc-top-img1">\n\n        {{item.physicalStore}}\n\n      </span>\n\n      <img src="{{imgPath}}/icon-fanhui@2x.png" alt="" class="gwc-top-img2">\n\n      <img src="{{imgPath}}/shanchu@2x.png" alt="" class="gwc-top-img3" (click)="Delete(item)">\n\n    </div>\n\n\n\n    <ion-list no-lines>\n\n      <div *ngFor="let serviceItem of item.shoppingCarts">\n\n        <ion-item-sliding>\n\n          <ion-item>\n\n            <div class="gwc-banner" style="position:relative;">\n\n              <div *ngIf="serviceItem.invalidFlag" style="width: 100%;height: 100%;position: absolute;top: 0;left: 0;background-color: #FFFFFF;opacity: 0.5;z-index: 100;">\n\n                <img src="{{imgPath}}/yishixiao@2x.png" alt="" style="position: absolute;left: 40%;top: 20%;width: 78px;">\n\n              </div>\n\n              <img *ngIf="null == serviceItem.pictureId && null == item.pictureId" src="assets/imgs/morentouxiang.jpg" alt="" class="gwc-banner-img1"/>\n\n              <img *ngIf="null != serviceItem.pictureId && null != item.pictureId" src="{{picHost}}{{(serviceItem.pictureId) ? serviceItem.pictureId : item.pictureId}}" alt="" class="gwc-banner-img1"/>\n\n              <span class="gwc-banner-msg1">\n\n                {{(serviceItem.serviceItemDescription) ? serviceItem.serviceItemDescription : serviceItem.serviceItem}}\n\n              </span>\n\n              <span *ngIf="1 == serviceItem.professionCategory" class="yuankm">\n\n                &yen;{{serviceItem.price}}/km\n\n              </span>\n\n\n\n              <div *ngIf="0 == serviceItem.professionCategory">\n\n                <span class="gwc-banner-msg2">\n\n                  x{{serviceItem.quantity}}\n\n                </span>\n\n                <span class="gwc-banner-msg3">\n\n                  &yen;{{serviceItem.price}}\n\n                </span>\n\n              </div>\n\n\n\n              <div *ngIf="1 == serviceItem.professionCategory">\n\n                <span class="killmitter">\n\n                  {{serviceItem.quantity}}km\n\n                </span>\n\n                <span class="gwc-banner-msg2">\n\n                  起始地：<span style="width:120px;display: inline-block;overflow:hidden;text-overflow: ellipsis;white-space: nowrap;position: relative;top:5px; ">{{serviceItem.beginAddress.address}}{{serviceItem.beginAddress.addressDetail}}</span><br>\n\n                  目的地：<span style="width:120px;display: inline-block;overflow:hidden;text-overflow: ellipsis;white-space: nowrap;position: relative;top:5px; ">{{serviceItem.endAddress.address}}{{serviceItem.endAddress.addressDetail}}</span>\n\n                </span>\n\n                <span class="gwc-banner-msg3">\n\n                  &yen;{{serviceItem.price}}\n\n                </span>\n\n              </div>\n\n\n\n              <div *ngIf="2 == serviceItem.professionCategory">\n\n                <span *ngIf="0 < serviceItem.quantityLimitation" class="cp-msg1">\n\n                  限购{{serviceItem.quantityLimitation}}{{serviceItem.unit}}\n\n                </span>\n\n                <span class="cp-msg2">\n\n                  &yen;{{serviceItem.price}}/{{serviceItem.unit}}\n\n                </span>\n\n                <span class="cp-msg3">\n\n                  x{{serviceItem.quantity}}\n\n                </span>\n\n                <span class="gwc-banner-msg3">\n\n                  &yen;{{serviceItem.amount}}\n\n                </span>\n\n              </div>\n\n            </div>\n\n          </ion-item>\n\n\n\n          <ion-item-options side="right">\n\n            <button ion-button color="danger" (click)="DeleteServiceItem(item.shoppingCarts, serviceItem)">\n\n              删除\n\n            </button>\n\n          </ion-item-options>\n\n        </ion-item-sliding>\n\n      </div>\n\n    </ion-list>\n\n\n\n    <div class="gwc-bottom">\n\n      &yen;{{item.amount}}\n\n      <span *ngIf="0 >= (item.lowestDealPrice - item.amount)" (click)="Pay(item)">\n\n        去结算\n\n      </span>\n\n      <span *ngIf="0 < (item.lowestDealPrice - item.amount)" style="background-color: #C1C1C1;color: white;">\n\n        差&yen;{{item.lowestDealPrice - item.amount}}可结算\n\n      </span>\n\n    </div>\n\n\n\n    <div class="gwc-fenge"></div>\n\n  </div>\n\n\n\n  <div *ngIf="0 != InvalidRecords.length" style="position: relative;">\n\n    <div class="gwc-fenge2">\n\n      失效商家\n\n    </div>\n\n    <div *ngFor="let invalidItem of InvalidRecords">\n\n      <div style="width: 100%;height: 100%;position: absolute;top: 0;left: 0;background-color: #FFFFFF;opacity: 0.5;z-index: 100;"></div>\n\n      <div class="gwc-top">\n\n        <img *ngIf="null == invalidItem.pictureId" src="assets/imgs/morentouxiang.jpg" alt="" class="gwc-top-img1">\n\n        <img *ngIf="null != invalidItem.pictureId" src="{{picHost}}{{invalidItem.pictureId}}" alt="" class="gwc-top-img1">\n\n        {{invalidItem.merchantName}}\n\n        <img src="{{imgPath}}/icon-fanhui@2x.png" alt="" class="gwc-top-img2">\n\n        <img src="{{imgPath}}/shanchu@2x.png" alt="" class="gwc-top-img3"/>\n\n      </div>\n\n\n\n      <div *ngFor="let invalidServiceItem of invalidItem.shoppingCarts">\n\n        <div class="gwc-banner">\n\n          <img *ngIf="null == invalidServiceItem.pictureId && null == invalidItem.pictureId" src="assets/imgs/morentouxiang.jpg" alt="" class="gwc-banner-img1"/>\n\n          <img *ngIf="null != invalidServiceItem.pictureId || null != invalidItem.pictureId" src="{{picHost}}{{(invalidServiceItem.pictureId) ? invalidServiceItem.pictureId : invalidItem.pictureId}}" alt="" class="gwc-banner-img1"/>\n\n          <span class="gwc-banner-msg1">\n\n            {{(invalidServiceItem.serviceItemDescription) ? invalidServiceItem.serviceItemDescription : invalidServiceItem.serviceItem}}\n\n          </span>\n\n\n\n          <div *ngIf="1 != invalidServiceItem.professionCategory">\n\n            <span class="gwc-banner-msg2">\n\n              x{{invalidServiceItem.quantity}}\n\n            </span>\n\n            <span class="gwc-banner-msg3">\n\n              &yen;{{invalidServiceItem.amount}}\n\n            </span>\n\n          </div>\n\n\n\n          <div *ngIf="1 == invalidServiceItem.professionCategory">\n\n            <span class="gwc-banner-msg2">\n\n              南京-上海(invalidServiceItem.quantity)\n\n            </span>\n\n            <span class="gwc-banner-msg3">\n\n              &yen;{{invalidServiceItem.amount}}\n\n            </span>\n\n          </div>\n\n        </div>\n\n      </div>\n\n\n\n      <div class="gwc-bottom2">\n\n        <img src="{{imgPath}}/tishi@2x.png" alt="">\n\n        {{invalidItem.InvallidReason}}\n\n      </div>\n\n    </div>\n\n  </div>\n\n</ion-content>\n\n'/*ion-inline-end:"D:\localsvn\tuanjiazhen\employer\app_employer\employerapp\src\pages\shoppingcart\shoppingcart.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__providers_common_common__["a" /* CommonProvider */],
            __WEBPACK_IMPORTED_MODULE_3__providers_session__["a" /* SessionProvider */],
            __WEBPACK_IMPORTED_MODULE_4__providers_api__["a" /* ApiProvider */]])
    ], ShoppingcartPage);
    return ShoppingcartPage;
}());

//# sourceMappingURL=shoppingcart.js.map

/***/ })

});
//# sourceMappingURL=12.js.map