webpackJsonp([15],{

/***/ 509:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "RoutePreviewPageModule", function() { return RoutePreviewPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__route_preview__ = __webpack_require__(557);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var RoutePreviewPageModule = /** @class */ (function () {
    function RoutePreviewPageModule() {
    }
    RoutePreviewPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__route_preview__["a" /* RoutePreviewPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__route_preview__["a" /* RoutePreviewPage */]),
            ],
        })
    ], RoutePreviewPageModule);
    return RoutePreviewPageModule;
}());

//# sourceMappingURL=route-preview.module.js.map

/***/ }),

/***/ 557:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return RoutePreviewPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


var RoutePreviewPage = /** @class */ (function () {
    function RoutePreviewPage(navCtrl, viewCtrl, navParams) {
        this.navCtrl = navCtrl;
        this.viewCtrl = viewCtrl;
        this.navParams = navParams;
        this.start = navParams.get('start');
        this.end = navParams.get('end');
        this.distance = navParams.get('distance');
        this.points = navParams.get('points');
    }
    RoutePreviewPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad RoutePreviewPage');
        this.map = new BMap.Map(this.map_container_preview.nativeElement); //创建地图实例
    };
    RoutePreviewPage.prototype.ionViewDidEnter = function () {
        var sepoints = [];
        sepoints.push(new BMap.Point(this.start.lng, this.start.lat));
        sepoints.push(new BMap.Point(this.end.lng, this.end.lat));
        //this.map.centerAndZoom(new BMap.Point(this.start.lng, this.start.lat), 17);
        this.map.setViewport(sepoints, { enableAnimation: false, delay: 0, margins: [20, 20, 20, 20] });
        //search自动在地图上绘制路线，在手机端绘制起点终点的图标有bug，而且有可能和保存的路线有微小差别。
        /* var driving = new BMap.DrivingRoute(this.map, {
          renderOptions: {
            map: this.map, autoViewport: true
          }
        });
    
        driving.search(sepoints[0], sepoints[1]);
        */
        var baidupoints = [];
        this.points.forEach(function (element) {
            baidupoints.push(new BMap.Point(element[0], element[1]));
        });
        this.map.addOverlay(new BMap.Polyline(baidupoints, { strokeWeight: 4, strokeOpacity: 0.7 }));
        this.map.addOverlay(new BMap.Marker(sepoints[0], {
            icon: new BMap.Icon('assets/imgs/start_target.png', new BMap.Size(28, 35), {
                anchor: new BMap.Size(14, 35)
            })
        }));
        this.map.addOverlay(new BMap.Marker(sepoints[1], {
            icon: new BMap.Icon('assets/imgs/end_target.png', new BMap.Size(28, 35), {
                anchor: new BMap.Size(14, 35)
            })
        }));
    };
    RoutePreviewPage.prototype.confirmRoute = function () {
        this.viewCtrl.dismiss();
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_9" /* ViewChild */])('map_preview'),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["t" /* ElementRef */])
    ], RoutePreviewPage.prototype, "map_container_preview", void 0);
    RoutePreviewPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-route-preview',template:/*ion-inline-start:"D:\localsvn\tuanjiazhen\employer\app_employer\employerapp\src\pages\route-preview\route-preview.html"*/'\n\n<ion-content>\n\n  <div #map_preview id="map_container_preview"></div>\n\n</ion-content>\n\n<ion-footer>\n\n  <ion-toolbar>\n\n    <div>\n\n      <p>起始地：{{start.address}} &nbsp;&nbsp; {{start.addressDetail}}</p>\n\n      <p>目的地：{{end.address}} &nbsp;&nbsp; {{end.addressDetail}}</p>\n\n      <p>公里数：{{distance}}</p>\n\n    </div>\n\n    <div class="button-div">\n\n      <button ion-button round block (click)="confirmRoute()">确定</button>\n\n    </div>\n\n  </ion-toolbar>\n\n</ion-footer>'/*ion-inline-end:"D:\localsvn\tuanjiazhen\employer\app_employer\employerapp\src\pages\route-preview\route-preview.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["r" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */]])
    ], RoutePreviewPage);
    return RoutePreviewPage;
}());

//# sourceMappingURL=route-preview.js.map

/***/ })

});
//# sourceMappingURL=15.js.map