webpackJsonp([17],{

/***/ 503:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "PositionChangePageModule", function() { return PositionChangePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__position_change__ = __webpack_require__(554);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var PositionChangePageModule = /** @class */ (function () {
    function PositionChangePageModule() {
    }
    PositionChangePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__position_change__["a" /* PositionChangePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__position_change__["a" /* PositionChangePage */]),
            ],
        })
    ], PositionChangePageModule);
    return PositionChangePageModule;
}());

//# sourceMappingURL=position-change.module.js.map

/***/ }),

/***/ 554:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PositionChangePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_common_common__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_session__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__city_select_city_select__ = __webpack_require__(162);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_storage__ = __webpack_require__(29);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_api__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__my_address_address__ = __webpack_require__(157);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__ionic_native_diagnostic__ = __webpack_require__(63);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









var PositionChangePage = /** @class */ (function () {
    function PositionChangePage(navCtrl, modalCtrl, viewCtrl, commonProvider, alertCtrl, loadingCtrl, apiProvider, diagnostic, sessionProvider, storage, navParams) {
        this.navCtrl = navCtrl;
        this.modalCtrl = modalCtrl;
        this.viewCtrl = viewCtrl;
        this.commonProvider = commonProvider;
        this.alertCtrl = alertCtrl;
        this.loadingCtrl = loadingCtrl;
        this.apiProvider = apiProvider;
        this.diagnostic = diagnostic;
        this.sessionProvider = sessionProvider;
        this.storage = storage;
        this.navParams = navParams;
        this.keyword = ''; //查询关键词
        this.searchResult = [];
        this.pois = [];
        this.locationSearch = []; //最近搜索
        this.geoc = new BMap.Geocoder();
        this.title = this.navParams.get('title');
    }
    PositionChangePage.prototype.ionViewDidLoad = function () {
        var _this = this;
        console.log('ionViewDidLoad PositionChangePage');
        this.storage.get('locationSearch').then(function (val) {
            if (val)
                _this.locationSearch = val;
        }, function (err) {
        });
        this.relocate(this.sessionProvider.user.currentAddress);
    };
    PositionChangePage.prototype.ionViewDidEnter = function () {
        var _this = this;
        var userId = this.sessionProvider.user.employerId;
        console.log(userId);
        if (userId && userId != 0) {
            this.apiProvider.GetMyAddressList(userId).then(function (res) {
                console.log(res);
                _this.addressList = res.data;
            }, function (err) {
                console.log(err);
            });
        }
    };
    PositionChangePage.prototype.goBack = function () {
        this.navCtrl.pop();
    };
    PositionChangePage.prototype.goAddressManage = function () {
        if (!this.sessionProvider.user.isLogin) {
            this.commonProvider.Login(this);
        }
        else {
            this.navCtrl.push("AddressmanagePage");
        }
    };
    PositionChangePage.prototype.selectCity = function () {
        var _this = this;
        var myModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_4__city_select_city_select__["a" /* CitySelectPage */], { city: '南京' }, {});
        myModal.present();
        myModal.onWillDismiss(function (newData) {
            //带参的回调函数
            //{"name":"安顺","pinyin":"ANSHUN","index":"A"};
            if (newData && newData.name) {
                if (_this.myAddress)
                    _this.myAddress.city = newData.name;
                else {
                    _this.myAddress = { city: newData.name };
                }
                //this.isSearching = true;
            }
        });
        myModal.onDidDismiss(function (newData) {
            //带参的回调函数
            //{"name":"安顺","pinyin":"ANSHUN","index":"A"};
            if (newData && newData.name) {
                //this.isSearching = true;
            }
        });
    };
    PositionChangePage.prototype.getItems = function (ev) {
        console.log('getItems ' + ev.target.value);
        this.keyword = ev.target.value;
        this.content.resize();
        this.doSearch();
    };
    PositionChangePage.prototype.doSearch = function () {
        console.log('doSearch');
        var options = {
            forceLocal: true,
            onSearchComplete: function (results) {
                // 判断状态是否正确
                if (local.getStatus() == BMAP_STATUS_SUCCESS) {
                    var s = [];
                    for (var i = 0; i < results.getCurrentNumPois(); i++) {
                        s.push({
                            title: results.getPoi(i).title,
                            address: results.getPoi(i).address,
                            distance: this.getDistance(results.getPoi(i).point),
                            point: results.getPoi(i).point
                        });
                    }
                    this.searchResult = s;
                    console.log(this.searchResult);
                }
                else {
                    console.log("local.getStatus() != BMAP_STATUS_SUCCESS" + local.getStatus());
                }
            }.bind(this)
        };
        if (this.myAddress && this.myAddress.city) {
            var local = new BMap.LocalSearch(this.myAddress.city, options);
            local.search(this.keyword, { forceLocal: 1 });
        }
        else {
            local = new BMap.LocalSearch('南京', options);
            local.search(this.keyword, { forceLocal: 0 });
        }
    };
    PositionChangePage.prototype.getDistance = function (point) {
        var currentAddress = this.sessionProvider.user.currentAddress;
        if (!currentAddress || !currentAddress.lat)
            return '';
        var distance = this.commonProvider.getDistance(point.lat, point.lng, currentAddress.lat, currentAddress.lng);
        if (distance >= 1)
            return Math.round(distance * 10) / 10 + 'k';
        return Math.round(distance * 1000);
    };
    PositionChangePage.prototype.focusSearch = function () {
        this.isSearching = true;
        this.content.resize();
    };
    PositionChangePage.prototype.cancelSearch = function () {
        this.isSearching = false;
        this.searchResult = [];
    };
    PositionChangePage.prototype.clearSearch = function () {
        this.searchResult = [];
    };
    PositionChangePage.prototype.searchSelected = function (item) {
        var needStorage = true;
        for (var _i = 0, _a = this.locationSearch; _i < _a.length; _i++) {
            var it = _a[_i];
            if (it.title == item.title) {
                needStorage = false;
                break;
            }
        }
        if (needStorage) {
            if (this.locationSearch.length > 9) {
                this.locationSearch.splice(0, this.locationSearch.length - 9);
            }
            this.locationSearch.push(item);
            this.storage.set('locationSearch', this.locationSearch);
        }
        this.poiSelected(item);
    };
    PositionChangePage.prototype.poiSelected = function (poi) {
        var _this = this;
        //这里应该返回一个Address实例
        //取区然后返回
        if (poi.point) {
            this.geoc.getLocation(new BMap.Point(poi.point.lng, poi.point.lat), function (rs) {
                rs.title = poi.title;
                var result = __WEBPACK_IMPORTED_MODULE_7__my_address_address__["a" /* Address */].getAddressFromOrigin(rs);
                _this.updateSessionCurrentAddress(result);
                _this.navCtrl.pop();
            });
        }
        else {
            this.updateSessionCurrentAddress(poi);
            this.navCtrl.pop();
        }
    };
    PositionChangePage.prototype.relocate = function (currentAddress) {
        var _this = this;
        if (currentAddress === void 0) { currentAddress = null; }
        var loading = this.loadingCtrl.create({
            content: '正在定位...'
        });
        loading.present();
        this.commonProvider.getLocation().then(function (results) {
            console.log(results);
            var location = new BMap.Point(results['longitude'], results['latitude']);
            //逆地址解析
            _this.geoc.getLocation(location, function (rs) {
                loading.dismiss();
                if (!rs) {
                    return;
                }
                if (currentAddress)
                    _this.myAddress = currentAddress;
                else
                    _this.myAddress = __WEBPACK_IMPORTED_MODULE_7__my_address_address__["a" /* Address */].getAddressFromOrigin(rs);
                _this.pois = [];
                rs.surroundingPois.forEach(function (item) {
                    _this.pois.push({
                        title: item.title,
                        address: item.address,
                        point: item.point
                    });
                });
            });
        }, function (err) {
            console.log(err);
            loading.dismiss();
            _this.commonProvider.confirmProblem().then(function (reason) {
                if (!_this.commonProvider.showLocationError) {
                    console.log(reason);
                    return;
                }
                _this.commonProvider.showLocateAlert(reason, _this.relocate.bind(_this));
            });
        });
    };
    PositionChangePage.prototype.dismiss = function (address) {
        if (address) {
            var result = __WEBPACK_IMPORTED_MODULE_7__my_address_address__["a" /* Address */].getAddressFromAddressList(address);
            this.updateSessionCurrentAddress(result);
        }
        this.navCtrl.pop();
    };
    PositionChangePage.prototype.updateSessionCurrentAddress = function (address) {
        var _this = this;
        //获取地区码
        this.apiProvider.GetAreaByAreaName(address.province, address.city, address.district).then(function (res) {
            var currentArea = res.data;
            //更新当前地址到session
            address.area_id = currentArea.areaId;
            address.parea_id = currentArea.pareaId;
            _this.sessionProvider.setCurrentAddress(address);
            if (_this.sessionProvider.user && _this.sessionProvider.user.employerId)
                _this.apiProvider.UpdateEmployerAreaId(_this.sessionProvider.user.employerId, address.area_id);
        }, function (err) {
            console.log(err);
            _this.commonProvider.showAlert(err.message);
        });
    };
    PositionChangePage.prototype.addAddress = function () {
        if (this.addressList.length >= 20) {
            this.commonProvider.showAlert('您的服务地址已达到上限！');
        }
        else {
            this.navCtrl.push('AddorupdateaddressPage');
        }
    };
    PositionChangePage.prototype.goSearchMore = function () {
        //等价于点选择框
        this.searchInput1.setFocus();
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_9" /* ViewChild */])(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* Content */]),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* Content */])
    ], PositionChangePage.prototype, "content", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_9" /* ViewChild */])('searchInput1'),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* Searchbar */])
    ], PositionChangePage.prototype, "searchInput1", void 0);
    PositionChangePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-position-change',template:/*ion-inline-start:"D:\localsvn\tuanjiazhen\employer\app_employer\employerapp\src\pages\position-change\position-change.html"*/'\n\n<ion-header>\n\n\n\n  <ion-toolbar color="primary">\n\n    <ion-buttons left>\n\n      <button ion-button icon-only (click)="goBack()">\n\n        <ion-icon ios="ios-arrow-back-outline" md="ios-arrow-back-outline"></ion-icon>\n\n      </button>\n\n    </ion-buttons>\n\n    <ion-title>{{title}}</ion-title>\n\n    <ion-buttons right>\n\n      <button ion-button (click)="goAddressManage()" color="royal">\n\n        地址管理\n\n      </button>\n\n    </ion-buttons>\n\n  </ion-toolbar>\n\n\n\n</ion-header>\n\n\n\n\n\n<ion-content padding>\n\n  <ion-toolbar>\n\n    <ion-buttons left>\n\n      <button ion-button (click)="selectCity()">\n\n        {{myAddress?.city}}\n\n        <ion-icon ios="ios-arrow-down-outline" md="ios-arrow-down-outline"></ion-icon>\n\n      </button>\n\n    </ion-buttons>\n\n    <ion-searchbar (input)="getItems($event)" placeholder="小区/写字楼等" #searchInput1 (ionFocus)="focusSearch()" showCancelButton="true" cancelButtonText="取消" animated="true" (ionCancel)="cancelSearch()" (ionClear)="clearSearch()"></ion-searchbar>\n\n  </ion-toolbar>\n\n  <div [hidden]=\'isSearching\'>\n\n    <div class="subtitle">\n\n      当前位置\n\n    </div>\n\n    <div class = "currentpos">\n\n      <span (click)="poiSelected(myAddress)">{{myAddress?.title}}</span><span style="float:right;" (click)="relocate()" class="blue-button">重新定位</span>\n\n    </div>\n\n  \n\n    <div class="subtitle">\n\n      服务地址\n\n    </div>\n\n    <div class="fwdz-banner" *ngFor="let address of addressList" (click)="dismiss(address)">\n\n      <div class="fwdz-dz">{{address.mapAddress}}\n\n        <img *ngIf="address.addressCategory == 1" src="{{imgPath}}/jia@2x.png" alt="" />\n\n        <img *ngIf="address.addressCategory == 2" src="{{imgPath}}/gongsi@2x.png" alt="" />\n\n        <img *ngIf="address.addressCategory == 3" src="{{imgPath}}/xuexiao@2x.png" alt="" />\n\n      </div>\n\n      <div class="fwdz-dz-more">{{address.houseNumber}}</div>\n\n      <div class="fwdz-name">\n\n        {{address.contact}}({{address.contactSex == 1?"先生":"女士"}}) &nbsp; {{address.contactPhoneNumber}}\n\n      </div>\n\n    </div>\n\n    \n\n    <span (click)="addAddress()" class="blue-button">新增地址</span>\n\n  \n\n    <div class="subtitle">\n\n      附近地点推荐\n\n      <span style="float:right;" (click)="goSearchMore()">更多></span>\n\n    </div>\n\n      \n\n    <ion-list>\n\n      <button ion-item detail-none *ngFor="let poi of pois;let i=index" (click)="poiSelected(poi)">\n\n        {{ poi.title }}\n\n      </button>\n\n    </ion-list>\n\n  \n\n  </div>\n\n\n\n  <div [hidden]=\'!isSearching\'>\n\n    <div id="searchPanel" [hidden]=\'searchResult.length>0\'>\n\n      <div style="text-align: center; color:gray; margin: 100px auto; font-size: 2.2rem;" [hidden]=\'locationSearch?.length>0\'>\n\n          暂无历史纪录\n\n      </div>\n\n      <ion-list no-lines [hidden]=\'!locationSearch||locationSearch.length==0\'>\n\n        <ion-item class="history-item" *ngFor="let item of locationSearch" (click)="poiSelected(item)">\n\n          <span>{{ item.title }}</span>\n\n        </ion-item>\n\n      </ion-list>\n\n    </div>\n\n    <ion-list>\n\n      <ion-item *ngFor="let item of searchResult" (click)="searchSelected(item)">\n\n        <ion-icon name="radio-button-off" item-start></ion-icon>\n\n        {{item.title}}\n\n        <p>{{item.address}}</p>\n\n        <div item-end [hidden]=\'!item.distance\'>{{item.distance}}m</div>\n\n      </ion-item>\n\n    </ion-list>\n\n  </div>\n\n\n\n</ion-content>\n\n'/*ion-inline-end:"D:\localsvn\tuanjiazhen\employer\app_employer\employerapp\src\pages\position-change\position-change.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["r" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_2__providers_common_common__["a" /* CommonProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_6__providers_api__["a" /* ApiProvider */],
            __WEBPACK_IMPORTED_MODULE_8__ionic_native_diagnostic__["a" /* Diagnostic */],
            __WEBPACK_IMPORTED_MODULE_3__providers_session__["a" /* SessionProvider */],
            __WEBPACK_IMPORTED_MODULE_5__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */]])
    ], PositionChangePage);
    return PositionChangePage;
}());

//# sourceMappingURL=position-change.js.map

/***/ })

});
//# sourceMappingURL=17.js.map