webpackJsonp([19],{

/***/ 500:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "NewFriendPageModule", function() { return NewFriendPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__new_friend__ = __webpack_require__(552);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var NewFriendPageModule = /** @class */ (function () {
    function NewFriendPageModule() {
    }
    NewFriendPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__new_friend__["a" /* NewFriendPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__new_friend__["a" /* NewFriendPage */]),
            ],
        })
    ], NewFriendPageModule);
    return NewFriendPageModule;
}());

//# sourceMappingURL=new-friend.module.js.map

/***/ }),

/***/ 552:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return NewFriendPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_api__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_common_common__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_storage__ = __webpack_require__(29);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var NewFriendPage = /** @class */ (function () {
    function NewFriendPage(navCtrl, navParams, apiProvider, alertCtrl, commonProvider, storage) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.apiProvider = apiProvider;
        this.alertCtrl = alertCtrl;
        this.commonProvider = commonProvider;
        this.storage = storage;
        this.imgPath = "assets/imgs/new-friend";
        this.ls3DaysAgo = [];
        this.lsIn3Days = [];
    }
    NewFriendPage.prototype.ionViewWillEnter = function () {
        this.getCurDDUser();
        this.storage.remove("newFriendSum").then();
    };
    NewFriendPage.prototype.ionViewDidEnter = function () {
        this.getWhoWantMyFriends3DaysAgo();
        this.getWhoWantMyFriendsIn3Days();
    };
    /**
     * 跳转至好友信息页面
     * @param friendDdUserId
     */
    NewFriendPage.prototype.jumpFriendProfilePage = function (friendDdUserId) {
        var pushParams = {
            myDdUserId: this.myDdUserId,
            friendDdUserId: friendDdUserId
        };
        this.navCtrl.push("FriendProfilePage", pushParams).then(function () {
            console.log("跳转至好友信息页面参数");
            console.log(pushParams);
        });
    };
    /**
     * 跳转至查询好友页面
     */
    NewFriendPage.prototype.jumpQueryFriendPage = function () {
        this.navCtrl.push("QueryFriendPage").then();
    };
    /**
     * 查询3天前
     */
    NewFriendPage.prototype.getWhoWantMyFriends3DaysAgo = function () {
        var _this = this;
        console.log("查询3天前参数");
        console.log({ myDdUserId: this.myDdUserId, isRecent3Days: false });
        this.apiProvider.GetWhoWantMyFriends(this.myDdUserId, false).then(function (res) {
            console.log("查询3天前成功");
            console.log(res);
            if (res["code"] == 200 && res["data"] && res["data"]["length"] > 0) {
                // 重置头像及名称
                res["data"].forEach(function (value, index, array) {
                    array[index]["ddUser"]["pictureId"] = __WEBPACK_IMPORTED_MODULE_3__providers_common_common__["a" /* CommonProvider */].resetPictureId(value["ddUser"]["pictureId"]);
                    array[index]["ddUser"]["userName"] = __WEBPACK_IMPORTED_MODULE_3__providers_common_common__["a" /* CommonProvider */].resetDdFriendUserName(value["ddUser"]["userNick"], value["ddUser"]["userName"], value["ddUser"]["usermobile"]);
                });
                _this.ls3DaysAgo = res["data"];
            }
        }, function (err) {
            console.error("查询3天前失败");
            console.error(err);
        });
    };
    /**
     * 查询3天内
     */
    NewFriendPage.prototype.getWhoWantMyFriendsIn3Days = function () {
        var _this = this;
        console.log("查询3天内参数");
        console.log({ myDdUserId: this.myDdUserId, isRecent3Days: true });
        this.apiProvider.GetWhoWantMyFriends(this.myDdUserId, true).then(function (res) {
            console.log("查询3天内成功");
            console.log(res);
            if (res["code"] == 200 && res["data"] && res["data"]["length"] > 0) {
                // 重置头像及名称
                res["data"].forEach(function (value, index, array) {
                    array[index]["ddUser"]["pictureId"] = __WEBPACK_IMPORTED_MODULE_3__providers_common_common__["a" /* CommonProvider */].resetPictureId(value["ddUser"]["pictureId"]);
                    array[index]["ddUser"]["userName"] = __WEBPACK_IMPORTED_MODULE_3__providers_common_common__["a" /* CommonProvider */].resetDdFriendUserName(value["ddUser"]["userNick"], value["ddUser"]["userName"], value["ddUser"]["usermobile"]);
                });
                _this.lsIn3Days = res["data"];
            }
        }, function (err) {
            console.error("查询3天内失败");
            console.error(err);
        });
    };
    /**
     * 查询雇主ddUserId
     */
    NewFriendPage.prototype.getCurDDUser = function () {
        var _this = this;
        this.apiProvider.GetCurDDUser().then(function (res) {
            console.log("查询雇主ddUserId成功");
            console.log(res);
            if (res["code"] == 200) {
                _this.myDdUserId = res["data"]["ddUserId"];
            }
        }, function (err) {
            console.error("查询雇主ddUserId失败");
            console.error(err);
        });
    };
    /**
     * 根据friend关系id来通过好友申请,a申请添加b为好友,b来确定是否通过，当前主体为b,参数好友昵称是a的昵称
     * @param ddFriendId friend关系id
     * @param isPass true:通过，false:拒绝/拉黑
     * @param friendNickName friend昵称
     * @param friendMobile 手机号
     */
    NewFriendPage.prototype.confirmFriend = function (ddFriendId, isPass, friendNickName, friendMobile) {
        var _this = this;
        var userTitle = friendNickName ? friendNickName : friendMobile;
        var confirm = this.alertCtrl.create({
            title: isPass ? "确认是否同意添加" : "确认是否拒绝添加",
            buttons: [
                {
                    text: "是",
                    handler: function () {
                        console.log("confirmFriend参数");
                        console.log(ddFriendId, isPass, userTitle);
                        _this.apiProvider.ConfirmFriend(ddFriendId, isPass, userTitle).then(function (res) {
                            console.log("confirmFriend成功");
                            console.log(res);
                            if (res["code"] == 200) {
                                _this.getWhoWantMyFriends3DaysAgo();
                                _this.getWhoWantMyFriendsIn3Days();
                                _this.commonProvider.tips(isPass ? "已同意" : "已拒绝");
                            }
                            else {
                                _this.commonProvider.tips("操作失败，请重试");
                            }
                        }, function (err) {
                            console.error("confirmFriend失败");
                            console.error(err);
                            _this.commonProvider.tips("操作失败，请重试");
                        });
                    }
                },
                {
                    text: "否",
                    handler: function () {
                    }
                }
            ]
        });
        confirm.present().then();
    };
    NewFriendPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-new-friend',template:/*ion-inline-start:"D:\localsvn\tuanjiazhen\employer\app_employer\employerapp\src\pages\new-friend\new-friend.html"*/'<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title text-center>\n\n      新的朋友\n\n    </ion-title>\n\n\n\n    <ion-buttons end>\n\n      <button ion-button icon-only color="royal" (click)="jumpQueryFriendPage()">\n\n        添加朋友\n\n      </button>\n\n    </ion-buttons>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content no-padding>\n\n  <div class="txl-top" (click)="jumpQueryFriendPage()">\n\n    <div class="search">\n\n      <img [src]="imgPath + \'/sousuo@2x.png\'" alt="">\n\n      用户名/手机号\n\n    </div>\n\n  </div>\n\n\n\n  <div class="txl-fenge" *ngIf="lsIn3Days.length > 0">\n\n    近三天\n\n  </div>\n\n\n\n  <div class="txl-top2" *ngFor="let item of lsIn3Days">\n\n    <img (click)="jumpFriendProfilePage(item[\'ddUser\'][\'ddUserId\'])" [src]="item[\'ddUser\'][\'pictureId\']" alt="">\n\n    <div class="add">\n\n      <span class="name">{{item["ddUser"]["userName"]}}</span><br>\n\n      <span class="qingqiu">请求添加你为好友</span>\n\n    </div>\n\n    <!--<span class="look" (click)="jumpFriendProfilePage(item[\'ddUser\'][\'ddUserId\'],item[\'ddUser\'][\'relatedId\'],item[\'ddUser\'][\'ismerchant\'])">查看</span>-->\n\n    <button class="look" *ngIf="item[\'friendStatus\'] == 0" (click)="confirmFriend(item[\'ddFriendId\'],true,item[\'ddUser\'][\'userName\'],item[\'ddUser\'][\'usermobile\'])">同意</button>\n\n    <button class="look" *ngIf="item[\'friendStatus\'] == 0" (click)="confirmFriend(item[\'ddFriendId\'],false,item[\'ddUser\'][\'userName\'],item[\'ddUser\'][\'usermobile\'])">拒绝</button>\n\n    <button class="look2" *ngIf="item[\'friendStatus\'] == 1">已添加</button>\n\n    <button class="look2" *ngIf="item[\'friendStatus\'] == 2">已拒绝</button>\n\n  </div>\n\n\n\n  <div class="txl-fenge" *ngIf="ls3DaysAgo.length > 0">\n\n    三天前\n\n  </div>\n\n\n\n  <div class="txl-top2" *ngFor="let item of ls3DaysAgo">\n\n    <img (click)="jumpFriendProfilePage(item[\'ddUser\'][\'ddUserId\'])" [src]="item[\'ddUser\'][\'pictureId\']" alt="">\n\n    <div class="add">\n\n      <span class="name">{{item["ddUser"]["userName"]}}</span><br>\n\n      <span class="qingqiu">请求添加你为好友</span>\n\n    </div>\n\n    <button class="look" *ngIf="item[\'friendStatus\'] == 0" (click)="confirmFriend(item[\'ddFriendId\'],true,item[\'ddUser\'][\'userName\'],item[\'ddUser\'][\'usermobile\'])">同意</button>\n\n    <button class="look" *ngIf="item[\'friendStatus\'] == 0" (click)="confirmFriend(item[\'ddFriendId\'],false,item[\'ddUser\'][\'userName\'],item[\'ddUser\'][\'usermobile\'])">拒绝</button>\n\n    <button class="look2" *ngIf="item[\'friendStatus\'] == 1">已添加</button>\n\n    <button class="look2" *ngIf="item[\'friendStatus\'] == 2">已拒绝</button>\n\n  </div>\n\n</ion-content>\n\n'/*ion-inline-end:"D:\localsvn\tuanjiazhen\employer\app_employer\employerapp\src\pages\new-friend\new-friend.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__providers_api__["a" /* ApiProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_3__providers_common_common__["a" /* CommonProvider */],
            __WEBPACK_IMPORTED_MODULE_4__ionic_storage__["b" /* Storage */]])
    ], NewFriendPage);
    return NewFriendPage;
}());

//# sourceMappingURL=new-friend.js.map

/***/ })

});
//# sourceMappingURL=19.js.map