webpackJsonp([22],{

/***/ 495:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "LoginPageModule", function() { return LoginPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__login__ = __webpack_require__(548);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var LoginPageModule = /** @class */ (function () {
    function LoginPageModule() {
    }
    LoginPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__login__["a" /* LoginPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__login__["a" /* LoginPage */]),
            ],
        })
    ], LoginPageModule);
    return LoginPageModule;
}());

//# sourceMappingURL=login.module.js.map

/***/ }),

/***/ 548:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return LoginPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_common_common__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_api__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_session__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_storage__ = __webpack_require__(29);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_xmpp_xmpp__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__providers_chat_db_chat_db__ = __webpack_require__(64);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__providers_message_message__ = __webpack_require__(48);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__angular_platform_browser__ = __webpack_require__(30);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


//import { TabsPage } from '../tabs/tabs';








/**
 * Generated class for the LoginPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var LoginPage = /** @class */ (function () {
    function LoginPage(navCtrl, navParams, apiProvider, commonProvider, sessionProvider, storage, xmpp, chatDB, message, sanitizer) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.apiProvider = apiProvider;
        this.commonProvider = commonProvider;
        this.sessionProvider = sessionProvider;
        this.storage = storage;
        this.xmpp = xmpp;
        this.chatDB = chatDB;
        this.message = message;
        this.sanitizer = sanitizer;
        this.imgPath = "assets/imgs/login";
        this.userPhoneNumber = null;
        this.content = null;
        //验证码倒计时
        this.verifiedInfo = {
            verifyCodeTips: "重新获取",
            countdown: 60,
            disable: true
        };
        this.bNextStepFlag = false;
        //登录后待返回页面，如果没有则去到家页面
        this.backInfo = null;
        //规则
        this.operationRules = null;
        //用于控制标题头
        this.bShowContentFlag = false;
    }
    LoginPage.prototype.SendCode = function () {
        if (!this.userPhoneNumber) {
            this.commonProvider.showAlert("请输入电话号码");
            return;
        }
        this.verifiedInfo.disable = false;
        this.apiProvider.GetVerificationCode(this.userPhoneNumber, 0).then(function (res) {
            //成功什么都不做，手机会收到验证码
        }, function (err) {
            console.log(err.message);
        });
        //发送一次验证码后，开始进行倒计时60s
        this.Timing();
    };
    LoginPage.prototype.Timing = function () {
        var _this = this;
        if (0 < this.verifiedInfo.countdown) {
            this.verifiedInfo.verifyCodeTips = this.verifiedInfo.countdown;
            this.timeoutParam = setTimeout(function () {
                --_this.verifiedInfo.countdown;
                _this.Timing();
            }, 1000);
        }
        else {
            this.verifiedInfo.verifyCodeTips = "重新获取";
            this.verifiedInfo.countdown = 60;
            this.verifiedInfo.disable = true;
        }
    };
    LoginPage.prototype.GoNextStep = function () {
        //号码校验
        var n = this.commonProvider.validateMobile(this.userPhoneNumber);
        if (!n) {
            this.commonProvider.showAlert("请输入正确的手机号码");
            return;
        }
        this.SendCode();
        this.bNextStepFlag = true;
    };
    LoginPage.prototype.DoLogin = function () {
        var _this = this;
        if (!this.userPhoneNumber) {
            this.commonProvider.showAlert("请输入电话号码");
            return;
        }
        if (!this.verifyCode) {
            return;
        }
        this.apiProvider.Login(this.userPhoneNumber, this.verifyCode).then(function (res) {
            console.log("登陆成功");
            console.log(res);
            clearTimeout(_this.timeoutParam);
            var resInfo = res;
            _this.sessionProvider.token = resInfo.data.token;
            _this.sessionProvider.setUserInfo(resInfo.data.employer);
            _this.sessionProvider.NewCustomerFlag = resInfo.data.isNew;
            _this.sessionProvider.setIsLogin(true);
            //将省市信息更新至雇主表，方便抢豆豆游戏的显示
            if (_this.sessionProvider.user.currentAddress) {
                _this.apiProvider.UpdateProvinceAndCity(_this.sessionProvider.user.employerId, _this.sessionProvider.user.currentAddress.province, _this.sessionProvider.user.currentAddress.city).then(function (res) {
                    console.log("更新豆豆游戏相关省市信息成功");
                }, function (err) {
                    _this.commonProvider.showAlert(err.message);
                });
            }
            //登录成功后，保存本次次登录的号码到本地
            _this.storage.set('phoneNumber', _this.userPhoneNumber);
            _this.storage.set('token', _this.sessionProvider.token);
            console.log("存储的登录账号token：" + _this.sessionProvider.token);
            //更新消息推送设备标识
            _this.commonProvider.RegisterNotification(_this);
            //发送刷新事件
            _this.commonProvider.onTabsMessageRefreshUnreadEvent();
            _this.chatDB.Init(_this.sessionProvider.user.employerId);
            _this.xmpp.Login();
            _this.message.Load();
            if (resInfo.data.isNew) {
                _this.commonProvider.CheckGiveDd(0);
            }
            //this.navCtrl.setRoot(TabsPage);
            _this.navCtrl.popToRoot();
            if (_this.backInfo) {
                _this.navCtrl.push(_this.backInfo.backPage, _this.backInfo.backParams);
            }
        }, function (err) {
            console.log(err.message);
            _this.commonProvider.showAlert(err.message);
        });
    };
    LoginPage.prototype.backBtnClicked = function () {
        if (this.bShowContentFlag) {
            this.bShowContentFlag = false;
        }
    };
    LoginPage.prototype.ReadContent1 = function () {
        this.bShowContentFlag = true;
    };
    LoginPage.prototype.assembleHTML = function (strHTML) {
        return this.sanitizer.bypassSecurityTrustHtml(strHTML);
    };
    LoginPage.prototype.ionViewDidLoad = function () {
        var _this = this;
        this.storage.get('phoneNumber').then(function (val) {
            _this.userPhoneNumber = val;
        }, function (err) {
        });
        this.backInfo = this.navParams.get('backInfo');
        if (!this.backInfo) {
            this.backInfo = null;
        }
        this.apiProvider.Configureagreement("团家政用户和个人账户服务声明").then(function (data) {
            _this.list = data;
            if (_this.list.data != null) {
                _this.content = _this.list.data.content;
            }
            console.log(data);
        }, function (err) {
            console.log(err);
        });
    };
    LoginPage.prototype.ionViewWillLeave = function () {
    };
    LoginPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-login',template:/*ion-inline-start:"D:\localsvn\tuanjiazhen\employer\app_employer\employerapp\src\pages\login\login.html"*/'<!--\n\n  Generated template for the LoginPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-toolbar>\n\n    <ion-buttons left>\n\n      <button ion-button icon-only color="royal" (click)="backBtnClicked()">\n\n        <ion-icon *ngIf="bShowContentFlag" name="ios-arrow-back-outline"></ion-icon>\n\n      </button>\n\n    </ion-buttons>\n\n    <ion-title style="text-align:center">登录</ion-title>\n\n    <ion-buttons right>\n\n      <button ion-button icon-only color="royal">\n\n      </button>\n\n    </ion-buttons>\n\n  </ion-toolbar>\n\n</ion-header>\n\n\n\n\n\n<ion-content no-padding>\n\n    <div *ngIf="!bShowContentFlag">\n\n	   	<div class="first-banne2">\n\n	       	<img src="{{imgPath}}/icon-mobile@2x.png" alt="">\n\n	       	<input type="number" name="" pattern="[0-9]*" oninput="if(value.length > 11)value=value.slice(0,11)" placeholder="请输入手机号" [(ngModel)]="userPhoneNumber">\n\n	   	</div>\n\n\n\n       	<div *ngIf="!bNextStepFlag">\n\n            <div class="first-btn" (click)="GoNextStep()">下一步</div>\n\n	        <div class="first-bottom">\n\n	               点击"下一步", 即同意<span style="color:#FF583F" (click)="ReadContent1()">《团家政用户和个人账户服务声明》</span>\n\n	        </div>\n\n        </div>\n\n\n\n        <div *ngIf="bNextStepFlag">\n\n            <div class="first-banne2" style="margin-top:15px;">\n\n            <img src="{{imgPath}}/icon-yanzhengma@2x.png" alt="" style="top:-1px;">\n\n            <input type="number" name="" pattern="[0-9]*" oninput="if(value.length > 4)value=value.slice(0,4)" placeholder="验证码" style="width:50%" [(ngModel)]="verifyCode">\n\n             &nbsp; &nbsp;<button ion-button style="display: inline-block;float:right;height:30px;margin-top:7px;padding-right:5px;" clear (click)="SendCode()" [disabled]="!verifiedInfo.disable">{{verifiedInfo.verifyCodeTips}}</button>\n\n	        </div>\n\n\n\n	        <div class="first-btn" (click)="DoLogin()">登录</div>\n\n        </div>\n\n    </div>\n\n\n\n	<div *ngIf="bShowContentFlag" [innerHTML]="assembleHTML(content)">\n\n\n\n  </div>\n\n\n\n</ion-content>\n\n'/*ion-inline-end:"D:\localsvn\tuanjiazhen\employer\app_employer\employerapp\src\pages\login\login.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_3__providers_api__["a" /* ApiProvider */],
            __WEBPACK_IMPORTED_MODULE_2__providers_common_common__["a" /* CommonProvider */],
            __WEBPACK_IMPORTED_MODULE_4__providers_session__["a" /* SessionProvider */],
            __WEBPACK_IMPORTED_MODULE_5__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_6__providers_xmpp_xmpp__["a" /* XmppProvider */],
            __WEBPACK_IMPORTED_MODULE_7__providers_chat_db_chat_db__["a" /* ChatDbProvider */],
            __WEBPACK_IMPORTED_MODULE_8__providers_message_message__["a" /* MessageProvider */],
            __WEBPACK_IMPORTED_MODULE_9__angular_platform_browser__["c" /* DomSanitizer */]])
    ], LoginPage);
    return LoginPage;
}());

//# sourceMappingURL=login.js.map

/***/ })

});
//# sourceMappingURL=22.js.map