webpackJsonp([24],{

/***/ 491:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "FriendProfilePageModule", function() { return FriendProfilePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__friend_profile__ = __webpack_require__(545);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var FriendProfilePageModule = /** @class */ (function () {
    function FriendProfilePageModule() {
    }
    FriendProfilePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__friend_profile__["a" /* FriendProfilePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__friend_profile__["a" /* FriendProfilePage */]),
            ],
        })
    ], FriendProfilePageModule);
    return FriendProfilePageModule;
}());

//# sourceMappingURL=friend-profile.module.js.map

/***/ }),

/***/ 545:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return FriendProfilePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_const_const__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_api__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_common_common__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__chat_chat__ = __webpack_require__(61);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var FriendProfilePage = /** @class */ (function () {
    function FriendProfilePage(navCtrl, navParams, alertCtrl, apiProvider, commonProvider, loadingCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.alertCtrl = alertCtrl;
        this.apiProvider = apiProvider;
        this.commonProvider = commonProvider;
        this.loadingCtrl = loadingCtrl;
        this.imgPath = "assets/imgs/friend-profile/";
        this.picHost = __WEBPACK_IMPORTED_MODULE_2__providers_const_const__["a" /* ConstProvider */].PicHost;
        this.friendUserId = null; // 好友id
        this.isMerchant = null; // 是否是商户
        this.myDdUserId = null; // 我的ddUserId
        this.friendDdUserId = null; // 好友ddUserId
        this.ddFriendId = null; // 好友关系id
        this.friendRelation = null; // 相互关系(0申请1通过2拒绝 -1尚未添加好友关系)
        // 好友基本信息
        this.friendInf = {
            "pictureId": null,
            "city": null,
            "friendTitle": "匿名",
            "nickName": "",
            "phoneNumber": null
        };
    }
    FriendProfilePage.prototype.ionViewWillEnter = function () {
        this.myDdUserId = this.navParams.get("myDdUserId");
        this.friendDdUserId = this.navParams.get("friendDdUserId");
        this.getFriendsInfoByFriendsDdUserId();
    };
    /**
     * 设置备注
     */
    FriendProfilePage.prototype.setRemarks = function () {
        var _this = this;
        var prompt = this.alertCtrl.create({
            title: '设置备注',
            inputs: [
                {
                    name: "remarks",
                    placeholder: "请输入备注"
                },
            ],
            buttons: [
                {
                    text: "取消",
                    handler: function () {
                    }
                },
                {
                    text: "确认",
                    handler: function (data) {
                        console.log("设置备注参数");
                        console.log(_this.myDdUserId, _this.ddFriendId, data["remarks"]);
                        _this.apiProvider.UpdateFriendNick(_this.myDdUserId, _this.ddFriendId, data["remarks"]).then(function (res) {
                            console.log("设置备注成功");
                            console.log(res);
                            if (res["code"] == 200) {
                                _this.friendInf.friendTitle = data["remarks"];
                                _this.commonProvider.tips("设置备注成功");
                            }
                            else {
                                _this.commonProvider.tips("操作失败，请重试");
                            }
                        }, function (err) {
                            console.error("设置备注失败");
                            console.error(err);
                            _this.commonProvider.tips("操作失败，请重试");
                        });
                    }
                }
            ]
        });
        prompt.present().then();
    };
    /**
     * 发送消息
     */
    FriendProfilePage.prototype.sendMsg = function () {
        var userType = this.isMerchant ? "m" : "e";
        var params = {
            toUserId: userType + this.friendDdUserId,
            toUserName: this.friendInf.friendTitle
        };
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_5__chat_chat__["a" /* ChatPage */], params).then(function () {
            console.log("跳转至聊天界面参数");
            console.log(params);
        });
    };
    /**
     * 添加好友
     */
    FriendProfilePage.prototype.addFriend = function () {
        var _this = this;
        this.alertCtrl.create({
            title: "确认添加对方为好友吗？",
            buttons: [
                {
                    text: "是",
                    handler: function () {
                        console.log("添加好友参数");
                        console.log(_this.myDdUserId, _this.isMerchant, _this.friendUserId, _this.friendInf.phoneNumber, _this.friendInf.nickName);
                        _this.apiProvider.AddFriendById(_this.myDdUserId, _this.isMerchant, _this.friendUserId, _this.friendInf.phoneNumber, _this.friendInf.nickName).then(function (res) {
                            console.log("添加好友成功");
                            console.log(res);
                            if (res["code"] == 200) {
                                _this.getFriendsInfoByFriendsDdUserId();
                                _this.commonProvider.tips("请求已发送");
                            }
                            else {
                                _this.commonProvider.tips(res["message"]);
                            }
                        }, function (err) {
                            console.error("添加好友失败");
                            console.error(err);
                            _this.commonProvider.tips(err["message"]);
                        });
                    }
                },
                {
                    text: "否",
                    handler: function () {
                    }
                }
            ]
        }).present().then();
    };
    /**
     * 删除好友
     */
    FriendProfilePage.prototype.delFriend = function () {
        var _this = this;
        var confirm = this.alertCtrl.create({
            title: "确认删除好友吗？",
            buttons: [
                {
                    text: "是",
                    handler: function () {
                        console.log("删除好友参数");
                        console.log(_this.ddFriendId);
                        _this.apiProvider.DelFriend(_this.ddFriendId).then(function (res) {
                            console.log("删除好友成功");
                            console.log(res);
                            if (res["code"] == 200) {
                                _this.getFriendsInfoByFriendsDdUserId();
                                _this.commonProvider.tips("删除好友成功");
                            }
                            else {
                                _this.commonProvider.tips("操作失败，请重试");
                            }
                        }, function (err) {
                            console.error("删除好友失败");
                            console.error(err);
                            _this.commonProvider.tips("操作失败，请重试");
                        });
                    }
                },
                {
                    text: "否",
                    handler: function () {
                    }
                }
            ]
        });
        confirm.present().then();
    };
    /**
     * 拉黑好友
     */
    FriendProfilePage.prototype.blackFriend = function () {
        var _this = this;
        var confirm = this.alertCtrl.create({
            title: "确认拉黑好友吗？",
            buttons: [
                {
                    text: "是",
                    handler: function () {
                        console.log("拉黑好友参数");
                        console.log(_this.ddFriendId, false, _this.friendInf.friendTitle);
                        _this.apiProvider.ConfirmFriend(_this.ddFriendId, false, _this.friendInf.friendTitle).then(function (res) {
                            console.log("拉黑好友成功");
                            console.log(res);
                            if (res["code"] == 200) {
                                _this.getFriendsInfoByFriendsDdUserId();
                                _this.commonProvider.tips("已拉黑");
                            }
                            else {
                                _this.commonProvider.tips("操作失败，请重试");
                            }
                        }, function (err) {
                            console.error("拉黑好友失败");
                            console.error(err);
                            _this.commonProvider.tips("操作失败，请重试");
                        });
                    }
                },
                {
                    text: "否",
                    handler: function () {
                    }
                }
            ]
        });
        confirm.present().then();
    };
    /**
     * 进入店铺
     */
    FriendProfilePage.prototype.jumpMerchantHomePage = function () {
        var _this = this;
        this.navCtrl.push("MerchanthomePage", { "merchantId": this.friendUserId }).then(function () {
            console.log("跳转至商户主页参数");
            console.log({ "merchantId": _this.friendUserId });
        });
    };
    /**
     * 查询好友详细资料
     */
    FriendProfilePage.prototype.getFriendsInfoByFriendsDdUserId = function () {
        var _this = this;
        var loading = this.loadingCtrl.create({
            content: "努力加载中...",
            dismissOnPageChange: false
        });
        loading.present().then(function () {
            console.log("查询好友详细资料参数");
            console.log(_this.myDdUserId, _this.friendDdUserId);
            // 参数处理
            var myDdUserId = _this.myDdUserId ? _this.myDdUserId : 0;
            var otherDdUserId = _this.friendDdUserId ? _this.friendDdUserId : 0;
            _this.apiProvider.GetFriendsInfoByFriendsDdUserId(myDdUserId, otherDdUserId).then(function (res) {
                loading.dismiss().then(function () {
                    console.log("查询好友详细资料成功");
                    console.log(res);
                    if (res["code"] == 200) {
                        _this.friendUserId = res["data"]["ddUser"]["relatedId"];
                        _this.ddFriendId = res["data"]["ddFriendId"];
                        _this.isMerchant = res["data"]["ddUser"]["ismerchant"];
                        _this.friendRelation = res["data"]["friendStatus"];
                        _this.friendInf.pictureId = __WEBPACK_IMPORTED_MODULE_4__providers_common_common__["a" /* CommonProvider */].resetPictureId(res["data"]["ddUser"]["pictureId"]);
                        _this.friendInf.city = res["data"]["ddUser"]["userArea"];
                        _this.friendInf.friendTitle = res["data"]["friendNick"];
                        _this.friendInf.phoneNumber = res["data"]["ddUser"]["usermobile"];
                        _this.friendInf.nickName = __WEBPACK_IMPORTED_MODULE_4__providers_common_common__["a" /* CommonProvider */].resetDdFriendUserName(res["data"]["ddUser"]["userNick"], res["data"]["ddUser"]["userName"], res["data"]["ddUser"]["usermobile"]);
                    }
                    else {
                        _this.navCtrl.pop().then(function () {
                            _this.commonProvider.tips("操作失败，请重试");
                        });
                    }
                });
            }, function (err) {
                loading.dismiss().then(function () {
                    console.error("查询好友详细资料失败");
                    console.error(err);
                    _this.navCtrl.pop().then(function () {
                        _this.commonProvider.tips("操作失败，请重试");
                    });
                });
            });
        });
    };
    FriendProfilePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-friend-profile',template:/*ion-inline-start:"D:\localsvn\tuanjiazhen\employer\app_employer\employerapp\src\pages\friend-profile\friend-profile.html"*/'<ion-header>\n\n  <ion-navbar>\n\n    <ion-title>\n\n      详细资料\n\n    </ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content no-padding style="background: #F5F5F5;">\n\n  <div class="xxzl-top">\n\n    <img *ngIf="friendInf.pictureId" [src]="friendInf.pictureId" alt="" style="width:70px;border-radius: 50%;">\n\n    <div style="display:inline-block;vertical-align: middle;">\n\n      {{friendInf["friendTitle"]}}<br>\n\n      <b class="nickName">昵称：{{friendInf["nickName"]}}</b>\n\n    </div>\n\n  </div>\n\n  <div class="xxzl-banner" *ngIf="friendRelation == 1" (click)="setRemarks()">\n\n    设置备注\n\n  </div>\n\n  <div class="xxzl-banner2" *ngIf="friendInf.city">\n\n    地区&#12288;&#12288;&#12288;\n\n    {{friendInf["city"]}}\n\n  </div>\n\n  <div class="xxzl-banner" *ngIf="isMerchant" (click)="jumpMerchantHomePage()">\n\n    进入店铺\n\n    <img [src]="imgPath + \'jinru@2x.png\'" alt="">\n\n  </div>\n\n\n\n  <button class="xxzl-btn" no-border *ngIf="myDdUserId != friendDdUserId" (click)="sendMsg()">\n\n    发消息\n\n  </button>\n\n  <button class="xxzl-btn2" no-border *ngIf="friendRelation != 1 && myDdUserId != friendDdUserId" [disabled]="friendRelation == 0" (click)="addFriend()">\n\n    添加好友\n\n  </button>\n\n  <button class="xxzl-btn2" no-border *ngIf="friendRelation == 1 && myDdUserId != friendDdUserId" (click)="delFriend()">\n\n    删除好友\n\n  </button>\n\n  <button class="xxzl-btn2" no-border *ngIf="friendRelation == 1 && myDdUserId != friendDdUserId" (click)="blackFriend()">\n\n    拉黑\n\n  </button>\n\n</ion-content>\n\n'/*ion-inline-end:"D:\localsvn\tuanjiazhen\employer\app_employer\employerapp\src\pages\friend-profile\friend-profile.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_3__providers_api__["a" /* ApiProvider */],
            __WEBPACK_IMPORTED_MODULE_4__providers_common_common__["a" /* CommonProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* LoadingController */]])
    ], FriendProfilePage);
    return FriendProfilePage;
}());

//# sourceMappingURL=friend-profile.js.map

/***/ })

});
//# sourceMappingURL=24.js.map