webpackJsonp([26],{

/***/ 492:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "EvaluationPageModule", function() { return EvaluationPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__evaluation__ = __webpack_require__(546);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var EvaluationPageModule = /** @class */ (function () {
    function EvaluationPageModule() {
    }
    EvaluationPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__evaluation__["a" /* EvaluationPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__evaluation__["a" /* EvaluationPage */]),
            ],
        })
    ], EvaluationPageModule);
    return EvaluationPageModule;
}());

//# sourceMappingURL=evaluation.module.js.map

/***/ }),

/***/ 546:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return EvaluationPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_api__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_session__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_const_const__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_common_common__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_order_order__ = __webpack_require__(84);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







var EvaluationPage = /** @class */ (function () {
    function EvaluationPage(navCtrl, apiProvider, navParams, alertCtrl, sessionProvider, modal, commonProvider, loadingCtrl, orderProvider) {
        this.navCtrl = navCtrl;
        this.apiProvider = apiProvider;
        this.navParams = navParams;
        this.alertCtrl = alertCtrl;
        this.sessionProvider = sessionProvider;
        this.modal = modal;
        this.commonProvider = commonProvider;
        this.loadingCtrl = loadingCtrl;
        this.orderProvider = orderProvider;
        this.imgPath = "assets/imgs/evaluation/";
        this.picHost = __WEBPACK_IMPORTED_MODULE_4__providers_const_const__["a" /* ConstProvider */].PicHost;
        this.employerId = this.sessionProvider["user"]["employerId"]; // 雇主id
        this.page = 1; // 分页页序
        this.size = 5; // 分页大小
        this.totalPage = 0; // 分页页数
        this.list = []; // 评论列表
        this.commentStatus = 0; // 当前评论状态（0：全部；1：待评论）
        this.menus = [
            {
                "id": 0,
                "name": "全部"
            },
            {
                "id": 1,
                "name": "待评价"
            }
        ];
    }
    EvaluationPage.prototype.ionViewWillEnter = function () {
        this.commentStatus = 0;
        this.page = 1;
        this.getCommentLs();
    };
    /**
     * 查询评论列表
     * @param isPush 是否push数组
     */
    EvaluationPage.prototype.getCommentLs = function (isPush) {
        var _this = this;
        if (isPush === void 0) { isPush = false; }
        if (!this.sessionProvider["user"]["isLogin"]) {
            return;
        }
        var loading = this.loadingCtrl.create({
            content: "努力加载中...",
            dismissOnPageChange: false
        });
        loading.present().then(function () {
            var apiParams = {
                "employerOrder": {
                    "employerId": _this.employerId,
                    "status": 3 // 已完成
                },
                "page": _this.page,
                "size": _this.size,
                "employerStatusList": _this.commentStatus == 1 ? [0] : [0, 1]
            };
            console.log("查询评论列表参数");
            console.log(apiParams);
            _this.apiProvider.GetCommentLs(apiParams).then(function (res) {
                loading.dismiss().then(function () {
                    console.log("查询评论列表成功");
                    console.log(res);
                    if (res["code"] == 200 && res["data"]["products"] && res["data"]["products"]["length"] > 0) {
                        _this.totalPage = res["data"]["totalPage"];
                        if (isPush) {
                            res["data"]["products"].forEach(function (value) {
                                _this.list.push(value);
                            });
                        }
                        else {
                            _this.list = res["data"]["products"];
                        }
                        if (_this.list["length"] > 0) {
                            var merchantIds_1 = new Set();
                            _this.list.forEach(function (v, k, a) {
                                // 整合商户id
                                merchantIds_1.add(v["merchantId"]);
                                // 规避iOS无法识别时间格式中的“-”
                                if (v["employerCommentStatus"] == 1 && v["employerComment"]) {
                                    a[k]["commentTime"] = v["commentTime"].replace(/-/g, "/");
                                }
                                // 商户title初始化
                                a[k]["merchantTitle"] = "加载中...";
                                a[k]["pictureId"] = null;
                            });
                            console.log("整合头像参数");
                            console.log(merchantIds_1);
                            _this.apiProvider.GetMerchantInfoByIds(Array.from(merchantIds_1)).then(function (ref) {
                                console.log("整合头像成功");
                                console.log(ref);
                                if (ref["code"] == 200) {
                                    _this.list.forEach(function (value, key, array) {
                                        ref["data"].forEach(function (v) {
                                            if (value["merchantId"] == v["merchantId"]) {
                                                array[key]["pictureId"] = v["pictureId"];
                                                array[key]["sex"] = v["sex"];
                                                array[key]["physicalStore"] = v["physicalStore"]; // 商铺名称
                                                array[key]["score"] = v["merchantService"]["score"]; // 评分
                                                array[key]["professionId"] = v["professionId"]; // 商户行业类型
                                                array[key]["profession"] = v["profession"];
                                                array[key]["lowestDealPrice"] = v["merchantServiceSetting"]["lowestDealPrice"]; // 最低消费
                                                array[key]["employerDayMaxWeight"] = v["merchantServiceSetting"]["employerDayMaxWeight"]; // 雇主每日配送最大重量
                                                // 商户称谓显示问题（店名，昵称，真实姓名，手机号）
                                                var comParams = {
                                                    "physicalStore": v["physicalStore"],
                                                    "nickName": v["nickName"],
                                                    "merchantName": v["merchantName"],
                                                    "phoneNumber": v["phoneNumber"],
                                                    "sex": v["sex"],
                                                    "profession": v["profession"],
                                                };
                                                array[key]["merchantTitle"] = __WEBPACK_IMPORTED_MODULE_5__providers_common_common__["a" /* CommonProvider */].setMerchantTitle(comParams);
                                            }
                                        });
                                    });
                                }
                            }, function (err) {
                                console.error("整合头像失败");
                                console.error(err);
                            });
                        }
                    }
                });
            }, function (err) {
                loading.dismiss().then(function () {
                    console.error("查询评论列表失败");
                    console.error(err);
                });
            });
        });
    };
    /**
     * 下拉刷新
     * @param refresher
     */
    EvaluationPage.prototype.doRefresh = function (refresher) {
        var _this = this;
        this.page = 1;
        setTimeout(function () {
            _this.getCommentLs();
            refresher.complete();
        }, 1000);
    };
    /**
     * 上拉加载数据
     * @param infiniteScroll
     */
    EvaluationPage.prototype.doInfinite = function (infiniteScroll) {
        var _this = this;
        if (this.page < this.totalPage) {
            this.page++;
            setTimeout(function () {
                _this.getCommentLs(true);
                infiniteScroll.complete();
            }, 500);
        }
        else {
            infiniteScroll.complete();
        }
    };
    /**
     * 切换评论状态
     * @param commentStatus 评论状态（0：全部；1：待评价）
     */
    EvaluationPage.prototype.changeCommentStatus = function (commentStatus) {
        if (commentStatus === void 0) { commentStatus = 0; }
        this.commentStatus = commentStatus;
        this.page = 1;
        this.list = [];
        this.getCommentLs();
    };
    /**
     * 再来一单
     * @param orderDetail
     */
    EvaluationPage.prototype.anotherOrder = function (orderDetail) {
        this.orderProvider.anotherOrder(orderDetail);
    };
    /**
     * 修改评论
     * @param employerComment 评论详情
     */
    EvaluationPage.prototype.modComment = function (employerComment) {
        this.orderProvider.modComment(employerComment);
    };
    /**
     * 新增评论
     * @param orderDetail
     */
    EvaluationPage.prototype.addComment = function (orderDetail) {
        this.orderProvider.addComment(orderDetail);
    };
    /**
     * 跳转至商户主页
     * @param merchantId 商户id
     */
    EvaluationPage.prototype.jumpMerchantHomePage = function (merchantId) {
        this.navCtrl.push("MerchanthomePage", { "merchantId": merchantId }).then(function () {
            console.log("跳转至商户主页参数");
            console.log({ "merchantId": merchantId });
        });
    };
    /**
     * 跳转至详情页
     * @param employerOrderId
     */
    EvaluationPage.prototype.jumpOrderDetailsPage = function (employerOrderId) {
        this.navCtrl.push("OrderdetailsPage", { "employerOrderId": employerOrderId, "isFromEvaluation": true }).then(function () {
            console.log("跳转至订单详情页参数");
            console.log({ "employerOrderId": employerOrderId, "isFromEvaluation": true });
        });
    };
    /**
     * 图片预览
     * @param photoUrl
     */
    EvaluationPage.prototype.photoView = function (photoUrl) {
        var _this = this;
        this.modal.create("ModalalertPage", { showId: 4, photoUrl: this.picHost + photoUrl }, { cssClass: "alertModal" }).present().then(function () {
            console.log("图片预览参数");
            console.log({ showId: 4, photoUrl: _this.picHost + photoUrl });
        });
    };
    EvaluationPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-evaluation',template:/*ion-inline-start:"D:\localsvn\tuanjiazhen\employer\app_employer\employerapp\src\pages\evaluation\evaluation.html"*/'<ion-header>\n\n  <ion-navbar>\n\n    <ion-title>\n\n      评价管理\n\n    </ion-title>\n\n  </ion-navbar>\n\n\n\n  <div class="gzxx-main pjgl-top">\n\n    <span class="gzxx-main-msg" *ngFor="let item of menus" [class.pjgl-top-msg-bottom]="commentStatus == item[\'id\']" (click)="changeCommentStatus(item[\'id\'])">\n\n      {{item["name"]}}\n\n    </span>\n\n  </div>\n\n</ion-header>\n\n\n\n<ion-content no-padding>\n\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n\n    <ion-refresher-content pullingIcon="arrow-dropdown" pullingText="下拉刷新" refreshingSpinner="circles" refreshingText="刷新..."></ion-refresher-content>\n\n  </ion-refresher>\n\n\n\n  <div class="dindan-all-main" *ngFor="let item of list">\n\n    <div style="font-size: 15px;" (click)="jumpMerchantHomePage(item[\'merchantId\'])">\n\n      <img *ngIf="item[\'pictureId\']" [src]="picHost + item[\'pictureId\']" class="dindan-img1" alt="">\n\n      {{item["merchantTitle"]}}\n\n      <img [src]="imgPath + \'jinru@2x.png\'" class="dindan-img2" alt="">\n\n      <span class="dindan-msg1">\n\n        {{item["employerCommentStatus"] == 1 ? "已评价" : "待评价"}}\n\n      </span>\n\n    </div>\n\n    <div class="dindan-all-banner" (click)="jumpOrderDetailsPage(item[\'employerOrderId\'])">\n\n      <img *ngIf="item[\'employerOrderDetails\'][0][\'pictureId\'] || item[\'pictureId\']" [src]="picHost + (item[\'employerOrderDetails\'][0][\'pictureId\'] ? item[\'employerOrderDetails\'][0][\'pictureId\'] : item[\'pictureId\'])" class="gz-img" alt="">\n\n      <div class="evaluation-banner" *ngIf="item[\'employerOrderDetails\'][\'length\'] > 0">\n\n        <span class="dindan-msg2">\n\n          交易详情\n\n        </span>\n\n        <div>\n\n          <span class="evaluation-color">\n\n           {{item["employerOrderDetails"][0]["serviceItem"]}}*{{item["employerOrderDetails"][0]["quantity"]}}\n\n          </span>\n\n          <span class="evaluation-color" style="float:right">\n\n            &yen;{{item["employerOrderDetails"][0]["amount"]}}\n\n          </span>\n\n        </div>\n\n        <span class="evaluation-color" *ngIf="item[\'employerOrderDetails\'][\'length\'] > 1">\n\n          {{item["employerOrderDetails"][1]["serviceItem"]}}*{{item["employerOrderDetails"][0]["quantity"]}}\n\n        </span>\n\n        <span class="evaluation-color" style="float: right" *ngIf="item[\'employerOrderDetails\'][\'length\'] > 1">\n\n          &yen;{{item["employerOrderDetails"][1]["amount"]}}\n\n        </span>\n\n        <div>\n\n          <span class="evaluation-color" *ngIf="item[\'employerOrderDetails\'][\'length\'] > 2">\n\n            ........\n\n          </span>\n\n        </div>\n\n      </div>\n\n    </div>\n\n    <div class="dindan-all-banner2 pjgl-banner">\n\n      <span>\n\n        交易金额\n\n      </span>\n\n      &nbsp;&nbsp;&nbsp;\n\n      <span style="color: #D45D3F">\n\n        &yen;{{item["employerOrderPayment"]["actualPayment"]}}\n\n      </span>\n\n    </div>\n\n\n\n    <div style="font-size: 16px;margin-top: 10px;color: #000000;" *ngIf="item[\'employerCommentStatus\'] == 1 && item[\'employerComment\']">\n\n      雇主评分：\n\n      <img [src]="imgPath + \'xingxing@2x.png\'" class="pjgl-star" *ngIf="item[\'employerComment\'][\'score\'] > 0" alt="">\n\n      <img [src]="imgPath + \'xingxing@2x.png\'" class="pjgl-star" *ngIf="item[\'employerComment\'][\'score\'] > 1" alt="">\n\n      <img [src]="imgPath + \'xingxing@2x.png\'" class="pjgl-star" *ngIf="item[\'employerComment\'][\'score\'] > 2" alt="">\n\n      <img [src]="imgPath + \'xingxing@2x.png\'" class="pjgl-star" *ngIf="item[\'employerComment\'][\'score\'] > 3" alt="">\n\n      <img [src]="imgPath + \'xingxing@2x.png\'" class="pjgl-star" *ngIf="item[\'employerComment\'][\'score\'] > 4" alt="">\n\n      <span class="dindan-msg1 pjgl-msg2">\n\n        {{item["commentTime"] | date : "yyyy-MM-dd"}}\n\n      </span>\n\n    </div>\n\n    <div style="font-size: 16px;margin-top: 10px;color: #000000;" *ngIf="item[\'employerCommentStatus\'] == 1 && item[\'employerComment\']">\n\n      雇主评价：\n\n      <span class="pjgl-msg4">\n\n        {{item["employerComment"]["comment"]}}\n\n      </span>\n\n      <div style="text-align:center;">\n\n        <img *ngIf="item[\'employerComment\'][\'pictureId1\']" [src]="picHost + item[\'employerComment\'][\'pictureId1\']" (click)="photoView(item[\'employerComment\'][\'pictureId1\'])" class="pjgl-imgleft" alt="">\n\n        <img *ngIf="item[\'employerComment\'][\'pictureId2\']" [src]="picHost + item[\'employerComment\'][\'pictureId2\']" (click)="photoView(item[\'employerComment\'][\'pictureId2\'])" class="pjgl-img" alt="">\n\n        <img *ngIf="item[\'employerComment\'][\'pictureId3\']" [src]="picHost + item[\'employerComment\'][\'pictureId3\']" (click)="photoView(item[\'employerComment\'][\'pictureId3\'])" class="pjgl-imgright" alt="">\n\n      </div>\n\n      <div style="clear:both;"></div>\n\n    </div>\n\n\n\n    <!--已完成待评价-->\n\n    <div style="text-align: right;" *ngIf="item[\'status\'] == 3 && item[\'employerCommentStatus\'] == 0">\n\n      <div class="dindan-btn2" (click)="anotherOrder(item)">\n\n        再来一单\n\n      </div>\n\n      <div class="dindan-btn2" (click)="addComment(item)">\n\n        评价\n\n      </div>\n\n    </div>\n\n\n\n    <!--已完成已评价-->\n\n    <div style="text-align: right;" *ngIf="item[\'status\'] == 3 && item[\'employerCommentStatus\'] == 1">\n\n      <div class="dindan-btn2" (click)="anotherOrder(item)">\n\n        再来一单\n\n      </div>\n\n      <div class="dindan-btn2" *ngIf="item[\'employerComment\'] && item[\'employerComment\'][\'score\'] <= 3" (click)="modComment(item[\'employerComment\'])">\n\n        修改评价\n\n      </div>\n\n    </div>\n\n  </div>\n\n\n\n  <ion-infinite-scroll (ionInfinite)="doInfinite($event)">\n\n    <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="加载中..."></ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n</ion-content>\n\n'/*ion-inline-end:"D:\localsvn\tuanjiazhen\employer\app_employer\employerapp\src\pages\evaluation\evaluation.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_2__providers_api__["a" /* ApiProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_3__providers_session__["a" /* SessionProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_5__providers_common_common__["a" /* CommonProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_6__providers_order_order__["a" /* OrderProvider */]])
    ], EvaluationPage);
    return EvaluationPage;
}());

//# sourceMappingURL=evaluation.js.map

/***/ })

});
//# sourceMappingURL=26.js.map