webpackJsonp([4],{

/***/ 525:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "TxtsearchPageModule", function() { return TxtsearchPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__txtsearch__ = __webpack_require__(569);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var TxtsearchPageModule = /** @class */ (function () {
    function TxtsearchPageModule() {
    }
    TxtsearchPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__txtsearch__["a" /* TxtsearchPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__txtsearch__["a" /* TxtsearchPage */]),
            ],
        })
    ], TxtsearchPageModule);
    return TxtsearchPageModule;
}());

//# sourceMappingURL=txtsearch.module.js.map

/***/ }),

/***/ 569:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return TxtsearchPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_storage__ = __webpack_require__(29);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ionic_angular_util_util__ = __webpack_require__(2);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_api__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_common_common__ = __webpack_require__(18);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var TxtsearchPage = /** @class */ (function () {
    function TxtsearchPage(navCtrl, navParams, storage, alertCtrl, apiProvider, commonProvider) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.storage = storage;
        this.alertCtrl = alertCtrl;
        this.apiProvider = apiProvider;
        this.commonProvider = commonProvider;
        this.imgPath = "assets/imgs/txtsearch/";
        this.searchHistory = []; // 历史搜索
        this.hotSearchProjects = []; // 热搜项目
        this.recommendableProjects = []; // 推荐项目
    }
    TxtsearchPage.prototype.ionViewWillEnter = function () {
        this.getHotSearchProjects();
        this.getRecommendableProjects();
        this.getHistorySearch();
    };
    TxtsearchPage.prototype.ionViewWillLeave = function () {
        this.recommendableProjects = [];
    };
    /**
     * 搜索服务
     * @param searchQuery 搜索关键字
     */
    TxtsearchPage.prototype.searchService = function (searchQuery) {
        var _this = this;
        if (searchQuery === void 0) { searchQuery = null; }
        if (searchQuery == null || searchQuery == "") {
            this.commonProvider.tips("请输入搜索关键字");
        }
        else {
            this.navCtrl.push("ShowsearchPage", { "searchQuery": searchQuery }).then(function () {
                var index = _this.searchHistory.indexOf(searchQuery);
                if (index > -1) {
                    _this.searchHistory.splice(index, 1);
                }
                _this.searchHistory.unshift(searchQuery);
                _this.storage.set("searchHistory", _this.searchHistory).then(function () {
                    _this.searchQuery = searchQuery;
                });
            });
        }
    };
    /**
     * 查询历史搜索记录
     */
    TxtsearchPage.prototype.getHistorySearch = function () {
        var _this = this;
        this.searchHistory = [];
        this.storage.get("searchHistory").then(function (res) {
            if (Object(__WEBPACK_IMPORTED_MODULE_3_ionic_angular_util_util__["n" /* isString */])(res)) {
                _this.searchHistory.push(res);
            }
            if (Object(__WEBPACK_IMPORTED_MODULE_3_ionic_angular_util_util__["e" /* isArray */])(res)) {
                res.forEach(function (v) {
                    _this.searchHistory.push(v);
                });
            }
        });
    };
    /**
     * 删除历史搜索记录
     */
    TxtsearchPage.prototype.delHistorySearch = function () {
        var _this = this;
        var confirm = this.alertCtrl.create({
            title: "是否清除历史搜索记录？",
            buttons: [
                {
                    text: "是",
                    handler: function () {
                        _this.storage.remove("searchHistory").then(function () {
                            _this.searchHistory = [];
                        });
                    }
                },
                {
                    text: "否",
                    handler: function () {
                    }
                }
            ]
        });
        confirm.present().then();
    };
    /**
     * 查询热搜项目
     */
    TxtsearchPage.prototype.getHotSearchProjects = function () {
        var _this = this;
        this.apiProvider.GetHotSearchProjects().then(function (res) {
            console.log("查询热搜项目成功");
            console.log(res);
            if (res["code"] == 200 && res["data"] && res["data"]["length"] > 0) {
                _this.hotSearchProjects = res["data"];
            }
        }, function (err) {
            console.error("查询热搜项目失败");
            console.error(err);
        });
    };
    /**
     * 查询推荐项目
     */
    TxtsearchPage.prototype.getRecommendableProjects = function () {
        var _this = this;
        this.apiProvider.GetRecommendService().then(function (res) {
            console.log("查询推荐项目成功");
            console.log(res);
            if (res["code"] == 200 && res["data"] && res["data"]["length"] > 0) {
                res["data"].forEach(function (value) {
                    value["details"].forEach(function (v) {
                        _this.recommendableProjects.push(v["serviceCategoryName"]);
                    });
                });
            }
        }, function (err) {
            console.error("查询推荐项目失败");
            console.error(err);
        });
    };
    TxtsearchPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-txtsearch',template:/*ion-inline-start:"D:\localsvn\tuanjiazhen\employer\app_employer\employerapp\src\pages\txtsearch\txtsearch.html"*/'<ion-header>\n\n  <ion-navbar style="background-color: #FFFFFF;">\n\n    <ion-searchbar [(ngModel)]="searchQuery" placeholder="找修锁的开锁工搜 锁"></ion-searchbar>\n\n    <ion-buttons end>\n\n      <button ion-button icon-only (click)="searchService(searchQuery)">\n\n        搜索\n\n      </button>\n\n    </ion-buttons>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content no-padding>\n\n  <div class="shouyesousuo-top">\n\n    <div class="shouyesousuo-top-title" *ngIf="searchHistory[\'length\'] > 0">\n\n      历史搜索\n\n      <img [src]="imgPath + \'shanchu@2x.png\'" (click)="delHistorySearch()" alt="">\n\n    </div>\n\n    <span *ngFor="let item of searchHistory.slice(0,30)" (click)="searchService(item)">\n\n      {{item}}\n\n    </span>\n\n\n\n    <div class="shouyesousuo-top-title" *ngIf="hotSearchProjects.length > 0">\n\n      热搜项目\n\n    </div>\n\n    <span *ngFor="let item of hotSearchProjects;first as isFirst" [class.shouyesousuo-top-xuanzhong]="isFirst" (click)="searchService(item[\'keyword\'])">\n\n      {{item["keyword"]}}\n\n    </span>\n\n\n\n    <div class="shouyesousuo-top-title" *ngIf="recommendableProjects.length > 0">\n\n      推荐项目\n\n    </div>\n\n    <span *ngFor="let item of recommendableProjects" (click)="searchService(item)">\n\n      {{item}}\n\n    </span>\n\n  </div>\n\n</ion-content>\n\n'/*ion-inline-end:"D:\localsvn\tuanjiazhen\employer\app_employer\employerapp\src\pages\txtsearch\txtsearch.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_4__providers_api__["a" /* ApiProvider */],
            __WEBPACK_IMPORTED_MODULE_5__providers_common_common__["a" /* CommonProvider */]])
    ], TxtsearchPage);
    return TxtsearchPage;
}());

//# sourceMappingURL=txtsearch.js.map

/***/ })

});
//# sourceMappingURL=4.js.map