webpackJsonp([40],{

/***/ 472:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "AddEvaluationPageModule", function() { return AddEvaluationPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__add_evaluation__ = __webpack_require__(529);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var AddEvaluationPageModule = /** @class */ (function () {
    function AddEvaluationPageModule() {
    }
    AddEvaluationPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__add_evaluation__["a" /* AddEvaluationPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__add_evaluation__["a" /* AddEvaluationPage */]),
            ],
        })
    ], AddEvaluationPageModule);
    return AddEvaluationPageModule;
}());

//# sourceMappingURL=add-evaluation.module.js.map

/***/ }),

/***/ 529:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AddEvaluationPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_api__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_common_common__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_session__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_const_const__ = __webpack_require__(13);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var AddEvaluationPage = /** @class */ (function () {
    function AddEvaluationPage(navCtrl, navParams, apiProvider, commonProvider, sessionProvider) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.apiProvider = apiProvider;
        this.commonProvider = commonProvider;
        this.sessionProvider = sessionProvider;
        this.imgPath = "assets/imgs/add-evaluation/";
        this.picHost = __WEBPACK_IMPORTED_MODULE_5__providers_const_const__["a" /* ConstProvider */].PicHost;
        this.score = 5; // 评分：默认好评满分5分
        this.picLs = []; // 评价图片
        this.comment = ""; // 评价内容
        this.employerId = this.sessionProvider["user"]["employerId"]; // 雇主id
        this.evaluationWords = []; // 评价常用词汇
        this.selectedWords = []; // 已选评价词汇
        // 订单信息
        this.orderDetail = {
            "employerOrderId": null,
            "employerOrderNo": null,
            "merchantId": null,
        };
    }
    AddEvaluationPage.prototype.ionViewWillEnter = function () {
        this.orderDetail = this.navParams.get("orderDetail");
        this.getEvaluationWords();
    };
    /**
     * 查询评价常用词汇
     */
    AddEvaluationPage.prototype.getEvaluationWords = function () {
        var _this = this;
        this.apiProvider.GetEvaluationWords().then(function (res) {
            console.log("查询评价常用词汇");
            console.log(res);
            _this.evaluationWords = res["data"];
        }, function (err) {
            console.error("查询评价常用词汇失败");
            console.error(err);
        });
    };
    /**
     * 修改评分
     * 点亮星星
     * @param score
     */
    AddEvaluationPage.prototype.modScore = function (score) {
        this.score = score;
    };
    /**
     * 新增图片
     */
    AddEvaluationPage.prototype.addPic = function () {
        var _this = this;
        var options = { quality: 50, maximumImagesCount: 3 - this.picLs["length"] };
        this.commonProvider.getPicFromPhotoAlbum(options).then(function (filePath) {
            if (filePath["length"] > 0) {
                filePath.forEach(function (value) {
                    // 获取到图片后，上传到阿里云
                    _this.commonProvider.uploadPicToPictureServer(value, _this.employerId, 4).then(function (res) {
                        var picData = JSON.parse(res["response"]);
                        if (picData["data"]["fileStatus"] == 0) {
                            // 存入数据库的时候不需要域名前缀
                            var picPath = picData["data"]["fileKey"];
                            _this.picLs.push(picPath);
                        }
                    }, function (err) {
                        console.error("图片上传阿里服务器失败");
                        console.error(err);
                        _this.commonProvider.tips("操作失败，请重试");
                    });
                });
            }
        }, function (err) {
            console.error("新增图片失败");
            console.error(err);
            _this.commonProvider.tips("操作失败，请重试");
        });
    };
    /**
     * 删除图片
     * @param picPath 图片路径
     */
    AddEvaluationPage.prototype.delPic = function (picPath) {
        var _this = this;
        var index = this.picLs.indexOf(picPath);
        if (index > -1) {
            var apiParams = {
                "pictureId": picPath,
                "status": 1 // 0：使用中，1：已删除
            };
            console.log("删除图片参数");
            console.log(apiParams);
            this.apiProvider.DelPicToPicSer(apiParams).then(function (res) {
                console.log("删除图片成功");
                console.log(res);
                _this.picLs.splice(index, 1);
            }, function (err) {
                console.error("删除图片失败");
                console.error(err);
                _this.commonProvider.tips("操作失败，请重试");
            });
        }
    };
    /**
     * 修改评价内容
     * @param comment
     */
    AddEvaluationPage.prototype.modComment = function (comment) {
        /*const reg1 = /\uD83C[\uDF00-\uDFFF]|\uD83D[\uDC00-\uDE4F]/g;
        const re1 = new RegExp(reg1);
        if (re1.test(comment)) {
          this.commonProvider.tips("请删除您评价里面的表情，否则无法提交评价！");
        } else {
          this.comment = comment;
        }*/
        this.comment = comment;
    };
    /**
     * 新增评价
     * 提交评价
     */
    AddEvaluationPage.prototype.addEvaluation = function () {
        var _this = this;
        var apiParams = {
            "employerOrderId": this.orderDetail["employerOrderId"],
            "employerOrderNo": this.orderDetail["employerOrderNo"],
            "employerId": this.employerId,
            "merchantId": this.orderDetail["merchantId"],
            "score": this.score,
            "comment": this.comment,
            "merchantReply": null,
            "pictureId1": this.picLs["length"] >= 1 ? this.picLs[0] : null,
            "pictureId2": this.picLs["length"] >= 2 ? this.picLs[1] : null,
            "pictureId3": this.picLs["length"] >= 3 ? this.picLs[2] : null
        };
        console.log("提交评价参数");
        console.log(apiParams);
        this.apiProvider.AddEvaluation(apiParams).then(function (res) {
            console.log("提交评价成功");
            console.log(res);
            _this.navCtrl.pop().then(function () {
                _this.commonProvider.tips("发表评价成功");
            });
        }, function (err) {
            console.error("提交评价失败");
            console.error(err);
            _this.commonProvider.tips("操作失败，请重试");
        });
    };
    /**
     * 修改已选评价词汇
     * @param word
     */
    AddEvaluationPage.prototype.modSelectedWords = function (word) {
        var index = this.selectedWords.indexOf(word);
        if (index > -1) {
            this.selectedWords.splice(index, 1);
        }
        else {
            this.selectedWords.push(word);
        }
    };
    AddEvaluationPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-add-evaluation',template:/*ion-inline-start:"D:\localsvn\tuanjiazhen\employer\app_employer\employerapp\src\pages\add-evaluation\add-evaluation.html"*/'<ion-header>\n\n  <ion-navbar>\n\n    <ion-title>\n\n      发表评价\n\n    </ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content no-padding>\n\n  <div style="text-align: center;color: #ff0000;font-size: 15px;">\n\n    <span *ngIf="score > 3">\n\n      好评\n\n    </span>\n\n    <span *ngIf="score == 3">\n\n      中评\n\n    </span>\n\n    <span *ngIf="score < 3">\n\n      差评\n\n    </span>\n\n  </div>\n\n\n\n  <div class="fbpj-top">\n\n    <img [src]="imgPath + \'xingxing@2x.png\'" *ngIf="score > 0" (click)="modScore(1)" alt="">\n\n    <img [src]="imgPath + \'xingxing@2x.png\'" *ngIf="score > 1" (click)="modScore(2)" alt="">\n\n    <img [src]="imgPath + \'xingxing@2x.png\'" *ngIf="score > 2" (click)="modScore(3)" alt="">\n\n    <img [src]="imgPath + \'xingxing@2x.png\'" *ngIf="score > 3" (click)="modScore(4)" alt="">\n\n    <img [src]="imgPath + \'xingxing@2x.png\'" *ngIf="score > 4" (click)="modScore(5)" alt="">\n\n\n\n    <img [src]="imgPath + \'hui-xing@2x.png\'" *ngIf="score < 2" (click)="modScore(2)" alt="">\n\n    <img [src]="imgPath + \'hui-xing@2x.png\'" *ngIf="score < 3" (click)="modScore(3)" alt="">\n\n    <img [src]="imgPath + \'hui-xing@2x.png\'" *ngIf="score < 4" (click)="modScore(4)" alt="">\n\n    <img [src]="imgPath + \'hui-xing@2x.png\'" *ngIf="score < 5" (click)="modScore(5)" alt="">\n\n  </div>\n\n\n\n  <div style="width: 95%;margin: 0 auto;">\n\n    <span class="pjch" *ngFor="let word of evaluationWords" [class.pjch2]="selectedWords.indexOf(word) > -1" (click)="modSelectedWords(word)">\n\n      {{word}}\n\n    </span>\n\n  </div>\n\n\n\n  <div class="fbpj-banner">\n\n    <textarea [(ngModel)]="comment" (ngModelChange)="modComment($event)" cols="20" rows="8" placeholder="请填写您对商户的评价..." style="color:#333333;"></textarea>\n\n    <div style="display: inline-block;position: relative;" *ngFor="let picPath of picLs">\n\n      <img [src]="picHost + picPath" alt="">\n\n      <img style="position: absolute;top: -5px;right: -5px;width: 20px;" [src]="imgPath + \'shanchu@2x(4).png\'" (click)="delPic(picPath)" alt="">\n\n    </div>\n\n    <img [src]="imgPath + \'icon-tianjiatupian@2x.png\'" *ngIf="picLs[\'length\'] < 3" (click)="addPic()" alt="">\n\n    <span *ngIf="picLs[\'length\'] < 3">\n\n      最多3张\n\n    </span>\n\n  </div>\n\n\n\n  <div class="fbpj-btn" (click)="addEvaluation()">\n\n    提交评价\n\n  </div>\n\n</ion-content>\n\n'/*ion-inline-end:"D:\localsvn\tuanjiazhen\employer\app_employer\employerapp\src\pages\add-evaluation\add-evaluation.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__providers_api__["a" /* ApiProvider */],
            __WEBPACK_IMPORTED_MODULE_3__providers_common_common__["a" /* CommonProvider */],
            __WEBPACK_IMPORTED_MODULE_4__providers_session__["a" /* SessionProvider */]])
    ], AddEvaluationPage);
    return AddEvaluationPage;
}());

//# sourceMappingURL=add-evaluation.js.map

/***/ })

});
//# sourceMappingURL=40.js.map